#include <gracelib.h>
#include <stdlib.h>
static char compilerRevision[] = "fda180857cfbe794cf5b4190f62470c38dba523a";
static Object undefined;
extern Object done;
extern Object _prelude;
extern Object String;
extern Object Number;
extern Object Boolean;
extern Object Dynamic;
extern Object Unknown;
extern Object Block;
extern Object Done;
extern Object Type;
extern Object GraceDefaultObject;
extern Object sourceObject;
static Object type_String;
static Object type_Number;
static Object type_Boolean;
static Object type_Block;
static Object type_Done;
static Object argv;
static Object emptyclosure;
static Object prelude;
static int isTailObject = 0;
static Object inheritingObject = NULL;
static const char modulename[] = "genjson";
Object module_StandardPrelude_init();
static char *originalSourceLines[] = {
  "import \"mgcollections\" as collections",
  "import \"util\" as util",
  "import \"io\" as io",
  "import \"ast\" as ast",
  "",
  "method wrap(v) {",
  "    match(v)",
  "        case { _ : String -> JSString.new(v) }",
  "        case { _ : Boolean -> JSBoolean.new(v) }",
  "        case { _ -> v }",
  "}",
  "class JSObj.new {",
  "    def data = collections.map.new",
  "    method put(key, val) {",
  "        data.put(key, wrap(val))",
  "    }",
  "    method asJSON {",
  "        var ret := \"\\{\"",
  "        var comma := \"\"",
  "        for (data) do {k->",
  "            ret := ret ++ comma ++ \"\\\"{k}\\\": \" ++ data.get(k).asJSON",
  "            comma := \",\"",
  "        }",
  "        return ret ++ \"}\"",
  "    }",
  "}",
  "",
  "class JSArray.new {",
  "    def data = collections.list.new",
  "    method push(val) {",
  "        data.push(wrap(val))",
  "    }",
  "    method asJSON {",
  "        var ret := \"[\"",
  "        var comma := \"\"",
  "        for (data) do {v->",
  "            ret := ret ++ comma ++ v.asJSON",
  "            comma := \",\"",
  "        }",
  "        return ret ++ \"]\"",
  "    }",
  "}",
  "",
  "class JSString.new(s) {",
  "    def data = s",
  "    method asJSON {",
  "        return \"\\\"{data}\\\"\"",
  "    }",
  "}",
  "class JSBoolean.new(b) {",
  "    def data = b",
  "    method asJSON {",
  "        return \"{data}\"",
  "    }",
  "}",
  "",
  "method generateNode(n) {",
  "    def ret = JSObj.new",
  "    match (n.kind)",
  "        case { \"vardec\" ->",
  "            ret.put(\"type\", \"vardec\")",
  "            ret.put(\"name\", n.name.value)",
  "            ret.put(\"value\", generateNode(n.value))",
  "        } case { \"defdec\" ->",
  "            ret.put(\"type\", \"defdec\")",
  "            ret.put(\"name\", n.name.value)",
  "            ret.put(\"value\", generateNode(n.value))",
  "        } case { \"string\" ->",
  "            ret.put(\"type\", \"string\")",
  "            ret.put(\"value\", n.value)",
  "        } case { \"num\" ->",
  "            ret.put(\"type\", \"number\")",
  "            ret.put(\"value\", n.value)",
  "        } case { \"op\" ->",
  "            ret.put(\"type\", \"operator\")",
  "            ret.put(\"left\", generateNode(n.left))",
  "            ret.put(\"right\", generateNode(n.right))",
  "            ret.put(\"operator\", n.value)",
  "        } case { \"bind\" ->",
  "            if (n.dest.kind == \"member\") then {",
  "                if (n.dest.in.value == \"prelude\") then {",
  "                    ret.put(\"type\", \"dialect-method\")",
  "                    ret.put(\"name\", n.dest.value ++ \":=\")",
  "                    def parts = JSArray.new",
  "                    ret.put(\"parts\", parts)",
  "                    def part = JSArray.new",
  "                    parts.push(part);",
  "                    part.push(generateNode(n.value))",
  "                } else {",
  "                    if (n.dest.in.value == \"self\") then {",
  "                        ret.put(\"type\", \"assign\")",
  "                        def ident = ast.identifierNode.new(n.dest.value, false)",
  "                        ret.put(\"left\", generateNode(ident))",
  "                        ret.put(\"right\", generateNode(n.value))",
  "                    } else {",
  "                        ret.put(\"type\", \"unknown assign\")",
  "                    }",
  "                }",
  "            } else {",
  "                ret.put(\"type\", \"assign\")",
  "                ret.put(\"left\", generateNode(n.dest))",
  "                ret.put(\"right\", generateNode(n.value))",
  "            }",
  "        } case { \"method\" ->",
  "            ret.put(\"type\", \"method\")",
  "            ret.put(\"name\", n.value.value)",
  "            def args = JSArray.new",
  "            for (n.signature.at(1).params) do {p->",
  "                args.push(p.value)",
  "            }",
  "            ret.put(\"arg\", args)",
  "            def body = JSArray.new",
  "            for (n.body) do {v->",
  "                body.push(generateNode(v))",
  "            }",
  "            ret.put(\"body\", body)",
  "        } case { \"inherits\" ->",
  "            ret.put(\"type\", \"inherits\")",
  "            ret.put(\"parent\", generateNode(n.value))",
  "        } case { \"object\" ->",
  "            ret.put(\"type\", \"object\")",
  "            def body = JSArray.new",
  "            for (n.value) do {v->",
  "                body.push(generateNode(v))",
  "            }",
  "            ret.put(\"body\", body)",
  "        } case { \"class\" ->",
  "            ret.put(\"type\", \"class\")",
  "            ret.put(\"name\", n.name.value)",
  "            ret.put(\"constructor\", n.constructor.value)",
  "            def args = JSArray.new",
  "            for (n.signature.at(1).params) do {p->",
  "                args.push(p.value)",
  "            }",
  "            ret.put(\"args\", args)",
  "            def body = JSArray.new",
  "            for (n.value) do {v->",
  "                body.push(generateNode(v))",
  "            }",
  "            ret.put(\"body\", body)",
  "        } case { \"if\" ->",
  "            if (n.elseblock.size > 0) then {",
  "                def mn = ast.callNode.new(",
  "                    ast.memberNode.new(\"if()then()else\",",
  "                        ast.identifierNode.new(\"prelude\", false)),",
  "                    [ast.callWithPart.new(\"if\", [n.value]),",
  "                        ast.callWithPart.new(\"then\",",
  "                            [ast.blockNode.new([], n.thenblock)]),",
  "                        ast.callWithPart.new(\"else\",",
  "                            [ast.blockNode.new([], n.elseblock)])",
  "                        ])",
  "                return generateNode(mn)",
  "            } else {",
  "                def mn = ast.callNode.new(",
  "                    ast.memberNode.new(\"if()then\",",
  "                        ast.identifierNode.new(\"prelude\", false)),",
  "                    [ast.callWithPart.new(\"if\", [n.value]),",
  "                        ast.callWithPart.new(\"then\",",
  "                            [ast.blockNode.new([], n.thenblock)])",
  "                        ])",
  "                return generateNode(mn)",
  "            }",
  "        } case { \"identifier\" ->",
  "            ret.put(\"type\", \"var\")",
  "            ret.put(\"value\", n.value)",
  "        } case { \"call\" ->",
  "            if (n.value.kind == \"member\") then {",
  "                var memName := n.value.value",
  "                if (memName.substringFrom(memName.size - 7)to(memName.size) ==",
  "                        \"()object\") then {",
  "                    memName := memName.substringFrom(1)to(memName.size - 8)",
  "                }",
  "                if (n.value.in.value == \"prelude\") then {",
  "                    ret.put(\"name\", memName)",
  "                    ret.put(\"type\", \"dialect-method\")",
  "                    def parts = JSArray.new",
  "                    ret.put(\"parts\", parts)",
  "                    for (n.with) do {part->",
  "                        def thisPart = JSArray.new",
  "                        parts.push(thisPart)",
  "                        for (part.args) do {arg->",
  "                            thisPart.push(generateNode(arg))",
  "                        }",
  "                    }",
  "                } else {",
  "                    if (n.value.in.value == \"self\") then {",
  "                        if (n.with.size > 1) then {",
  "                            ret.put(\"name\", n.value.value)",
  "                            ret.put(\"type\", \"dialect-method\")",
  "                            def parts = JSArray.new",
  "                            ret.put(\"parts\", parts)",
  "                            for (n.with) do {part->",
  "                                def thisPart = JSArray.new",
  "                                parts.push(thisPart)",
  "                                for (part.args) do {arg->",
  "                                    thisPart.push(generateNode(arg))",
  "                                }",
  "                            }",
  "                        } else {",
  "                            ret.put(\"type\", \"selfcall\")",
  "                            ret.put(\"name\", memName)",
  "                            def args = JSArray.new",
  "                            for (n.with.at(1).args) do {arg->",
  "                                args.push(generateNode(arg))",
  "                            }",
  "                            ret.put(\"args\", args)",
  "                        }",
  "                    } else {",
  "                        if (n.value.in.value == \"outer\") then {",
  "                            ret.put(\"type\", \"selfcall\")",
  "                            ret.put(\"name\", memName)",
  "                            def args = JSArray.new",
  "                            for (n.with.at(1).args) do {arg->",
  "                                args.push(generateNode(arg))",
  "                            }",
  "                            ret.put(\"args\", args)",
  "                            ret.put(\"isRequest\", true)",
  "                        } else {",
  "                            ret.put(\"type\", \"request\")",
  "                            ret.put(\"receiver\", generateNode(n.value.in))",
  "                            ret.put(\"name\", memName)",
  "                            def args = JSArray.new",
  "                            for (n.with.at(1).args) do {arg->",
  "                                args.push(generateNode(arg))",
  "                            }",
  "                            ret.put(\"args\", args)",
  "                        }",
  "                    }",
  "                }",
  "            } else {",
  "                ret.put(\"type\", \"unknown call\")",
  "                print \"    {n.pretty(4)}\"",
  "            }",
  "        } case { \"member\" ->",
  "            if (n.in.value == \"outer\") then {",
  "                ret.put(\"type\", \"selfcall\")",
  "                ret.put(\"name\", n.value)",
  "                ret.put(\"args\", JSArray.new)",
  "                ret.put(\"isRequest\", true)",
  "            } else {",
  "                ret.put(\"type\", \"request\")",
  "                ret.put(\"receiver\", generateNode(n.in))",
  "                ret.put(\"name\", n.value)",
  "                ret.put(\"args\", JSArray.new)",
  "            }",
  "        } case { \"block\" ->",
  "            ret.put(\"type\", \"block\")",
  "            def params = JSArray.new",
  "            ret.put(\"params\", params)",
  "            for (n.params) do {p->",
  "                params.push(p.value)",
  "            }",
  "            def body = JSArray.new",
  "            ret.put(\"body\", body)",
  "            for (n.body) do {p->",
  "                body.push(generateNode(p))",
  "            }",
  "        } case { _ ->",
  "            ret.put(\"type\", \"UNKNOWN\")",
  "            ret.put(\"internalKind\", n.kind)",
  "        }",
  "    return ret",
  "}",
  "",
  "var lastToken := object {def kind is readable = \"\"}",
  "method saveToken(token) {",
  "    lastToken := token",
  "}",
  "",
  "method generate(values, outfile) {",
  "    util.log_verbose \"generating JSON.\"",
  "    def chunkLocations = collections.list.new",
  "    if (lastToken.kind == \"comment\") then {",
  "        def cmt = lastToken.value",
  "        if (cmt.substringFrom(1)to(9) == \" chunks: \") then {",
  "            var accum := \"\";",
  "            var leftAccum := \"\"",
  "            for (cmt.substringFrom(10)to(cmt.size)) do {c->",
  "                if (c == \" \") then {",
  "                    chunkLocations.push(object {",
  "                        def top is readable = accum",
  "                        def left is readable = leftAccum",
  "                    })",
  "                    accum := \"\"",
  "                } else {",
  "                    if (c == \",\") then {",
  "                        leftAccum := accum",
  "                        accum := \"\"",
  "                    } else {",
  "                        accum := accum ++ c",
  "                    }",
  "                }",
  "            }",
  "            chunkLocations.push(object {",
  "                def top is readable = accum",
  "                def left is readable = leftAccum",
  "            })",
  "            accum := \"\"",
  "        }",
  "    }",
  "    if (chunkLocations.size == 0) then {",
  "        chunkLocations.push(object {",
  "            def top is readable = \"10px\"",
  "            def left is readable = \"10px\"",
  "        })",
  "    }",
  "    def overall = JSObj.new",
  "    def arr = JSArray.new",
  "    overall.put(\"chunks\", arr)",
  "    var chunkIndex := 1",
  "    var chunk := JSObj.new",
  "    arr.push(chunk)",
  "    chunk.put(\"type\", \"chunk\")",
  "    chunk.put(\"x\", chunkLocations.at(chunkIndex).left)",
  "    chunk.put(\"y\", chunkLocations.at(chunkIndex).top)",
  "    var body := JSArray.new",
  "    chunk.put(\"body\", body)",
  "    for (values) do {v->",
  "        if (v.kind == \"dialect\") then {",
  "            overall.put(\"dialect\", v.value)",
  "        } else {",
  "            if (v.kind == \"blank\") then {",
  "                chunkIndex := chunkIndex + 1",
  "                if (chunkLocations.size < chunkIndex) then {",
  "                    chunkLocations.push(object {",
  "                        def top is readable = \"{chunkIndex * 10}px\"",
  "                        def left is readable = \"{chunkIndex * 10}px\"",
  "                    })",
  "                }",
  "                chunk := JSObj.new",
  "                arr.push(chunk)",
  "                chunk.put(\"type\", \"chunk\")",
  "                chunk.put(\"x\", chunkLocations.at(chunkIndex).left)",
  "                chunk.put(\"y\", chunkLocations.at(chunkIndex).top)",
  "                body := JSArray.new",
  "                chunk.put(\"body\", body)",
  "            } else {",
  "                body.push(generateNode(v))",
  "            }",
  "        }",
  "    }",
  "    outfile.write(overall.asJSON ++ \"\\n\")",
  "}",
  NULL
};
Object reader_genjson_outer_933(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_genjson_top_934(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[1];
}
Object reader_genjson_left_935(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[2];
}
Object reader_genjson_outer_955(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_genjson_top_956(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[1];
}
Object reader_genjson_left_957(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[2];
}
Object reader_genjson_outer_970(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_genjson_top_971(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[1];
}
Object reader_genjson_left_972(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[2];
}
Object reader_genjson_outer_1046(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_genjson_top_1047(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[1];
}
Object reader_genjson_left_1048(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[2];
}
Object reader_genjson_outer_1119(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_genjson_outer_1122(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_genjson_data_1123(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[1];
}
Object reader_genjson_outer_1182(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_genjson_outer_1185(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_genjson_data_1186(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[1];
}
Object reader_genjson_outer_1230(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_genjson_outer_1233(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_genjson_data_1234(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[1];
}
Object reader_genjson_outer_1249(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_genjson_outer_1252(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_genjson_data_1253(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[1];
}
Object reader_genjson_outer_1267(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_genjson_kind_1268(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[1];
}
static Object strlit9;
static Object strlit23;
static Object strlit42;
static Object strlit43;
static Object strlit46;
static Object strlit53;
static Object strlit60;
static Object strlit64;
static Object strlit65;
static Object strlit68;
static Object strlit75;
static Object strlit82;
static Object strlit86;
static Object strlit87;
static Object strlit90;
static Object strlit95;
static Object strlit99;
static Object strlit100;
static Object strlit103;
static Object strlit108;
static Object strlit112;
static Object strlit113;
static Object strlit116;
static Object strlit123;
static Object strlit130;
static Object strlit135;
static Object strlit140;
static Object strlit149;
static Object strlit159;
static Object strlit160;
static Object strlit163;
static Object strlit165;
static Object strlit176;
static Object strlit190;
static Object strlit200;
static Object strlit201;
static Object strlit213;
static Object strlit218;
static Object strlit225;
static Object strlit226;
static Object strlit229;
static Object strlit230;
static Object strlit233;
static Object strlit240;
static Object strlit247;
static Object strlit251;
static Object strlit252;
static Object strlit255;
static Object strlit280;
static Object strlit296;
static Object strlit299;
static Object strlit303;
static Object strlit304;
static Object strlit307;
static Object strlit314;
static Object strlit318;
static Object strlit319;
static Object strlit335;
static Object strlit338;
static Object strlit342;
static Object strlit343;
static Object strlit346;
static Object strlit353;
static Object strlit378;
static Object strlit394;
static Object strlit397;
static Object strlit411;
static Object strlit413;
static Object strlit423;
static Object strlit431;
static Object strlit444;
static Object strlit463;
static Object strlit465;
static Object strlit475;
static Object strlit483;
static Object strlit501;
static Object strlit505;
static Object strlit506;
static Object strlit509;
static Object strlit514;
static Object strlit519;
static Object strlit532;
static Object strlit557;
static Object strlit567;
static Object strlit570;
static Object strlit571;
static Object strlit576;
static Object strlit602;
static Object strlit621;
static Object strlit628;
static Object strlit629;
static Object strlit634;
static Object strlit659;
static Object strlit660;
static Object strlit663;
static Object strlit684;
static Object strlit688;
static Object strlit698;
static Object strlit699;
static Object strlit702;
static Object strlit723;
static Object strlit726;
static Object strlit730;
static Object strlit731;
static Object strlit734;
static Object strlit743;
static Object strlit764;
static Object strlit767;
static Object strlit768;
static Object strlit771;
static Object strlit778;
static Object strlit783;
static Object strlit788;
static Object strlit796;
static Object strlit797;
static Object strlit800;
static Object strlit805;
static Object strlit810;
static Object strlit814;
static Object strlit815;
static Object strlit818;
static Object strlit825;
static Object strlit830;
static Object strlit835;
static Object strlit839;
static Object strlit840;
static Object strlit845;
static Object strlit861;
static Object strlit875;
static Object strlit879;
static Object strlit880;
static Object strlit883;
static Object strlit892;
static Object strlit900;
static Object strlit909;
static Object strlit916;
static Object strlit917;
static Object strlit928;
static ClassData objclass932;
static Object strlit937;
static Object strlit941;
static Object strlit945;
static ClassData objclass954;
static Object strlit959;
static ClassData objclass969;
static Object strlit973;
static Object strlit974;
static Object strlit981;
static Object strlit989;
static Object strlit990;
static Object strlit993;
static Object strlit1000;
static Object strlit1009;
static Object strlit1016;
static Object strlit1022;
static Object strlit1028;
static ClassData objclass1045;
static Object strlit1050;
static Object strlit1058;
static Object strlit1062;
static Object strlit1070;
static Object strlit1080;
static Object strlit1081;
static Object strlit1084;
static Object strlit1091;
static Object strlit1101;
static Object strlit1111;
Object module_mgcollections;
Object module_mgcollections_init();
Object module_util;
Object module_util_init();
Object module_io;
Object module_io_init();
Object module_ast;
Object module_ast_init();
static ClassData objclass1118;
static ClassData objclass1121;
static Object strlit1136;
static Object strlit1137;
static Object strlit1153;
static Object strlit1157;
static Object strlit1167;
static Object strlit1172;
static ClassData objclass1181;
static ClassData objclass1184;
static Object strlit1199;
static Object strlit1200;
static Object strlit1215;
static Object strlit1220;
static ClassData objclass1229;
static ClassData objclass1232;
static Object strlit1237;
static Object strlit1243;
static ClassData objclass1248;
static ClassData objclass1251;
static Object strlit1256;
static Object strlit1262;
static ClassData objclass1266;
static Object strlit1269;
Object meth_genjson__apply3(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method");
  Object params[1];
  int partcv[1];
  Object *var_v = getfromclosure(closure, 0);
  Object *var_JSString = getfromclosure(closure, 1);
  Object self = *(getfromclosure(closure, 2));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var___0 = &(stackframe->slots[0]);
  *var___0 = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  int callframe4 = gc_frame_new();
// compilenode returning *var_v
  gc_frame_newslot(*var_v);
// compilenode returning *var_JSString
  params[0] = *var_v;
  partcv[0] = 1;
  Object call5 = callmethod(*var_JSString, "new",
    1, partcv, params);
  gc_frame_end(callframe4);
// compilenode returning call5
  gc_frame_end(frame);
  return call5;
}
Object meth_genjson__apply17(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method");
  Object params[1];
  int partcv[1];
  Object *var_v = getfromclosure(closure, 0);
  Object *var_JSBoolean = getfromclosure(closure, 1);
  Object self = *(getfromclosure(closure, 2));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var___1 = &(stackframe->slots[0]);
  *var___1 = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  int callframe18 = gc_frame_new();
// compilenode returning *var_v
  gc_frame_newslot(*var_v);
// compilenode returning *var_JSBoolean
  params[0] = *var_v;
  partcv[0] = 1;
  Object call19 = callmethod(*var_JSBoolean, "new",
    1, partcv, params);
  gc_frame_end(callframe18);
// compilenode returning call19
  gc_frame_end(frame);
  return call19;
}
Object meth_genjson__apply31(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method");
  Object params[1];
  int partcv[1];
  Object *var_v = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var___2 = &(stackframe->slots[0]);
  *var___2 = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// compilenode returning *var_v
  gc_frame_end(frame);
  return *var_v;
}
Object meth_genjson_wrap0(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 1, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "wrap");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method");
  Object params[3];
  int partcv[1];
  Object *var_JSString = getfromclosure(closure, 0);
  Object *var_String = getfromclosure(closure, 1);
  Object *var_JSBoolean = getfromclosure(closure, 2);
  Object *var_Boolean = getfromclosure(closure, 3);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for wrap (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_v = &(stackframe->slots[0]);
  *var_v = args[curarg];
  curarg++;
if (argcv && argcv[0] > 1)
  gracedie("too many arguments for wrap");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 10
  setline(10);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 7
  setline(7);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_v
  int frame1 = gc_frame_new();
  gc_frame_newslot(*var_v);
// Begin line 8
  setline(8);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object block2 = alloc_Block(NULL, NULL, "genjson", 8);
  gc_frame_newslot(block2);
  block_savedest(block2);
  Object closure3 = createclosure(3, "_apply");
setclosureframe(closure3, stackframe);
  addtoclosure(closure3, var_v);
  addtoclosure(closure3, var_JSString);
  addtoclosure(closure3, selfslot);
  struct UserObject *uo3 = (struct UserObject*)block2;
  uo3->data[0] = (Object)closure3;
  Method *meth_meth_genjson__apply3 = addmethod2pos(block2, "_apply", &meth_genjson__apply3, 0);
int argcv_meth_genjson__apply3[] = {1};
meth_meth_genjson__apply3->type = alloc_MethodType(1, argcv_meth_genjson__apply3);
meth_meth_genjson__apply3->type->types[0] = type_String;
meth_meth_genjson__apply3->type->names[0] = "__0";
  meth_meth_genjson__apply3->definitionModule = modulename;
  meth_meth_genjson__apply3->definitionLine = 342;
  int callframe7 = gc_frame_new();
  int callframe8 = gc_frame_new();
  if (strlit9 == NULL) {
    strlit9 = alloc_String("__0");
    gc_root(strlit9);
  }
// compilenode returning strlit9
  gc_frame_newslot(strlit9);
  int callframe10 = gc_frame_new();
  partcv[0] = 0;
  Object call11 = callmethodflags(prelude, "VariablePattern", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe10);
// compilenode returning call11
// compilenode returning call11
  params[0] = strlit9;
  partcv[0] = 1;
  Object call12 = callmethod(call11, "new",
    1, partcv, params);
  gc_frame_end(callframe8);
// compilenode returning call12
  gc_frame_newslot(call12);
// compilenode returning *var_String
  gc_frame_newslot(*var_String);
  int callframe13 = gc_frame_new();
  partcv[0] = 0;
  Object call14 = callmethodflags(prelude, "AndPattern", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe13);
// compilenode returning call14
// compilenode returning call14
  params[0] = call12;
  params[1] = *var_String;
  partcv[0] = 2;
  Object call15 = callmethod(call14, "new",
    1, partcv, params);
  gc_frame_end(callframe7);
// compilenode returning call15
((struct UserObject *)block2)->data[1] = call15;
// compilenode returning block2
  gc_frame_newslot(block2);
// Begin line 9
  setline(9);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object block16 = alloc_Block(NULL, NULL, "genjson", 9);
  gc_frame_newslot(block16);
  block_savedest(block16);
  Object closure17 = createclosure(3, "_apply");
setclosureframe(closure17, stackframe);
  addtoclosure(closure17, var_v);
  addtoclosure(closure17, var_JSBoolean);
  addtoclosure(closure17, selfslot);
  struct UserObject *uo17 = (struct UserObject*)block16;
  uo17->data[0] = (Object)closure17;
  Method *meth_meth_genjson__apply17 = addmethod2pos(block16, "_apply", &meth_genjson__apply17, 0);
int argcv_meth_genjson__apply17[] = {1};
meth_meth_genjson__apply17->type = alloc_MethodType(1, argcv_meth_genjson__apply17);
meth_meth_genjson__apply17->type->types[0] = type_Boolean;
meth_meth_genjson__apply17->type->names[0] = "__1";
  meth_meth_genjson__apply17->definitionModule = modulename;
  meth_meth_genjson__apply17->definitionLine = 8;
  int callframe21 = gc_frame_new();
  int callframe22 = gc_frame_new();
  if (strlit23 == NULL) {
    strlit23 = alloc_String("__1");
    gc_root(strlit23);
  }
// compilenode returning strlit23
  gc_frame_newslot(strlit23);
  int callframe24 = gc_frame_new();
  partcv[0] = 0;
  Object call25 = callmethodflags(prelude, "VariablePattern", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe24);
// compilenode returning call25
// compilenode returning call25
  params[0] = strlit23;
  partcv[0] = 1;
  Object call26 = callmethod(call25, "new",
    1, partcv, params);
  gc_frame_end(callframe22);
// compilenode returning call26
  gc_frame_newslot(call26);
// compilenode returning *var_Boolean
  gc_frame_newslot(*var_Boolean);
  int callframe27 = gc_frame_new();
  partcv[0] = 0;
  Object call28 = callmethodflags(prelude, "AndPattern", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe27);
// compilenode returning call28
// compilenode returning call28
  params[0] = call26;
  params[1] = *var_Boolean;
  partcv[0] = 2;
  Object call29 = callmethod(call28, "new",
    1, partcv, params);
  gc_frame_end(callframe21);
// compilenode returning call29
((struct UserObject *)block16)->data[1] = call29;
// compilenode returning block16
  gc_frame_newslot(block16);
// Begin line 10
  setline(10);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object block30 = alloc_Block(NULL, NULL, "genjson", 10);
  gc_frame_newslot(block30);
  block_savedest(block30);
  Object closure31 = createclosure(2, "_apply");
setclosureframe(closure31, stackframe);
  addtoclosure(closure31, var_v);
  addtoclosure(closure31, selfslot);
  struct UserObject *uo31 = (struct UserObject*)block30;
  uo31->data[0] = (Object)closure31;
  Method *meth_meth_genjson__apply31 = addmethod2pos(block30, "_apply", &meth_genjson__apply31, 0);
int argcv_meth_genjson__apply31[] = {1};
meth_meth_genjson__apply31->type = alloc_MethodType(1, argcv_meth_genjson__apply31);
  meth_meth_genjson__apply31->definitionModule = modulename;
  meth_meth_genjson__apply31->definitionLine = 9;
// compilenode returning block30
  gc_frame_newslot(block30);
  params[0] = block2;
  params[1] = block16;
  params[2] = block30;
  Object matchres1 = matchCase(*var_v, params, 3,NULL);
  gc_frame_end(frame1);
// compilenode returning matchres1
  gc_frame_end(frame);
  return matchres1;
}
Object meth_genjson__apply40(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[2];
  int partcv[1];
  Object *var_ret = getfromclosure(closure, 0);
  Object *var_n = getfromclosure(closure, 1);
  Object self = *(getfromclosure(closure, 2));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 61
  setline(61);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe41 = gc_frame_new();
  if (strlit42 == NULL) {
    strlit42 = alloc_String("type");
    gc_root(strlit42);
  }
// compilenode returning strlit42
  gc_frame_newslot(strlit42);
  if (strlit43 == NULL) {
    strlit43 = alloc_String("vardec");
    gc_root(strlit43);
  }
// compilenode returning strlit43
  gc_frame_newslot(strlit43);
// compilenode returning *var_ret
  params[0] = strlit42;
  params[1] = strlit43;
  partcv[0] = 2;
  Object call44 = callmethod(*var_ret, "put",
    1, partcv, params);
  gc_frame_end(callframe41);
// compilenode returning call44
// Begin line 62
  setline(62);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe45 = gc_frame_new();
  if (strlit46 == NULL) {
    strlit46 = alloc_String("name");
    gc_root(strlit46);
  }
// compilenode returning strlit46
  gc_frame_newslot(strlit46);
  int callframe47 = gc_frame_new();
  int callframe48 = gc_frame_new();
// compilenode returning *var_n
  partcv[0] = 0;
  Object call49 = callmethod(*var_n, "name",
    1, partcv, params);
  gc_frame_end(callframe48);
// compilenode returning call49
// compilenode returning call49
  partcv[0] = 0;
  Object call50 = callmethod(call49, "value",
    1, partcv, params);
  gc_frame_end(callframe47);
// compilenode returning call50
// compilenode returning call50
  gc_frame_newslot(call50);
// compilenode returning *var_ret
  params[0] = strlit46;
  params[1] = call50;
  partcv[0] = 2;
  Object call51 = callmethod(*var_ret, "put",
    1, partcv, params);
  gc_frame_end(callframe45);
// compilenode returning call51
// Begin line 63
  setline(63);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe52 = gc_frame_new();
  if (strlit53 == NULL) {
    strlit53 = alloc_String("value");
    gc_root(strlit53);
  }
// compilenode returning strlit53
  gc_frame_newslot(strlit53);
  int callframe54 = gc_frame_new();
  int callframe55 = gc_frame_new();
// compilenode returning *var_n
  partcv[0] = 0;
  Object call56 = callmethod(*var_n, "value",
    1, partcv, params);
  gc_frame_end(callframe55);
// compilenode returning call56
// compilenode returning call56
  gc_frame_newslot(call56);
  params[0] = call56;
  partcv[0] = 1;
  Object call57 = callmethodflags(self, "generateNode", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe54);
// compilenode returning call57
  gc_frame_newslot(call57);
// compilenode returning *var_ret
  params[0] = strlit53;
  params[1] = call57;
  partcv[0] = 2;
  Object call58 = callmethod(*var_ret, "put",
    1, partcv, params);
  gc_frame_end(callframe52);
// compilenode returning call58
  gc_frame_end(frame);
  return call58;
}
Object meth_genjson__apply62(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[2];
  int partcv[1];
  Object *var_ret = getfromclosure(closure, 0);
  Object *var_n = getfromclosure(closure, 1);
  Object self = *(getfromclosure(closure, 2));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 65
  setline(65);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe63 = gc_frame_new();
  if (strlit64 == NULL) {
    strlit64 = alloc_String("type");
    gc_root(strlit64);
  }
// compilenode returning strlit64
  gc_frame_newslot(strlit64);
  if (strlit65 == NULL) {
    strlit65 = alloc_String("defdec");
    gc_root(strlit65);
  }
// compilenode returning strlit65
  gc_frame_newslot(strlit65);
// compilenode returning *var_ret
  params[0] = strlit64;
  params[1] = strlit65;
  partcv[0] = 2;
  Object call66 = callmethod(*var_ret, "put",
    1, partcv, params);
  gc_frame_end(callframe63);
// compilenode returning call66
// Begin line 66
  setline(66);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe67 = gc_frame_new();
  if (strlit68 == NULL) {
    strlit68 = alloc_String("name");
    gc_root(strlit68);
  }
// compilenode returning strlit68
  gc_frame_newslot(strlit68);
  int callframe69 = gc_frame_new();
  int callframe70 = gc_frame_new();
// compilenode returning *var_n
  partcv[0] = 0;
  Object call71 = callmethod(*var_n, "name",
    1, partcv, params);
  gc_frame_end(callframe70);
// compilenode returning call71
// compilenode returning call71
  partcv[0] = 0;
  Object call72 = callmethod(call71, "value",
    1, partcv, params);
  gc_frame_end(callframe69);
// compilenode returning call72
// compilenode returning call72
  gc_frame_newslot(call72);
// compilenode returning *var_ret
  params[0] = strlit68;
  params[1] = call72;
  partcv[0] = 2;
  Object call73 = callmethod(*var_ret, "put",
    1, partcv, params);
  gc_frame_end(callframe67);
// compilenode returning call73
// Begin line 67
  setline(67);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe74 = gc_frame_new();
  if (strlit75 == NULL) {
    strlit75 = alloc_String("value");
    gc_root(strlit75);
  }
// compilenode returning strlit75
  gc_frame_newslot(strlit75);
  int callframe76 = gc_frame_new();
  int callframe77 = gc_frame_new();
// compilenode returning *var_n
  partcv[0] = 0;
  Object call78 = callmethod(*var_n, "value",
    1, partcv, params);
  gc_frame_end(callframe77);
// compilenode returning call78
// compilenode returning call78
  gc_frame_newslot(call78);
  params[0] = call78;
  partcv[0] = 1;
  Object call79 = callmethodflags(self, "generateNode", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe76);
// compilenode returning call79
  gc_frame_newslot(call79);
// compilenode returning *var_ret
  params[0] = strlit75;
  params[1] = call79;
  partcv[0] = 2;
  Object call80 = callmethod(*var_ret, "put",
    1, partcv, params);
  gc_frame_end(callframe74);
// compilenode returning call80
  gc_frame_end(frame);
  return call80;
}
Object meth_genjson__apply84(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[2];
  int partcv[1];
  Object *var_ret = getfromclosure(closure, 0);
  Object *var_n = getfromclosure(closure, 1);
  Object self = *(getfromclosure(closure, 2));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 69
  setline(69);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe85 = gc_frame_new();
  if (strlit86 == NULL) {
    strlit86 = alloc_String("type");
    gc_root(strlit86);
  }
// compilenode returning strlit86
  gc_frame_newslot(strlit86);
  if (strlit87 == NULL) {
    strlit87 = alloc_String("string");
    gc_root(strlit87);
  }
// compilenode returning strlit87
  gc_frame_newslot(strlit87);
// compilenode returning *var_ret
  params[0] = strlit86;
  params[1] = strlit87;
  partcv[0] = 2;
  Object call88 = callmethod(*var_ret, "put",
    1, partcv, params);
  gc_frame_end(callframe85);
// compilenode returning call88
// Begin line 70
  setline(70);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe89 = gc_frame_new();
  if (strlit90 == NULL) {
    strlit90 = alloc_String("value");
    gc_root(strlit90);
  }
// compilenode returning strlit90
  gc_frame_newslot(strlit90);
  int callframe91 = gc_frame_new();
// compilenode returning *var_n
  partcv[0] = 0;
  Object call92 = callmethod(*var_n, "value",
    1, partcv, params);
  gc_frame_end(callframe91);
// compilenode returning call92
// compilenode returning call92
  gc_frame_newslot(call92);
// compilenode returning *var_ret
  params[0] = strlit90;
  params[1] = call92;
  partcv[0] = 2;
  Object call93 = callmethod(*var_ret, "put",
    1, partcv, params);
  gc_frame_end(callframe89);
// compilenode returning call93
  gc_frame_end(frame);
  return call93;
}
Object meth_genjson__apply97(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[2];
  int partcv[1];
  Object *var_ret = getfromclosure(closure, 0);
  Object *var_n = getfromclosure(closure, 1);
  Object self = *(getfromclosure(closure, 2));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 72
  setline(72);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe98 = gc_frame_new();
  if (strlit99 == NULL) {
    strlit99 = alloc_String("type");
    gc_root(strlit99);
  }
// compilenode returning strlit99
  gc_frame_newslot(strlit99);
  if (strlit100 == NULL) {
    strlit100 = alloc_String("number");
    gc_root(strlit100);
  }
// compilenode returning strlit100
  gc_frame_newslot(strlit100);
// compilenode returning *var_ret
  params[0] = strlit99;
  params[1] = strlit100;
  partcv[0] = 2;
  Object call101 = callmethod(*var_ret, "put",
    1, partcv, params);
  gc_frame_end(callframe98);
// compilenode returning call101
// Begin line 73
  setline(73);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe102 = gc_frame_new();
  if (strlit103 == NULL) {
    strlit103 = alloc_String("value");
    gc_root(strlit103);
  }
// compilenode returning strlit103
  gc_frame_newslot(strlit103);
  int callframe104 = gc_frame_new();
// compilenode returning *var_n
  partcv[0] = 0;
  Object call105 = callmethod(*var_n, "value",
    1, partcv, params);
  gc_frame_end(callframe104);
// compilenode returning call105
// compilenode returning call105
  gc_frame_newslot(call105);
// compilenode returning *var_ret
  params[0] = strlit103;
  params[1] = call105;
  partcv[0] = 2;
  Object call106 = callmethod(*var_ret, "put",
    1, partcv, params);
  gc_frame_end(callframe102);
// compilenode returning call106
  gc_frame_end(frame);
  return call106;
}
Object meth_genjson__apply110(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[2];
  int partcv[1];
  Object *var_ret = getfromclosure(closure, 0);
  Object *var_n = getfromclosure(closure, 1);
  Object self = *(getfromclosure(closure, 2));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 75
  setline(75);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe111 = gc_frame_new();
  if (strlit112 == NULL) {
    strlit112 = alloc_String("type");
    gc_root(strlit112);
  }
// compilenode returning strlit112
  gc_frame_newslot(strlit112);
  if (strlit113 == NULL) {
    strlit113 = alloc_String("operator");
    gc_root(strlit113);
  }
// compilenode returning strlit113
  gc_frame_newslot(strlit113);
// compilenode returning *var_ret
  params[0] = strlit112;
  params[1] = strlit113;
  partcv[0] = 2;
  Object call114 = callmethod(*var_ret, "put",
    1, partcv, params);
  gc_frame_end(callframe111);
// compilenode returning call114
// Begin line 76
  setline(76);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe115 = gc_frame_new();
  if (strlit116 == NULL) {
    strlit116 = alloc_String("left");
    gc_root(strlit116);
  }
// compilenode returning strlit116
  gc_frame_newslot(strlit116);
  int callframe117 = gc_frame_new();
  int callframe118 = gc_frame_new();
// compilenode returning *var_n
  partcv[0] = 0;
  Object call119 = callmethod(*var_n, "left",
    1, partcv, params);
  gc_frame_end(callframe118);
// compilenode returning call119
// compilenode returning call119
  gc_frame_newslot(call119);
  params[0] = call119;
  partcv[0] = 1;
  Object call120 = callmethodflags(self, "generateNode", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe117);
// compilenode returning call120
  gc_frame_newslot(call120);
// compilenode returning *var_ret
  params[0] = strlit116;
  params[1] = call120;
  partcv[0] = 2;
  Object call121 = callmethod(*var_ret, "put",
    1, partcv, params);
  gc_frame_end(callframe115);
// compilenode returning call121
// Begin line 77
  setline(77);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe122 = gc_frame_new();
  if (strlit123 == NULL) {
    strlit123 = alloc_String("right");
    gc_root(strlit123);
  }
// compilenode returning strlit123
  gc_frame_newslot(strlit123);
  int callframe124 = gc_frame_new();
  int callframe125 = gc_frame_new();
// compilenode returning *var_n
  partcv[0] = 0;
  Object call126 = callmethod(*var_n, "right",
    1, partcv, params);
  gc_frame_end(callframe125);
// compilenode returning call126
// compilenode returning call126
  gc_frame_newslot(call126);
  params[0] = call126;
  partcv[0] = 1;
  Object call127 = callmethodflags(self, "generateNode", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe124);
// compilenode returning call127
  gc_frame_newslot(call127);
// compilenode returning *var_ret
  params[0] = strlit123;
  params[1] = call127;
  partcv[0] = 2;
  Object call128 = callmethod(*var_ret, "put",
    1, partcv, params);
  gc_frame_end(callframe122);
// compilenode returning call128
// Begin line 78
  setline(78);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe129 = gc_frame_new();
  if (strlit130 == NULL) {
    strlit130 = alloc_String("operator");
    gc_root(strlit130);
  }
// compilenode returning strlit130
  gc_frame_newslot(strlit130);
  int callframe131 = gc_frame_new();
// compilenode returning *var_n
  partcv[0] = 0;
  Object call132 = callmethod(*var_n, "value",
    1, partcv, params);
  gc_frame_end(callframe131);
// compilenode returning call132
// compilenode returning call132
  gc_frame_newslot(call132);
// compilenode returning *var_ret
  params[0] = strlit130;
  params[1] = call132;
  partcv[0] = 2;
  Object call133 = callmethod(*var_ret, "put",
    1, partcv, params);
  gc_frame_end(callframe129);
// compilenode returning call133
  gc_frame_end(frame);
  return call133;
}
Object meth_genjson__apply137(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(4, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[2];
  int partcv[1];
  Object *var_n = getfromclosure(closure, 0);
  Object *var_ret = getfromclosure(closure, 1);
  Object *var_JSArray = getfromclosure(closure, 2);
  Object *var_ast = getfromclosure(closure, 3);
  Object self = *(getfromclosure(closure, 4));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_parts = &(stackframe->slots[1]);
  setframeelementname(stackframe, 1, "parts");
  Object *var_part = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "part");
  Object *var_ident = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "ident");
// Begin line 104
  setline(104);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 80
  setline(80);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit140 == NULL) {
    strlit140 = alloc_String("member");
    gc_root(strlit140);
  }
// compilenode returning strlit140
  int op_slot_right_139 = gc_frame_newslot(strlit140);
  int callframe142 = gc_frame_new();
  int callframe143 = gc_frame_new();
// compilenode returning *var_n
  partcv[0] = 0;
  Object call144 = callmethod(*var_n, "dest",
    1, partcv, params);
  gc_frame_end(callframe143);
// compilenode returning call144
// compilenode returning call144
  partcv[0] = 0;
  Object call145 = callmethod(call144, "kind",
    1, partcv, params);
  gc_frame_end(callframe142);
// compilenode returning call145
// compilenode returning call145
  int op_slot_left_139 = gc_frame_newslot(call145);
  params[0] = strlit140;
  partcv[0] = 1;
  Object opresult146 = callmethod(call145, "==", 1, partcv, params);
// compilenode returning opresult146
  Object if138 = done;
  if (istrue(opresult146)) {
// Begin line 99
  setline(99);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 81
  setline(81);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit149 == NULL) {
    strlit149 = alloc_String("prelude");
    gc_root(strlit149);
  }
// compilenode returning strlit149
  int op_slot_right_148 = gc_frame_newslot(strlit149);
  int callframe151 = gc_frame_new();
  int callframe152 = gc_frame_new();
  int callframe153 = gc_frame_new();
// compilenode returning *var_n
  partcv[0] = 0;
  Object call154 = callmethod(*var_n, "dest",
    1, partcv, params);
  gc_frame_end(callframe153);
// compilenode returning call154
// compilenode returning call154
  partcv[0] = 0;
  Object call155 = callmethod(call154, "in",
    1, partcv, params);
  gc_frame_end(callframe152);
// compilenode returning call155
// compilenode returning call155
  partcv[0] = 0;
  Object call156 = callmethod(call155, "value",
    1, partcv, params);
  gc_frame_end(callframe151);
// compilenode returning call156
// compilenode returning call156
  int op_slot_left_148 = gc_frame_newslot(call156);
  params[0] = strlit149;
  partcv[0] = 1;
  Object opresult157 = callmethod(call156, "==", 1, partcv, params);
// compilenode returning opresult157
  Object if147 = done;
  if (istrue(opresult157)) {
// Begin line 82
  setline(82);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe158 = gc_frame_new();
  if (strlit159 == NULL) {
    strlit159 = alloc_String("type");
    gc_root(strlit159);
  }
// compilenode returning strlit159
  gc_frame_newslot(strlit159);
  if (strlit160 == NULL) {
    strlit160 = alloc_String("dialect-method");
    gc_root(strlit160);
  }
// compilenode returning strlit160
  gc_frame_newslot(strlit160);
// compilenode returning *var_ret
  params[0] = strlit159;
  params[1] = strlit160;
  partcv[0] = 2;
  Object call161 = callmethod(*var_ret, "put",
    1, partcv, params);
  gc_frame_end(callframe158);
// compilenode returning call161
// Begin line 83
  setline(83);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe162 = gc_frame_new();
  if (strlit163 == NULL) {
    strlit163 = alloc_String("name");
    gc_root(strlit163);
  }
// compilenode returning strlit163
  gc_frame_newslot(strlit163);
  if (strlit165 == NULL) {
    strlit165 = alloc_String(":=");
    gc_root(strlit165);
  }
// compilenode returning strlit165
  int op_slot_right_164 = gc_frame_newslot(strlit165);
  int callframe167 = gc_frame_new();
  int callframe168 = gc_frame_new();
// compilenode returning *var_n
  partcv[0] = 0;
  Object call169 = callmethod(*var_n, "dest",
    1, partcv, params);
  gc_frame_end(callframe168);
// compilenode returning call169
// compilenode returning call169
  partcv[0] = 0;
  Object call170 = callmethod(call169, "value",
    1, partcv, params);
  gc_frame_end(callframe167);
// compilenode returning call170
// compilenode returning call170
  int op_slot_left_164 = gc_frame_newslot(call170);
  params[0] = strlit165;
  partcv[0] = 1;
  Object opresult171 = callmethod(call170, "++", 1, partcv, params);
// compilenode returning opresult171
  gc_frame_newslot(opresult171);
// compilenode returning *var_ret
  params[0] = strlit163;
  params[1] = opresult171;
  partcv[0] = 2;
  Object call172 = callmethod(*var_ret, "put",
    1, partcv, params);
  gc_frame_end(callframe162);
// compilenode returning call172
// Begin line 85
  setline(85);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 84
  setline(84);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe173 = gc_frame_new();
// compilenode returning *var_JSArray
  partcv[0] = 0;
  Object call174 = callmethod(*var_JSArray, "new",
    1, partcv, params);
  gc_frame_end(callframe173);
// compilenode returning call174
// compilenode returning call174
  *var_parts = call174;
  if (call174 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 85
  setline(85);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe175 = gc_frame_new();
  if (strlit176 == NULL) {
    strlit176 = alloc_String("parts");
    gc_root(strlit176);
  }
// compilenode returning strlit176
  gc_frame_newslot(strlit176);
// compilenode returning *var_parts
  gc_frame_newslot(*var_parts);
// compilenode returning *var_ret
  params[0] = strlit176;
  params[1] = *var_parts;
  partcv[0] = 2;
  Object call177 = callmethod(*var_ret, "put",
    1, partcv, params);
  gc_frame_end(callframe175);
// compilenode returning call177
// Begin line 87
  setline(87);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 86
  setline(86);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe178 = gc_frame_new();
// compilenode returning *var_JSArray
  partcv[0] = 0;
  Object call179 = callmethod(*var_JSArray, "new",
    1, partcv, params);
  gc_frame_end(callframe178);
// compilenode returning call179
// compilenode returning call179
  *var_part = call179;
  if (call179 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 87
  setline(87);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe180 = gc_frame_new();
// compilenode returning *var_part
  gc_frame_newslot(*var_part);
// compilenode returning *var_parts
  params[0] = *var_part;
  partcv[0] = 1;
  Object call181 = callmethod(*var_parts, "push",
    1, partcv, params);
  gc_frame_end(callframe180);
// compilenode returning call181
// Begin line 88
  setline(88);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe182 = gc_frame_new();
  int callframe183 = gc_frame_new();
  int callframe184 = gc_frame_new();
// compilenode returning *var_n
  partcv[0] = 0;
  Object call185 = callmethod(*var_n, "value",
    1, partcv, params);
  gc_frame_end(callframe184);
// compilenode returning call185
// compilenode returning call185
  gc_frame_newslot(call185);
  params[0] = call185;
  partcv[0] = 1;
  Object call186 = callmethodflags(self, "generateNode", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe183);
// compilenode returning call186
  gc_frame_newslot(call186);
// compilenode returning *var_part
  params[0] = call186;
  partcv[0] = 1;
  Object call187 = callmethod(*var_part, "push",
    1, partcv, params);
  gc_frame_end(callframe182);
// compilenode returning call187
    gc_frame_newslot(call187);
    if147 = call187;
  } else {
// Begin line 98
  setline(98);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 90
  setline(90);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit190 == NULL) {
    strlit190 = alloc_String("self");
    gc_root(strlit190);
  }
// compilenode returning strlit190
  int op_slot_right_189 = gc_frame_newslot(strlit190);
  int callframe192 = gc_frame_new();
  int callframe193 = gc_frame_new();
  int callframe194 = gc_frame_new();
// compilenode returning *var_n
  partcv[0] = 0;
  Object call195 = callmethod(*var_n, "dest",
    1, partcv, params);
  gc_frame_end(callframe194);
// compilenode returning call195
// compilenode returning call195
  partcv[0] = 0;
  Object call196 = callmethod(call195, "in",
    1, partcv, params);
  gc_frame_end(callframe193);
// compilenode returning call196
// compilenode returning call196
  partcv[0] = 0;
  Object call197 = callmethod(call196, "value",
    1, partcv, params);
  gc_frame_end(callframe192);
// compilenode returning call197
// compilenode returning call197
  int op_slot_left_189 = gc_frame_newslot(call197);
  params[0] = strlit190;
  partcv[0] = 1;
  Object opresult198 = callmethod(call197, "==", 1, partcv, params);
// compilenode returning opresult198
  Object if188 = done;
  if (istrue(opresult198)) {
// Begin line 91
  setline(91);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe199 = gc_frame_new();
  if (strlit200 == NULL) {
    strlit200 = alloc_String("type");
    gc_root(strlit200);
  }
// compilenode returning strlit200
  gc_frame_newslot(strlit200);
  if (strlit201 == NULL) {
    strlit201 = alloc_String("assign");
    gc_root(strlit201);
  }
// compilenode returning strlit201
  gc_frame_newslot(strlit201);
// compilenode returning *var_ret
  params[0] = strlit200;
  params[1] = strlit201;
  partcv[0] = 2;
  Object call202 = callmethod(*var_ret, "put",
    1, partcv, params);
  gc_frame_end(callframe199);
// compilenode returning call202
// Begin line 92
  setline(92);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe203 = gc_frame_new();
  int callframe204 = gc_frame_new();
  int callframe205 = gc_frame_new();
// compilenode returning *var_n
  partcv[0] = 0;
  Object call206 = callmethod(*var_n, "dest",
    1, partcv, params);
  gc_frame_end(callframe205);
// compilenode returning call206
// compilenode returning call206
  partcv[0] = 0;
  Object call207 = callmethod(call206, "value",
    1, partcv, params);
  gc_frame_end(callframe204);
// compilenode returning call207
// compilenode returning call207
  gc_frame_newslot(call207);
  Object bool208 = alloc_Boolean(0);
// compilenode returning bool208
  gc_frame_newslot(bool208);
  int callframe209 = gc_frame_new();
// compilenode returning *var_ast
  partcv[0] = 0;
  Object call210 = callmethod(*var_ast, "identifierNode",
    1, partcv, params);
  gc_frame_end(callframe209);
// compilenode returning call210
// compilenode returning call210
  params[0] = call207;
  params[1] = bool208;
  partcv[0] = 2;
  Object call211 = callmethod(call210, "new",
    1, partcv, params);
  gc_frame_end(callframe203);
// compilenode returning call211
  *var_ident = call211;
  if (call211 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 93
  setline(93);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe212 = gc_frame_new();
  if (strlit213 == NULL) {
    strlit213 = alloc_String("left");
    gc_root(strlit213);
  }
// compilenode returning strlit213
  gc_frame_newslot(strlit213);
  int callframe214 = gc_frame_new();
// compilenode returning *var_ident
  gc_frame_newslot(*var_ident);
  params[0] = *var_ident;
  partcv[0] = 1;
  Object call215 = callmethodflags(self, "generateNode", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe214);
// compilenode returning call215
  gc_frame_newslot(call215);
// compilenode returning *var_ret
  params[0] = strlit213;
  params[1] = call215;
  partcv[0] = 2;
  Object call216 = callmethod(*var_ret, "put",
    1, partcv, params);
  gc_frame_end(callframe212);
// compilenode returning call216
// Begin line 94
  setline(94);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe217 = gc_frame_new();
  if (strlit218 == NULL) {
    strlit218 = alloc_String("right");
    gc_root(strlit218);
  }
// compilenode returning strlit218
  gc_frame_newslot(strlit218);
  int callframe219 = gc_frame_new();
  int callframe220 = gc_frame_new();
// compilenode returning *var_n
  partcv[0] = 0;
  Object call221 = callmethod(*var_n, "value",
    1, partcv, params);
  gc_frame_end(callframe220);
// compilenode returning call221
// compilenode returning call221
  gc_frame_newslot(call221);
  params[0] = call221;
  partcv[0] = 1;
  Object call222 = callmethodflags(self, "generateNode", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe219);
// compilenode returning call222
  gc_frame_newslot(call222);
// compilenode returning *var_ret
  params[0] = strlit218;
  params[1] = call222;
  partcv[0] = 2;
  Object call223 = callmethod(*var_ret, "put",
    1, partcv, params);
  gc_frame_end(callframe217);
// compilenode returning call223
    gc_frame_newslot(call223);
    if188 = call223;
  } else {
// Begin line 96
  setline(96);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe224 = gc_frame_new();
  if (strlit225 == NULL) {
    strlit225 = alloc_String("type");
    gc_root(strlit225);
  }
// compilenode returning strlit225
  gc_frame_newslot(strlit225);
  if (strlit226 == NULL) {
    strlit226 = alloc_String("unknown assign");
    gc_root(strlit226);
  }
// compilenode returning strlit226
  gc_frame_newslot(strlit226);
// compilenode returning *var_ret
  params[0] = strlit225;
  params[1] = strlit226;
  partcv[0] = 2;
  Object call227 = callmethod(*var_ret, "put",
    1, partcv, params);
  gc_frame_end(callframe224);
// compilenode returning call227
    gc_frame_newslot(call227);
    if188 = call227;
  }
// compilenode returning if188
    gc_frame_newslot(if188);
    if147 = if188;
  }
// compilenode returning if147
    gc_frame_newslot(if147);
    if138 = if147;
  } else {
// Begin line 100
  setline(100);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe228 = gc_frame_new();
  if (strlit229 == NULL) {
    strlit229 = alloc_String("type");
    gc_root(strlit229);
  }
// compilenode returning strlit229
  gc_frame_newslot(strlit229);
  if (strlit230 == NULL) {
    strlit230 = alloc_String("assign");
    gc_root(strlit230);
  }
// compilenode returning strlit230
  gc_frame_newslot(strlit230);
// compilenode returning *var_ret
  params[0] = strlit229;
  params[1] = strlit230;
  partcv[0] = 2;
  Object call231 = callmethod(*var_ret, "put",
    1, partcv, params);
  gc_frame_end(callframe228);
// compilenode returning call231
// Begin line 101
  setline(101);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe232 = gc_frame_new();
  if (strlit233 == NULL) {
    strlit233 = alloc_String("left");
    gc_root(strlit233);
  }
// compilenode returning strlit233
  gc_frame_newslot(strlit233);
  int callframe234 = gc_frame_new();
  int callframe235 = gc_frame_new();
// compilenode returning *var_n
  partcv[0] = 0;
  Object call236 = callmethod(*var_n, "dest",
    1, partcv, params);
  gc_frame_end(callframe235);
// compilenode returning call236
// compilenode returning call236
  gc_frame_newslot(call236);
  params[0] = call236;
  partcv[0] = 1;
  Object call237 = callmethodflags(self, "generateNode", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe234);
// compilenode returning call237
  gc_frame_newslot(call237);
// compilenode returning *var_ret
  params[0] = strlit233;
  params[1] = call237;
  partcv[0] = 2;
  Object call238 = callmethod(*var_ret, "put",
    1, partcv, params);
  gc_frame_end(callframe232);
// compilenode returning call238
// Begin line 102
  setline(102);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe239 = gc_frame_new();
  if (strlit240 == NULL) {
    strlit240 = alloc_String("right");
    gc_root(strlit240);
  }
// compilenode returning strlit240
  gc_frame_newslot(strlit240);
  int callframe241 = gc_frame_new();
  int callframe242 = gc_frame_new();
// compilenode returning *var_n
  partcv[0] = 0;
  Object call243 = callmethod(*var_n, "value",
    1, partcv, params);
  gc_frame_end(callframe242);
// compilenode returning call243
// compilenode returning call243
  gc_frame_newslot(call243);
  params[0] = call243;
  partcv[0] = 1;
  Object call244 = callmethodflags(self, "generateNode", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe241);
// compilenode returning call244
  gc_frame_newslot(call244);
// compilenode returning *var_ret
  params[0] = strlit240;
  params[1] = call244;
  partcv[0] = 2;
  Object call245 = callmethod(*var_ret, "put",
    1, partcv, params);
  gc_frame_end(callframe239);
// compilenode returning call245
    gc_frame_newslot(call245);
    if138 = call245;
  }
// compilenode returning if138
  gc_frame_end(frame);
  return if138;
}
Object meth_genjson__apply272(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method");
  Object params[1];
  int partcv[1];
  Object *var_args = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_p = &(stackframe->slots[0]);
  *var_p = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 109
  setline(109);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe273 = gc_frame_new();
  int callframe274 = gc_frame_new();
// compilenode returning *var_p
  partcv[0] = 0;
  Object call275 = callmethod(*var_p, "value",
    1, partcv, params);
  gc_frame_end(callframe274);
// compilenode returning call275
// compilenode returning call275
  gc_frame_newslot(call275);
// compilenode returning *var_args
  params[0] = call275;
  partcv[0] = 1;
  Object call276 = callmethod(*var_args, "push",
    1, partcv, params);
  gc_frame_end(callframe273);
// compilenode returning call276
  gc_frame_end(frame);
  return call276;
}
Object meth_genjson__apply288(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method");
  Object params[1];
  int partcv[1];
  Object *var_body = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_v = &(stackframe->slots[0]);
  *var_v = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 114
  setline(114);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe289 = gc_frame_new();
  int callframe290 = gc_frame_new();
// compilenode returning *var_v
  gc_frame_newslot(*var_v);
  params[0] = *var_v;
  partcv[0] = 1;
  Object call291 = callmethodflags(self, "generateNode", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe290);
// compilenode returning call291
  gc_frame_newslot(call291);
// compilenode returning *var_body
  params[0] = call291;
  partcv[0] = 1;
  Object call292 = callmethod(*var_body, "push",
    1, partcv, params);
  gc_frame_end(callframe289);
// compilenode returning call292
  gc_frame_end(frame);
  return call292;
}
Object meth_genjson__apply249(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(3, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[2];
  int partcv[2];
  Object *var_ret = getfromclosure(closure, 0);
  Object *var_n = getfromclosure(closure, 1);
  Object *var_JSArray = getfromclosure(closure, 2);
  Object self = *(getfromclosure(closure, 3));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_args = &(stackframe->slots[1]);
  setframeelementname(stackframe, 1, "args");
  Object *var_body = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "body");
// Begin line 105
  setline(105);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe250 = gc_frame_new();
  if (strlit251 == NULL) {
    strlit251 = alloc_String("type");
    gc_root(strlit251);
  }
// compilenode returning strlit251
  gc_frame_newslot(strlit251);
  if (strlit252 == NULL) {
    strlit252 = alloc_String("method");
    gc_root(strlit252);
  }
// compilenode returning strlit252
  gc_frame_newslot(strlit252);
// compilenode returning *var_ret
  params[0] = strlit251;
  params[1] = strlit252;
  partcv[0] = 2;
  Object call253 = callmethod(*var_ret, "put",
    1, partcv, params);
  gc_frame_end(callframe250);
// compilenode returning call253
// Begin line 106
  setline(106);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe254 = gc_frame_new();
  if (strlit255 == NULL) {
    strlit255 = alloc_String("name");
    gc_root(strlit255);
  }
// compilenode returning strlit255
  gc_frame_newslot(strlit255);
  int callframe256 = gc_frame_new();
  int callframe257 = gc_frame_new();
// compilenode returning *var_n
  partcv[0] = 0;
  Object call258 = callmethod(*var_n, "value",
    1, partcv, params);
  gc_frame_end(callframe257);
// compilenode returning call258
// compilenode returning call258
  partcv[0] = 0;
  Object call259 = callmethod(call258, "value",
    1, partcv, params);
  gc_frame_end(callframe256);
// compilenode returning call259
// compilenode returning call259
  gc_frame_newslot(call259);
// compilenode returning *var_ret
  params[0] = strlit255;
  params[1] = call259;
  partcv[0] = 2;
  Object call260 = callmethod(*var_ret, "put",
    1, partcv, params);
  gc_frame_end(callframe254);
// compilenode returning call260
// Begin line 108
  setline(108);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 107
  setline(107);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe261 = gc_frame_new();
// compilenode returning *var_JSArray
  partcv[0] = 0;
  Object call262 = callmethod(*var_JSArray, "new",
    1, partcv, params);
  gc_frame_end(callframe261);
// compilenode returning call262
// compilenode returning call262
  *var_args = call262;
  if (call262 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 108
  setline(108);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe263 = gc_frame_new();
  int callframe264 = gc_frame_new();
  int callframe265 = gc_frame_new();
  Object num266 = alloc_Float64(1);
// compilenode returning num266
  gc_frame_newslot(num266);
  int callframe267 = gc_frame_new();
// compilenode returning *var_n
  partcv[0] = 0;
  Object call268 = callmethod(*var_n, "signature",
    1, partcv, params);
  gc_frame_end(callframe267);
// compilenode returning call268
// compilenode returning call268
  params[0] = num266;
  partcv[0] = 1;
  Object call269 = callmethod(call268, "at",
    1, partcv, params);
  gc_frame_end(callframe265);
// compilenode returning call269
  partcv[0] = 0;
  Object call270 = callmethod(call269, "params",
    1, partcv, params);
  gc_frame_end(callframe264);
// compilenode returning call270
// compilenode returning call270
  gc_frame_newslot(call270);
  Object block271 = alloc_Block(NULL, NULL, "genjson", 108);
  gc_frame_newslot(block271);
  block_savedest(block271);
  Object closure272 = createclosure(2, "_apply");
setclosureframe(closure272, stackframe);
  addtoclosure(closure272, var_args);
  addtoclosure(closure272, selfslot);
  struct UserObject *uo272 = (struct UserObject*)block271;
  uo272->data[0] = (Object)closure272;
  Method *meth_meth_genjson__apply272 = addmethod2pos(block271, "_apply", &meth_genjson__apply272, 0);
int argcv_meth_genjson__apply272[] = {1};
meth_meth_genjson__apply272->type = alloc_MethodType(1, argcv_meth_genjson__apply272);
  meth_meth_genjson__apply272->definitionModule = modulename;
  meth_meth_genjson__apply272->definitionLine = 108;
// compilenode returning block271
  gc_frame_newslot(block271);
  params[0] = call270;
  params[1] = block271;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call278 = callmethodflags(prelude, "for()do", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe263);
// compilenode returning call278
// Begin line 111
  setline(111);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe279 = gc_frame_new();
  if (strlit280 == NULL) {
    strlit280 = alloc_String("arg");
    gc_root(strlit280);
  }
// compilenode returning strlit280
  gc_frame_newslot(strlit280);
// compilenode returning *var_args
  gc_frame_newslot(*var_args);
// compilenode returning *var_ret
  params[0] = strlit280;
  params[1] = *var_args;
  partcv[0] = 2;
  Object call281 = callmethod(*var_ret, "put",
    1, partcv, params);
  gc_frame_end(callframe279);
// compilenode returning call281
// Begin line 113
  setline(113);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 112
  setline(112);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe282 = gc_frame_new();
// compilenode returning *var_JSArray
  partcv[0] = 0;
  Object call283 = callmethod(*var_JSArray, "new",
    1, partcv, params);
  gc_frame_end(callframe282);
// compilenode returning call283
// compilenode returning call283
  *var_body = call283;
  if (call283 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 113
  setline(113);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe284 = gc_frame_new();
  int callframe285 = gc_frame_new();
// compilenode returning *var_n
  partcv[0] = 0;
  Object call286 = callmethod(*var_n, "body",
    1, partcv, params);
  gc_frame_end(callframe285);
// compilenode returning call286
// compilenode returning call286
  gc_frame_newslot(call286);
  Object block287 = alloc_Block(NULL, NULL, "genjson", 113);
  gc_frame_newslot(block287);
  block_savedest(block287);
  Object closure288 = createclosure(2, "_apply");
setclosureframe(closure288, stackframe);
  addtoclosure(closure288, var_body);
  addtoclosure(closure288, selfslot);
  struct UserObject *uo288 = (struct UserObject*)block287;
  uo288->data[0] = (Object)closure288;
  Method *meth_meth_genjson__apply288 = addmethod2pos(block287, "_apply", &meth_genjson__apply288, 0);
int argcv_meth_genjson__apply288[] = {1};
meth_meth_genjson__apply288->type = alloc_MethodType(1, argcv_meth_genjson__apply288);
  meth_meth_genjson__apply288->definitionModule = modulename;
  meth_meth_genjson__apply288->definitionLine = 113;
// compilenode returning block287
  gc_frame_newslot(block287);
  params[0] = call286;
  params[1] = block287;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call294 = callmethodflags(prelude, "for()do", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe284);
// compilenode returning call294
// Begin line 116
  setline(116);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe295 = gc_frame_new();
  if (strlit296 == NULL) {
    strlit296 = alloc_String("body");
    gc_root(strlit296);
  }
// compilenode returning strlit296
  gc_frame_newslot(strlit296);
// compilenode returning *var_body
  gc_frame_newslot(*var_body);
// compilenode returning *var_ret
  params[0] = strlit296;
  params[1] = *var_body;
  partcv[0] = 2;
  Object call297 = callmethod(*var_ret, "put",
    1, partcv, params);
  gc_frame_end(callframe295);
// compilenode returning call297
  gc_frame_end(frame);
  return call297;
}
Object meth_genjson__apply301(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[2];
  int partcv[1];
  Object *var_ret = getfromclosure(closure, 0);
  Object *var_n = getfromclosure(closure, 1);
  Object self = *(getfromclosure(closure, 2));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 118
  setline(118);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe302 = gc_frame_new();
  if (strlit303 == NULL) {
    strlit303 = alloc_String("type");
    gc_root(strlit303);
  }
// compilenode returning strlit303
  gc_frame_newslot(strlit303);
  if (strlit304 == NULL) {
    strlit304 = alloc_String("inherits");
    gc_root(strlit304);
  }
// compilenode returning strlit304
  gc_frame_newslot(strlit304);
// compilenode returning *var_ret
  params[0] = strlit303;
  params[1] = strlit304;
  partcv[0] = 2;
  Object call305 = callmethod(*var_ret, "put",
    1, partcv, params);
  gc_frame_end(callframe302);
// compilenode returning call305
// Begin line 119
  setline(119);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe306 = gc_frame_new();
  if (strlit307 == NULL) {
    strlit307 = alloc_String("parent");
    gc_root(strlit307);
  }
// compilenode returning strlit307
  gc_frame_newslot(strlit307);
  int callframe308 = gc_frame_new();
  int callframe309 = gc_frame_new();
// compilenode returning *var_n
  partcv[0] = 0;
  Object call310 = callmethod(*var_n, "value",
    1, partcv, params);
  gc_frame_end(callframe309);
// compilenode returning call310
// compilenode returning call310
  gc_frame_newslot(call310);
  params[0] = call310;
  partcv[0] = 1;
  Object call311 = callmethodflags(self, "generateNode", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe308);
// compilenode returning call311
  gc_frame_newslot(call311);
// compilenode returning *var_ret
  params[0] = strlit307;
  params[1] = call311;
  partcv[0] = 2;
  Object call312 = callmethod(*var_ret, "put",
    1, partcv, params);
  gc_frame_end(callframe306);
// compilenode returning call312
  gc_frame_end(frame);
  return call312;
}
Object meth_genjson__apply327(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method");
  Object params[1];
  int partcv[1];
  Object *var_body = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_v = &(stackframe->slots[0]);
  *var_v = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 124
  setline(124);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe328 = gc_frame_new();
  int callframe329 = gc_frame_new();
// compilenode returning *var_v
  gc_frame_newslot(*var_v);
  params[0] = *var_v;
  partcv[0] = 1;
  Object call330 = callmethodflags(self, "generateNode", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe329);
// compilenode returning call330
  gc_frame_newslot(call330);
// compilenode returning *var_body
  params[0] = call330;
  partcv[0] = 1;
  Object call331 = callmethod(*var_body, "push",
    1, partcv, params);
  gc_frame_end(callframe328);
// compilenode returning call331
  gc_frame_end(frame);
  return call331;
}
Object meth_genjson__apply316(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[2];
  int partcv[2];
  Object *var_ret = getfromclosure(closure, 0);
  Object *var_JSArray = getfromclosure(closure, 1);
  Object *var_n = getfromclosure(closure, 2);
  Object self = *(getfromclosure(closure, 3));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_body = &(stackframe->slots[1]);
  setframeelementname(stackframe, 1, "body");
// Begin line 121
  setline(121);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe317 = gc_frame_new();
  if (strlit318 == NULL) {
    strlit318 = alloc_String("type");
    gc_root(strlit318);
  }
// compilenode returning strlit318
  gc_frame_newslot(strlit318);
  if (strlit319 == NULL) {
    strlit319 = alloc_String("object");
    gc_root(strlit319);
  }
// compilenode returning strlit319
  gc_frame_newslot(strlit319);
// compilenode returning *var_ret
  params[0] = strlit318;
  params[1] = strlit319;
  partcv[0] = 2;
  Object call320 = callmethod(*var_ret, "put",
    1, partcv, params);
  gc_frame_end(callframe317);
// compilenode returning call320
// Begin line 123
  setline(123);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 122
  setline(122);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe321 = gc_frame_new();
// compilenode returning *var_JSArray
  partcv[0] = 0;
  Object call322 = callmethod(*var_JSArray, "new",
    1, partcv, params);
  gc_frame_end(callframe321);
// compilenode returning call322
// compilenode returning call322
  *var_body = call322;
  if (call322 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 123
  setline(123);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe323 = gc_frame_new();
  int callframe324 = gc_frame_new();
// compilenode returning *var_n
  partcv[0] = 0;
  Object call325 = callmethod(*var_n, "value",
    1, partcv, params);
  gc_frame_end(callframe324);
// compilenode returning call325
// compilenode returning call325
  gc_frame_newslot(call325);
  Object block326 = alloc_Block(NULL, NULL, "genjson", 123);
  gc_frame_newslot(block326);
  block_savedest(block326);
  Object closure327 = createclosure(2, "_apply");
setclosureframe(closure327, stackframe);
  addtoclosure(closure327, var_body);
  addtoclosure(closure327, selfslot);
  struct UserObject *uo327 = (struct UserObject*)block326;
  uo327->data[0] = (Object)closure327;
  Method *meth_meth_genjson__apply327 = addmethod2pos(block326, "_apply", &meth_genjson__apply327, 0);
int argcv_meth_genjson__apply327[] = {1};
meth_meth_genjson__apply327->type = alloc_MethodType(1, argcv_meth_genjson__apply327);
  meth_meth_genjson__apply327->definitionModule = modulename;
  meth_meth_genjson__apply327->definitionLine = 123;
// compilenode returning block326
  gc_frame_newslot(block326);
  params[0] = call325;
  params[1] = block326;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call333 = callmethodflags(prelude, "for()do", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe323);
// compilenode returning call333
// Begin line 126
  setline(126);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe334 = gc_frame_new();
  if (strlit335 == NULL) {
    strlit335 = alloc_String("body");
    gc_root(strlit335);
  }
// compilenode returning strlit335
  gc_frame_newslot(strlit335);
// compilenode returning *var_body
  gc_frame_newslot(*var_body);
// compilenode returning *var_ret
  params[0] = strlit335;
  params[1] = *var_body;
  partcv[0] = 2;
  Object call336 = callmethod(*var_ret, "put",
    1, partcv, params);
  gc_frame_end(callframe334);
// compilenode returning call336
  gc_frame_end(frame);
  return call336;
}
Object meth_genjson__apply370(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method");
  Object params[1];
  int partcv[1];
  Object *var_args = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_p = &(stackframe->slots[0]);
  *var_p = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 133
  setline(133);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe371 = gc_frame_new();
  int callframe372 = gc_frame_new();
// compilenode returning *var_p
  partcv[0] = 0;
  Object call373 = callmethod(*var_p, "value",
    1, partcv, params);
  gc_frame_end(callframe372);
// compilenode returning call373
// compilenode returning call373
  gc_frame_newslot(call373);
// compilenode returning *var_args
  params[0] = call373;
  partcv[0] = 1;
  Object call374 = callmethod(*var_args, "push",
    1, partcv, params);
  gc_frame_end(callframe371);
// compilenode returning call374
  gc_frame_end(frame);
  return call374;
}
Object meth_genjson__apply386(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method");
  Object params[1];
  int partcv[1];
  Object *var_body = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_v = &(stackframe->slots[0]);
  *var_v = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 138
  setline(138);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe387 = gc_frame_new();
  int callframe388 = gc_frame_new();
// compilenode returning *var_v
  gc_frame_newslot(*var_v);
  params[0] = *var_v;
  partcv[0] = 1;
  Object call389 = callmethodflags(self, "generateNode", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe388);
// compilenode returning call389
  gc_frame_newslot(call389);
// compilenode returning *var_body
  params[0] = call389;
  partcv[0] = 1;
  Object call390 = callmethod(*var_body, "push",
    1, partcv, params);
  gc_frame_end(callframe387);
// compilenode returning call390
  gc_frame_end(frame);
  return call390;
}
Object meth_genjson__apply340(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(3, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[2];
  int partcv[2];
  Object *var_ret = getfromclosure(closure, 0);
  Object *var_n = getfromclosure(closure, 1);
  Object *var_JSArray = getfromclosure(closure, 2);
  Object self = *(getfromclosure(closure, 3));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_args = &(stackframe->slots[1]);
  setframeelementname(stackframe, 1, "args");
  Object *var_body = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "body");
// Begin line 128
  setline(128);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe341 = gc_frame_new();
  if (strlit342 == NULL) {
    strlit342 = alloc_String("type");
    gc_root(strlit342);
  }
// compilenode returning strlit342
  gc_frame_newslot(strlit342);
  if (strlit343 == NULL) {
    strlit343 = alloc_String("class");
    gc_root(strlit343);
  }
// compilenode returning strlit343
  gc_frame_newslot(strlit343);
// compilenode returning *var_ret
  params[0] = strlit342;
  params[1] = strlit343;
  partcv[0] = 2;
  Object call344 = callmethod(*var_ret, "put",
    1, partcv, params);
  gc_frame_end(callframe341);
// compilenode returning call344
// Begin line 129
  setline(129);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe345 = gc_frame_new();
  if (strlit346 == NULL) {
    strlit346 = alloc_String("name");
    gc_root(strlit346);
  }
// compilenode returning strlit346
  gc_frame_newslot(strlit346);
  int callframe347 = gc_frame_new();
  int callframe348 = gc_frame_new();
// compilenode returning *var_n
  partcv[0] = 0;
  Object call349 = callmethod(*var_n, "name",
    1, partcv, params);
  gc_frame_end(callframe348);
// compilenode returning call349
// compilenode returning call349
  partcv[0] = 0;
  Object call350 = callmethod(call349, "value",
    1, partcv, params);
  gc_frame_end(callframe347);
// compilenode returning call350
// compilenode returning call350
  gc_frame_newslot(call350);
// compilenode returning *var_ret
  params[0] = strlit346;
  params[1] = call350;
  partcv[0] = 2;
  Object call351 = callmethod(*var_ret, "put",
    1, partcv, params);
  gc_frame_end(callframe345);
// compilenode returning call351
// Begin line 130
  setline(130);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe352 = gc_frame_new();
  if (strlit353 == NULL) {
    strlit353 = alloc_String("constructor");
    gc_root(strlit353);
  }
// compilenode returning strlit353
  gc_frame_newslot(strlit353);
  int callframe354 = gc_frame_new();
  int callframe355 = gc_frame_new();
// compilenode returning *var_n
  partcv[0] = 0;
  Object call356 = callmethod(*var_n, "constructor",
    1, partcv, params);
  gc_frame_end(callframe355);
// compilenode returning call356
// compilenode returning call356
  partcv[0] = 0;
  Object call357 = callmethod(call356, "value",
    1, partcv, params);
  gc_frame_end(callframe354);
// compilenode returning call357
// compilenode returning call357
  gc_frame_newslot(call357);
// compilenode returning *var_ret
  params[0] = strlit353;
  params[1] = call357;
  partcv[0] = 2;
  Object call358 = callmethod(*var_ret, "put",
    1, partcv, params);
  gc_frame_end(callframe352);
// compilenode returning call358
// Begin line 132
  setline(132);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 131
  setline(131);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe359 = gc_frame_new();
// compilenode returning *var_JSArray
  partcv[0] = 0;
  Object call360 = callmethod(*var_JSArray, "new",
    1, partcv, params);
  gc_frame_end(callframe359);
// compilenode returning call360
// compilenode returning call360
  *var_args = call360;
  if (call360 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 132
  setline(132);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe361 = gc_frame_new();
  int callframe362 = gc_frame_new();
  int callframe363 = gc_frame_new();
  Object num364 = alloc_Float64(1);
// compilenode returning num364
  gc_frame_newslot(num364);
  int callframe365 = gc_frame_new();
// compilenode returning *var_n
  partcv[0] = 0;
  Object call366 = callmethod(*var_n, "signature",
    1, partcv, params);
  gc_frame_end(callframe365);
// compilenode returning call366
// compilenode returning call366
  params[0] = num364;
  partcv[0] = 1;
  Object call367 = callmethod(call366, "at",
    1, partcv, params);
  gc_frame_end(callframe363);
// compilenode returning call367
  partcv[0] = 0;
  Object call368 = callmethod(call367, "params",
    1, partcv, params);
  gc_frame_end(callframe362);
// compilenode returning call368
// compilenode returning call368
  gc_frame_newslot(call368);
  Object block369 = alloc_Block(NULL, NULL, "genjson", 132);
  gc_frame_newslot(block369);
  block_savedest(block369);
  Object closure370 = createclosure(2, "_apply");
setclosureframe(closure370, stackframe);
  addtoclosure(closure370, var_args);
  addtoclosure(closure370, selfslot);
  struct UserObject *uo370 = (struct UserObject*)block369;
  uo370->data[0] = (Object)closure370;
  Method *meth_meth_genjson__apply370 = addmethod2pos(block369, "_apply", &meth_genjson__apply370, 0);
int argcv_meth_genjson__apply370[] = {1};
meth_meth_genjson__apply370->type = alloc_MethodType(1, argcv_meth_genjson__apply370);
  meth_meth_genjson__apply370->definitionModule = modulename;
  meth_meth_genjson__apply370->definitionLine = 132;
// compilenode returning block369
  gc_frame_newslot(block369);
  params[0] = call368;
  params[1] = block369;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call376 = callmethodflags(prelude, "for()do", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe361);
// compilenode returning call376
// Begin line 135
  setline(135);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe377 = gc_frame_new();
  if (strlit378 == NULL) {
    strlit378 = alloc_String("args");
    gc_root(strlit378);
  }
// compilenode returning strlit378
  gc_frame_newslot(strlit378);
// compilenode returning *var_args
  gc_frame_newslot(*var_args);
// compilenode returning *var_ret
  params[0] = strlit378;
  params[1] = *var_args;
  partcv[0] = 2;
  Object call379 = callmethod(*var_ret, "put",
    1, partcv, params);
  gc_frame_end(callframe377);
// compilenode returning call379
// Begin line 137
  setline(137);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 136
  setline(136);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe380 = gc_frame_new();
// compilenode returning *var_JSArray
  partcv[0] = 0;
  Object call381 = callmethod(*var_JSArray, "new",
    1, partcv, params);
  gc_frame_end(callframe380);
// compilenode returning call381
// compilenode returning call381
  *var_body = call381;
  if (call381 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 137
  setline(137);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe382 = gc_frame_new();
  int callframe383 = gc_frame_new();
// compilenode returning *var_n
  partcv[0] = 0;
  Object call384 = callmethod(*var_n, "value",
    1, partcv, params);
  gc_frame_end(callframe383);
// compilenode returning call384
// compilenode returning call384
  gc_frame_newslot(call384);
  Object block385 = alloc_Block(NULL, NULL, "genjson", 137);
  gc_frame_newslot(block385);
  block_savedest(block385);
  Object closure386 = createclosure(2, "_apply");
setclosureframe(closure386, stackframe);
  addtoclosure(closure386, var_body);
  addtoclosure(closure386, selfslot);
  struct UserObject *uo386 = (struct UserObject*)block385;
  uo386->data[0] = (Object)closure386;
  Method *meth_meth_genjson__apply386 = addmethod2pos(block385, "_apply", &meth_genjson__apply386, 0);
int argcv_meth_genjson__apply386[] = {1};
meth_meth_genjson__apply386->type = alloc_MethodType(1, argcv_meth_genjson__apply386);
  meth_meth_genjson__apply386->definitionModule = modulename;
  meth_meth_genjson__apply386->definitionLine = 137;
// compilenode returning block385
  gc_frame_newslot(block385);
  params[0] = call384;
  params[1] = block385;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call392 = callmethodflags(prelude, "for()do", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe382);
// compilenode returning call392
// Begin line 140
  setline(140);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe393 = gc_frame_new();
  if (strlit394 == NULL) {
    strlit394 = alloc_String("body");
    gc_root(strlit394);
  }
// compilenode returning strlit394
  gc_frame_newslot(strlit394);
// compilenode returning *var_body
  gc_frame_newslot(*var_body);
// compilenode returning *var_ret
  params[0] = strlit394;
  params[1] = *var_body;
  partcv[0] = 2;
  Object call395 = callmethod(*var_ret, "put",
    1, partcv, params);
  gc_frame_end(callframe393);
// compilenode returning call395
  gc_frame_end(frame);
  return call395;
}
Object meth_genjson__apply399(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(3, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[2];
  int partcv[1];
  Object *var_n = getfromclosure(closure, 0);
  Object *var_ast = getfromclosure(closure, 1);
  Object self = *(getfromclosure(closure, 2));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_mn = &(stackframe->slots[1]);
  setframeelementname(stackframe, 1, "mn");
// Begin line 163
  setline(163);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 142
  setline(142);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object num402 = alloc_Float64(0);
// compilenode returning num402
  int op_slot_right_401 = gc_frame_newslot(num402);
  int callframe404 = gc_frame_new();
  int callframe405 = gc_frame_new();
// compilenode returning *var_n
  partcv[0] = 0;
  Object call406 = callmethod(*var_n, "elseblock",
    1, partcv, params);
  gc_frame_end(callframe405);
// compilenode returning call406
// compilenode returning call406
  partcv[0] = 0;
  Object call407 = callmethod(call406, "size",
    1, partcv, params);
  gc_frame_end(callframe404);
// compilenode returning call407
// compilenode returning call407
  int op_slot_left_401 = gc_frame_newslot(call407);
  params[0] = num402;
  partcv[0] = 1;
  Object opresult408 = callmethod(call407, ">", 1, partcv, params);
// compilenode returning opresult408
  Object if400 = done;
  if (istrue(opresult408)) {
// Begin line 143
  setline(143);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe409 = gc_frame_new();
// Begin line 144
  setline(144);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe410 = gc_frame_new();
  if (strlit411 == NULL) {
    strlit411 = alloc_String("if()then()else");
    gc_root(strlit411);
  }
// compilenode returning strlit411
  gc_frame_newslot(strlit411);
// Begin line 145
  setline(145);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe412 = gc_frame_new();
  if (strlit413 == NULL) {
    strlit413 = alloc_String("prelude");
    gc_root(strlit413);
  }
// compilenode returning strlit413
  gc_frame_newslot(strlit413);
  Object bool414 = alloc_Boolean(0);
// compilenode returning bool414
  gc_frame_newslot(bool414);
  int callframe415 = gc_frame_new();
// compilenode returning *var_ast
  partcv[0] = 0;
  Object call416 = callmethod(*var_ast, "identifierNode",
    1, partcv, params);
  gc_frame_end(callframe415);
// compilenode returning call416
// compilenode returning call416
  params[0] = strlit413;
  params[1] = bool414;
  partcv[0] = 2;
  Object call417 = callmethod(call416, "new",
    1, partcv, params);
  gc_frame_end(callframe412);
// compilenode returning call417
  gc_frame_newslot(call417);
// Begin line 144
  setline(144);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe418 = gc_frame_new();
// compilenode returning *var_ast
  partcv[0] = 0;
  Object call419 = callmethod(*var_ast, "memberNode",
    1, partcv, params);
  gc_frame_end(callframe418);
// compilenode returning call419
// compilenode returning call419
  params[0] = strlit411;
  params[1] = call417;
  partcv[0] = 2;
  Object call420 = callmethod(call419, "new",
    1, partcv, params);
  gc_frame_end(callframe410);
// compilenode returning call420
  gc_frame_newslot(call420);
// Begin line 149
  setline(149);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object array421 = alloc_BuiltinList();
  gc_pause();
// Begin line 146
  setline(146);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe422 = gc_frame_new();
  if (strlit423 == NULL) {
    strlit423 = alloc_String("if");
    gc_root(strlit423);
  }
// compilenode returning strlit423
  gc_frame_newslot(strlit423);
  Object array424 = alloc_BuiltinList();
  gc_pause();
  int callframe425 = gc_frame_new();
// compilenode returning *var_n
  partcv[0] = 0;
  Object call426 = callmethod(*var_n, "value",
    1, partcv, params);
  gc_frame_end(callframe425);
// compilenode returning call426
// compilenode returning call426
  params[0] = call426;
  partcv[0] = 1;
  callmethod(array424, "push", 1, partcv, params);
  gc_unpause();
// compilenode returning array424
  gc_frame_newslot(array424);
  int callframe427 = gc_frame_new();
// compilenode returning *var_ast
  partcv[0] = 0;
  Object call428 = callmethod(*var_ast, "callWithPart",
    1, partcv, params);
  gc_frame_end(callframe427);
// compilenode returning call428
// compilenode returning call428
  params[0] = strlit423;
  params[1] = array424;
  partcv[0] = 2;
  Object call429 = callmethod(call428, "new",
    1, partcv, params);
  gc_frame_end(callframe422);
// compilenode returning call429
  params[0] = call429;
  partcv[0] = 1;
  callmethod(array421, "push", 1, partcv, params);
// Begin line 147
  setline(147);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe430 = gc_frame_new();
  if (strlit431 == NULL) {
    strlit431 = alloc_String("then");
    gc_root(strlit431);
  }
// compilenode returning strlit431
  gc_frame_newslot(strlit431);
// Begin line 148
  setline(148);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object array432 = alloc_BuiltinList();
  gc_pause();
  int callframe433 = gc_frame_new();
  Object array434 = alloc_BuiltinList();
  gc_pause();
  gc_unpause();
// compilenode returning array434
  gc_frame_newslot(array434);
  int callframe435 = gc_frame_new();
// compilenode returning *var_n
  partcv[0] = 0;
  Object call436 = callmethod(*var_n, "thenblock",
    1, partcv, params);
  gc_frame_end(callframe435);
// compilenode returning call436
// compilenode returning call436
  gc_frame_newslot(call436);
  int callframe437 = gc_frame_new();
// compilenode returning *var_ast
  partcv[0] = 0;
  Object call438 = callmethod(*var_ast, "blockNode",
    1, partcv, params);
  gc_frame_end(callframe437);
// compilenode returning call438
// compilenode returning call438
  params[0] = array434;
  params[1] = call436;
  partcv[0] = 2;
  Object call439 = callmethod(call438, "new",
    1, partcv, params);
  gc_frame_end(callframe433);
// compilenode returning call439
  params[0] = call439;
  partcv[0] = 1;
  callmethod(array432, "push", 1, partcv, params);
  gc_unpause();
// compilenode returning array432
  gc_frame_newslot(array432);
// Begin line 147
  setline(147);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe440 = gc_frame_new();
// compilenode returning *var_ast
  partcv[0] = 0;
  Object call441 = callmethod(*var_ast, "callWithPart",
    1, partcv, params);
  gc_frame_end(callframe440);
// compilenode returning call441
// compilenode returning call441
  params[0] = strlit431;
  params[1] = array432;
  partcv[0] = 2;
  Object call442 = callmethod(call441, "new",
    1, partcv, params);
  gc_frame_end(callframe430);
// compilenode returning call442
  params[0] = call442;
  partcv[0] = 1;
  callmethod(array421, "push", 1, partcv, params);
// Begin line 149
  setline(149);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe443 = gc_frame_new();
  if (strlit444 == NULL) {
    strlit444 = alloc_String("else");
    gc_root(strlit444);
  }
// compilenode returning strlit444
  gc_frame_newslot(strlit444);
// Begin line 150
  setline(150);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object array445 = alloc_BuiltinList();
  gc_pause();
  int callframe446 = gc_frame_new();
  Object array447 = alloc_BuiltinList();
  gc_pause();
  gc_unpause();
// compilenode returning array447
  gc_frame_newslot(array447);
  int callframe448 = gc_frame_new();
// compilenode returning *var_n
  partcv[0] = 0;
  Object call449 = callmethod(*var_n, "elseblock",
    1, partcv, params);
  gc_frame_end(callframe448);
// compilenode returning call449
// compilenode returning call449
  gc_frame_newslot(call449);
  int callframe450 = gc_frame_new();
// compilenode returning *var_ast
  partcv[0] = 0;
  Object call451 = callmethod(*var_ast, "blockNode",
    1, partcv, params);
  gc_frame_end(callframe450);
// compilenode returning call451
// compilenode returning call451
  params[0] = array447;
  params[1] = call449;
  partcv[0] = 2;
  Object call452 = callmethod(call451, "new",
    1, partcv, params);
  gc_frame_end(callframe446);
// compilenode returning call452
  params[0] = call452;
  partcv[0] = 1;
  callmethod(array445, "push", 1, partcv, params);
  gc_unpause();
// compilenode returning array445
  gc_frame_newslot(array445);
// Begin line 149
  setline(149);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe453 = gc_frame_new();
// compilenode returning *var_ast
  partcv[0] = 0;
  Object call454 = callmethod(*var_ast, "callWithPart",
    1, partcv, params);
  gc_frame_end(callframe453);
// compilenode returning call454
// compilenode returning call454
  params[0] = strlit444;
  params[1] = array445;
  partcv[0] = 2;
  Object call455 = callmethod(call454, "new",
    1, partcv, params);
  gc_frame_end(callframe443);
// compilenode returning call455
  params[0] = call455;
  partcv[0] = 1;
  callmethod(array421, "push", 1, partcv, params);
  gc_unpause();
// compilenode returning array421
  gc_frame_newslot(array421);
// Begin line 143
  setline(143);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe456 = gc_frame_new();
// compilenode returning *var_ast
  partcv[0] = 0;
  Object call457 = callmethod(*var_ast, "callNode",
    1, partcv, params);
  gc_frame_end(callframe456);
// compilenode returning call457
// compilenode returning call457
  params[0] = call420;
  params[1] = array421;
  partcv[0] = 2;
  Object call458 = callmethod(call457, "new",
    1, partcv, params);
  gc_frame_end(callframe409);
// compilenode returning call458
  *var_mn = call458;
  if (call458 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 152
  setline(152);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe459 = gc_frame_new();
// compilenode returning *var_mn
  gc_frame_newslot(*var_mn);
  params[0] = *var_mn;
  partcv[0] = 1;
  Object call460 = callmethodflags(self, "generateNode", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe459);
// compilenode returning call460
  block_return(realself, call460);
// compilenode returning undefined
    gc_frame_newslot(undefined);
    if400 = undefined;
  } else {
// Begin line 154
  setline(154);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe461 = gc_frame_new();
// Begin line 155
  setline(155);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe462 = gc_frame_new();
  if (strlit463 == NULL) {
    strlit463 = alloc_String("if()then");
    gc_root(strlit463);
  }
// compilenode returning strlit463
  gc_frame_newslot(strlit463);
// Begin line 156
  setline(156);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe464 = gc_frame_new();
  if (strlit465 == NULL) {
    strlit465 = alloc_String("prelude");
    gc_root(strlit465);
  }
// compilenode returning strlit465
  gc_frame_newslot(strlit465);
  Object bool466 = alloc_Boolean(0);
// compilenode returning bool466
  gc_frame_newslot(bool466);
  int callframe467 = gc_frame_new();
// compilenode returning *var_ast
  partcv[0] = 0;
  Object call468 = callmethod(*var_ast, "identifierNode",
    1, partcv, params);
  gc_frame_end(callframe467);
// compilenode returning call468
// compilenode returning call468
  params[0] = strlit465;
  params[1] = bool466;
  partcv[0] = 2;
  Object call469 = callmethod(call468, "new",
    1, partcv, params);
  gc_frame_end(callframe464);
// compilenode returning call469
  gc_frame_newslot(call469);
// Begin line 155
  setline(155);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe470 = gc_frame_new();
// compilenode returning *var_ast
  partcv[0] = 0;
  Object call471 = callmethod(*var_ast, "memberNode",
    1, partcv, params);
  gc_frame_end(callframe470);
// compilenode returning call471
// compilenode returning call471
  params[0] = strlit463;
  params[1] = call469;
  partcv[0] = 2;
  Object call472 = callmethod(call471, "new",
    1, partcv, params);
  gc_frame_end(callframe462);
// compilenode returning call472
  gc_frame_newslot(call472);
// Begin line 158
  setline(158);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object array473 = alloc_BuiltinList();
  gc_pause();
// Begin line 157
  setline(157);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe474 = gc_frame_new();
  if (strlit475 == NULL) {
    strlit475 = alloc_String("if");
    gc_root(strlit475);
  }
// compilenode returning strlit475
  gc_frame_newslot(strlit475);
  Object array476 = alloc_BuiltinList();
  gc_pause();
  int callframe477 = gc_frame_new();
// compilenode returning *var_n
  partcv[0] = 0;
  Object call478 = callmethod(*var_n, "value",
    1, partcv, params);
  gc_frame_end(callframe477);
// compilenode returning call478
// compilenode returning call478
  params[0] = call478;
  partcv[0] = 1;
  callmethod(array476, "push", 1, partcv, params);
  gc_unpause();
// compilenode returning array476
  gc_frame_newslot(array476);
  int callframe479 = gc_frame_new();
// compilenode returning *var_ast
  partcv[0] = 0;
  Object call480 = callmethod(*var_ast, "callWithPart",
    1, partcv, params);
  gc_frame_end(callframe479);
// compilenode returning call480
// compilenode returning call480
  params[0] = strlit475;
  params[1] = array476;
  partcv[0] = 2;
  Object call481 = callmethod(call480, "new",
    1, partcv, params);
  gc_frame_end(callframe474);
// compilenode returning call481
  params[0] = call481;
  partcv[0] = 1;
  callmethod(array473, "push", 1, partcv, params);
// Begin line 158
  setline(158);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe482 = gc_frame_new();
  if (strlit483 == NULL) {
    strlit483 = alloc_String("then");
    gc_root(strlit483);
  }
// compilenode returning strlit483
  gc_frame_newslot(strlit483);
// Begin line 159
  setline(159);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object array484 = alloc_BuiltinList();
  gc_pause();
  int callframe485 = gc_frame_new();
  Object array486 = alloc_BuiltinList();
  gc_pause();
  gc_unpause();
// compilenode returning array486
  gc_frame_newslot(array486);
  int callframe487 = gc_frame_new();
// compilenode returning *var_n
  partcv[0] = 0;
  Object call488 = callmethod(*var_n, "thenblock",
    1, partcv, params);
  gc_frame_end(callframe487);
// compilenode returning call488
// compilenode returning call488
  gc_frame_newslot(call488);
  int callframe489 = gc_frame_new();
// compilenode returning *var_ast
  partcv[0] = 0;
  Object call490 = callmethod(*var_ast, "blockNode",
    1, partcv, params);
  gc_frame_end(callframe489);
// compilenode returning call490
// compilenode returning call490
  params[0] = array486;
  params[1] = call488;
  partcv[0] = 2;
  Object call491 = callmethod(call490, "new",
    1, partcv, params);
  gc_frame_end(callframe485);
// compilenode returning call491
  params[0] = call491;
  partcv[0] = 1;
  callmethod(array484, "push", 1, partcv, params);
  gc_unpause();
// compilenode returning array484
  gc_frame_newslot(array484);
// Begin line 158
  setline(158);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe492 = gc_frame_new();
// compilenode returning *var_ast
  partcv[0] = 0;
  Object call493 = callmethod(*var_ast, "callWithPart",
    1, partcv, params);
  gc_frame_end(callframe492);
// compilenode returning call493
// compilenode returning call493
  params[0] = strlit483;
  params[1] = array484;
  partcv[0] = 2;
  Object call494 = callmethod(call493, "new",
    1, partcv, params);
  gc_frame_end(callframe482);
// compilenode returning call494
  params[0] = call494;
  partcv[0] = 1;
  callmethod(array473, "push", 1, partcv, params);
  gc_unpause();
// compilenode returning array473
  gc_frame_newslot(array473);
// Begin line 154
  setline(154);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe495 = gc_frame_new();
// compilenode returning *var_ast
  partcv[0] = 0;
  Object call496 = callmethod(*var_ast, "callNode",
    1, partcv, params);
  gc_frame_end(callframe495);
// compilenode returning call496
// compilenode returning call496
  params[0] = call472;
  params[1] = array473;
  partcv[0] = 2;
  Object call497 = callmethod(call496, "new",
    1, partcv, params);
  gc_frame_end(callframe461);
// compilenode returning call497
  *var_mn = call497;
  if (call497 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 161
  setline(161);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe498 = gc_frame_new();
// compilenode returning *var_mn
  gc_frame_newslot(*var_mn);
  params[0] = *var_mn;
  partcv[0] = 1;
  Object call499 = callmethodflags(self, "generateNode", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe498);
// compilenode returning call499
  block_return(realself, call499);
// compilenode returning undefined
    gc_frame_newslot(undefined);
    if400 = undefined;
  }
// compilenode returning if400
  gc_frame_end(frame);
  return if400;
}
Object meth_genjson__apply503(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[2];
  int partcv[1];
  Object *var_ret = getfromclosure(closure, 0);
  Object *var_n = getfromclosure(closure, 1);
  Object self = *(getfromclosure(closure, 2));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 164
  setline(164);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe504 = gc_frame_new();
  if (strlit505 == NULL) {
    strlit505 = alloc_String("type");
    gc_root(strlit505);
  }
// compilenode returning strlit505
  gc_frame_newslot(strlit505);
  if (strlit506 == NULL) {
    strlit506 = alloc_String("var");
    gc_root(strlit506);
  }
// compilenode returning strlit506
  gc_frame_newslot(strlit506);
// compilenode returning *var_ret
  params[0] = strlit505;
  params[1] = strlit506;
  partcv[0] = 2;
  Object call507 = callmethod(*var_ret, "put",
    1, partcv, params);
  gc_frame_end(callframe504);
// compilenode returning call507
// Begin line 165
  setline(165);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe508 = gc_frame_new();
  if (strlit509 == NULL) {
    strlit509 = alloc_String("value");
    gc_root(strlit509);
  }
// compilenode returning strlit509
  gc_frame_newslot(strlit509);
  int callframe510 = gc_frame_new();
// compilenode returning *var_n
  partcv[0] = 0;
  Object call511 = callmethod(*var_n, "value",
    1, partcv, params);
  gc_frame_end(callframe510);
// compilenode returning call511
// compilenode returning call511
  gc_frame_newslot(call511);
// compilenode returning *var_ret
  params[0] = strlit509;
  params[1] = call511;
  partcv[0] = 2;
  Object call512 = callmethod(*var_ret, "put",
    1, partcv, params);
  gc_frame_end(callframe508);
// compilenode returning call512
  gc_frame_end(frame);
  return call512;
}
Object meth_genjson__apply591(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method");
  Object params[1];
  int partcv[1];
  Object *var_thisPart = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_arg = &(stackframe->slots[0]);
  *var_arg = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 182
  setline(182);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe592 = gc_frame_new();
  int callframe593 = gc_frame_new();
// compilenode returning *var_arg
  gc_frame_newslot(*var_arg);
  params[0] = *var_arg;
  partcv[0] = 1;
  Object call594 = callmethodflags(self, "generateNode", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe593);
// compilenode returning call594
  gc_frame_newslot(call594);
// compilenode returning *var_thisPart
  params[0] = call594;
  partcv[0] = 1;
  Object call595 = callmethod(*var_thisPart, "push",
    1, partcv, params);
  gc_frame_end(callframe592);
// compilenode returning call595
  gc_frame_end(frame);
  return call595;
}
Object meth_genjson__apply582(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(3, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method");
  Object params[2];
  int partcv[2];
  Object *var_JSArray = getfromclosure(closure, 0);
  Object *var_parts = getfromclosure(closure, 1);
  Object self = *(getfromclosure(closure, 2));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_part = &(stackframe->slots[0]);
  *var_part = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_thisPart = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "thisPart");
// Begin line 180
  setline(180);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 179
  setline(179);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe583 = gc_frame_new();
// compilenode returning *var_JSArray
  partcv[0] = 0;
  Object call584 = callmethod(*var_JSArray, "new",
    1, partcv, params);
  gc_frame_end(callframe583);
// compilenode returning call584
// compilenode returning call584
  *var_thisPart = call584;
  if (call584 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 180
  setline(180);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe585 = gc_frame_new();
// compilenode returning *var_thisPart
  gc_frame_newslot(*var_thisPart);
// compilenode returning *var_parts
  params[0] = *var_thisPart;
  partcv[0] = 1;
  Object call586 = callmethod(*var_parts, "push",
    1, partcv, params);
  gc_frame_end(callframe585);
// compilenode returning call586
// Begin line 181
  setline(181);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe587 = gc_frame_new();
  int callframe588 = gc_frame_new();
// compilenode returning *var_part
  partcv[0] = 0;
  Object call589 = callmethod(*var_part, "args",
    1, partcv, params);
  gc_frame_end(callframe588);
// compilenode returning call589
// compilenode returning call589
  gc_frame_newslot(call589);
  Object block590 = alloc_Block(NULL, NULL, "genjson", 181);
  gc_frame_newslot(block590);
  block_savedest(block590);
  Object closure591 = createclosure(2, "_apply");
setclosureframe(closure591, stackframe);
  addtoclosure(closure591, var_thisPart);
  addtoclosure(closure591, selfslot);
  struct UserObject *uo591 = (struct UserObject*)block590;
  uo591->data[0] = (Object)closure591;
  Method *meth_meth_genjson__apply591 = addmethod2pos(block590, "_apply", &meth_genjson__apply591, 0);
int argcv_meth_genjson__apply591[] = {1};
meth_meth_genjson__apply591->type = alloc_MethodType(1, argcv_meth_genjson__apply591);
  meth_meth_genjson__apply591->definitionModule = modulename;
  meth_meth_genjson__apply591->definitionLine = 181;
// compilenode returning block590
  gc_frame_newslot(block590);
  params[0] = call589;
  params[1] = block590;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call597 = callmethodflags(prelude, "for()do", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe587);
// compilenode returning call597
  gc_frame_end(frame);
  return call597;
}
Object meth_genjson__apply649(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method");
  Object params[1];
  int partcv[1];
  Object *var_thisPart = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_arg = &(stackframe->slots[0]);
  *var_arg = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 196
  setline(196);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe650 = gc_frame_new();
  int callframe651 = gc_frame_new();
// compilenode returning *var_arg
  gc_frame_newslot(*var_arg);
  params[0] = *var_arg;
  partcv[0] = 1;
  Object call652 = callmethodflags(self, "generateNode", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe651);
// compilenode returning call652
  gc_frame_newslot(call652);
// compilenode returning *var_thisPart
  params[0] = call652;
  partcv[0] = 1;
  Object call653 = callmethod(*var_thisPart, "push",
    1, partcv, params);
  gc_frame_end(callframe650);
// compilenode returning call653
  gc_frame_end(frame);
  return call653;
}
Object meth_genjson__apply640(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(3, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method");
  Object params[2];
  int partcv[2];
  Object *var_JSArray = getfromclosure(closure, 0);
  Object *var_parts = getfromclosure(closure, 1);
  Object self = *(getfromclosure(closure, 2));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_part = &(stackframe->slots[0]);
  *var_part = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_thisPart = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "thisPart");
// Begin line 194
  setline(194);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 193
  setline(193);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe641 = gc_frame_new();
// compilenode returning *var_JSArray
  partcv[0] = 0;
  Object call642 = callmethod(*var_JSArray, "new",
    1, partcv, params);
  gc_frame_end(callframe641);
// compilenode returning call642
// compilenode returning call642
  *var_thisPart = call642;
  if (call642 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 194
  setline(194);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe643 = gc_frame_new();
// compilenode returning *var_thisPart
  gc_frame_newslot(*var_thisPart);
// compilenode returning *var_parts
  params[0] = *var_thisPart;
  partcv[0] = 1;
  Object call644 = callmethod(*var_parts, "push",
    1, partcv, params);
  gc_frame_end(callframe643);
// compilenode returning call644
// Begin line 195
  setline(195);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe645 = gc_frame_new();
  int callframe646 = gc_frame_new();
// compilenode returning *var_part
  partcv[0] = 0;
  Object call647 = callmethod(*var_part, "args",
    1, partcv, params);
  gc_frame_end(callframe646);
// compilenode returning call647
// compilenode returning call647
  gc_frame_newslot(call647);
  Object block648 = alloc_Block(NULL, NULL, "genjson", 195);
  gc_frame_newslot(block648);
  block_savedest(block648);
  Object closure649 = createclosure(2, "_apply");
setclosureframe(closure649, stackframe);
  addtoclosure(closure649, var_thisPart);
  addtoclosure(closure649, selfslot);
  struct UserObject *uo649 = (struct UserObject*)block648;
  uo649->data[0] = (Object)closure649;
  Method *meth_meth_genjson__apply649 = addmethod2pos(block648, "_apply", &meth_genjson__apply649, 0);
int argcv_meth_genjson__apply649[] = {1};
meth_meth_genjson__apply649->type = alloc_MethodType(1, argcv_meth_genjson__apply649);
  meth_meth_genjson__apply649->definitionModule = modulename;
  meth_meth_genjson__apply649->definitionLine = 195;
// compilenode returning block648
  gc_frame_newslot(block648);
  params[0] = call647;
  params[1] = block648;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call655 = callmethodflags(prelude, "for()do", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe645);
// compilenode returning call655
  gc_frame_end(frame);
  return call655;
}
Object meth_genjson__apply676(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method");
  Object params[1];
  int partcv[1];
  Object *var_args = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_arg = &(stackframe->slots[0]);
  *var_arg = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 204
  setline(204);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe677 = gc_frame_new();
  int callframe678 = gc_frame_new();
// compilenode returning *var_arg
  gc_frame_newslot(*var_arg);
  params[0] = *var_arg;
  partcv[0] = 1;
  Object call679 = callmethodflags(self, "generateNode", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe678);
// compilenode returning call679
  gc_frame_newslot(call679);
// compilenode returning *var_args
  params[0] = call679;
  partcv[0] = 1;
  Object call680 = callmethod(*var_args, "push",
    1, partcv, params);
  gc_frame_end(callframe677);
// compilenode returning call680
  gc_frame_end(frame);
  return call680;
}
Object meth_genjson__apply715(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method");
  Object params[1];
  int partcv[1];
  Object *var_args = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_arg = &(stackframe->slots[0]);
  *var_arg = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 214
  setline(214);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe716 = gc_frame_new();
  int callframe717 = gc_frame_new();
// compilenode returning *var_arg
  gc_frame_newslot(*var_arg);
  params[0] = *var_arg;
  partcv[0] = 1;
  Object call718 = callmethodflags(self, "generateNode", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe717);
// compilenode returning call718
  gc_frame_newslot(call718);
// compilenode returning *var_args
  params[0] = call718;
  partcv[0] = 1;
  Object call719 = callmethod(*var_args, "push",
    1, partcv, params);
  gc_frame_end(callframe716);
// compilenode returning call719
  gc_frame_end(frame);
  return call719;
}
Object meth_genjson__apply756(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method");
  Object params[1];
  int partcv[1];
  Object *var_args = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_arg = &(stackframe->slots[0]);
  *var_arg = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 224
  setline(224);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe757 = gc_frame_new();
  int callframe758 = gc_frame_new();
// compilenode returning *var_arg
  gc_frame_newslot(*var_arg);
  params[0] = *var_arg;
  partcv[0] = 1;
  Object call759 = callmethodflags(self, "generateNode", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe758);
// compilenode returning call759
  gc_frame_newslot(call759);
// compilenode returning *var_args
  params[0] = call759;
  partcv[0] = 1;
  Object call760 = callmethod(*var_args, "push",
    1, partcv, params);
  gc_frame_end(callframe757);
// compilenode returning call760
  gc_frame_end(frame);
  return call760;
}
Object meth_genjson__apply516(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(7, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[2];
  int partcv[2];
  Object *var_n = getfromclosure(closure, 0);
  Object *var_ret = getfromclosure(closure, 1);
  Object *var_JSArray = getfromclosure(closure, 2);
  Object self = *(getfromclosure(closure, 3));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_memName = &(stackframe->slots[1]);
  setframeelementname(stackframe, 1, "memName");
  Object *var_parts = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "parts");
  Object *var_args = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "args");
// Begin line 234
  setline(234);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 167
  setline(167);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit519 == NULL) {
    strlit519 = alloc_String("member");
    gc_root(strlit519);
  }
// compilenode returning strlit519
  int op_slot_right_518 = gc_frame_newslot(strlit519);
  int callframe521 = gc_frame_new();
  int callframe522 = gc_frame_new();
// compilenode returning *var_n
  partcv[0] = 0;
  Object call523 = callmethod(*var_n, "value",
    1, partcv, params);
  gc_frame_end(callframe522);
// compilenode returning call523
// compilenode returning call523
  partcv[0] = 0;
  Object call524 = callmethod(call523, "kind",
    1, partcv, params);
  gc_frame_end(callframe521);
// compilenode returning call524
// compilenode returning call524
  int op_slot_left_518 = gc_frame_newslot(call524);
  params[0] = strlit519;
  partcv[0] = 1;
  Object opresult525 = callmethod(call524, "==", 1, partcv, params);
// compilenode returning opresult525
  Object if517 = done;
  if (istrue(opresult525)) {
// Begin line 169
  setline(169);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 168
  setline(168);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe526 = gc_frame_new();
  int callframe527 = gc_frame_new();
// compilenode returning *var_n
  partcv[0] = 0;
  Object call528 = callmethod(*var_n, "value",
    1, partcv, params);
  gc_frame_end(callframe527);
// compilenode returning call528
// compilenode returning call528
  partcv[0] = 0;
  Object call529 = callmethod(call528, "value",
    1, partcv, params);
  gc_frame_end(callframe526);
// compilenode returning call529
// compilenode returning call529
  *var_memName = call529;
  if (call529 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 173
  setline(173);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 170
  setline(170);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit532 == NULL) {
    strlit532 = alloc_String("()object");
    gc_root(strlit532);
  }
// compilenode returning strlit532
  int op_slot_right_531 = gc_frame_newslot(strlit532);
// Begin line 169
  setline(169);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe534 = gc_frame_new();
  Object num536 = alloc_Float64(7);
// compilenode returning num536
  int op_slot_right_535 = gc_frame_newslot(num536);
  int callframe538 = gc_frame_new();
// compilenode returning *var_memName
  partcv[0] = 0;
  Object call539 = callmethod(*var_memName, "size",
    1, partcv, params);
  gc_frame_end(callframe538);
// compilenode returning call539
// compilenode returning call539
  int op_slot_left_535 = gc_frame_newslot(call539);
  params[0] = num536;
  partcv[0] = 1;
  Object diff540 = callmethod(call539, "-", 1, partcv, params);
// compilenode returning diff540
  gc_frame_newslot(diff540);
  int callframe541 = gc_frame_new();
// compilenode returning *var_memName
  partcv[0] = 0;
  Object call542 = callmethod(*var_memName, "size",
    1, partcv, params);
  gc_frame_end(callframe541);
// compilenode returning call542
// compilenode returning call542
  gc_frame_newslot(call542);
// compilenode returning *var_memName
  params[0] = diff540;
  params[1] = call542;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call543 = callmethod(*var_memName, "substringFrom()to",
    2, partcv, params);
  gc_frame_end(callframe534);
// compilenode returning call543
  int op_slot_left_531 = gc_frame_newslot(call543);
  params[0] = strlit532;
  partcv[0] = 1;
  Object opresult544 = callmethod(call543, "==", 1, partcv, params);
// compilenode returning opresult544
  Object if530 = done;
  if (istrue(opresult544)) {
// Begin line 171
  setline(171);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe545 = gc_frame_new();
  Object num546 = alloc_Float64(1);
// compilenode returning num546
  gc_frame_newslot(num546);
  Object num548 = alloc_Float64(8);
// compilenode returning num548
  int op_slot_right_547 = gc_frame_newslot(num548);
  int callframe550 = gc_frame_new();
// compilenode returning *var_memName
  partcv[0] = 0;
  Object call551 = callmethod(*var_memName, "size",
    1, partcv, params);
  gc_frame_end(callframe550);
// compilenode returning call551
// compilenode returning call551
  int op_slot_left_547 = gc_frame_newslot(call551);
  params[0] = num548;
  partcv[0] = 1;
  Object diff552 = callmethod(call551, "-", 1, partcv, params);
// compilenode returning diff552
  gc_frame_newslot(diff552);
// compilenode returning *var_memName
  params[0] = num546;
  params[1] = diff552;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call553 = callmethod(*var_memName, "substringFrom()to",
    2, partcv, params);
  gc_frame_end(callframe545);
// compilenode returning call553
  *var_memName = call553;
  if (call553 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
    gc_frame_newslot(done);
    if530 = done;
  } else {
  }
// compilenode returning if530
// Begin line 230
  setline(230);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 173
  setline(173);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit557 == NULL) {
    strlit557 = alloc_String("prelude");
    gc_root(strlit557);
  }
// compilenode returning strlit557
  int op_slot_right_556 = gc_frame_newslot(strlit557);
  int callframe559 = gc_frame_new();
  int callframe560 = gc_frame_new();
  int callframe561 = gc_frame_new();
// compilenode returning *var_n
  partcv[0] = 0;
  Object call562 = callmethod(*var_n, "value",
    1, partcv, params);
  gc_frame_end(callframe561);
// compilenode returning call562
// compilenode returning call562
  partcv[0] = 0;
  Object call563 = callmethod(call562, "in",
    1, partcv, params);
  gc_frame_end(callframe560);
// compilenode returning call563
// compilenode returning call563
  partcv[0] = 0;
  Object call564 = callmethod(call563, "value",
    1, partcv, params);
  gc_frame_end(callframe559);
// compilenode returning call564
// compilenode returning call564
  int op_slot_left_556 = gc_frame_newslot(call564);
  params[0] = strlit557;
  partcv[0] = 1;
  Object opresult565 = callmethod(call564, "==", 1, partcv, params);
// compilenode returning opresult565
  Object if555 = done;
  if (istrue(opresult565)) {
// Begin line 174
  setline(174);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe566 = gc_frame_new();
  if (strlit567 == NULL) {
    strlit567 = alloc_String("name");
    gc_root(strlit567);
  }
// compilenode returning strlit567
  gc_frame_newslot(strlit567);
// compilenode returning *var_memName
  gc_frame_newslot(*var_memName);
// compilenode returning *var_ret
  params[0] = strlit567;
  params[1] = *var_memName;
  partcv[0] = 2;
  Object call568 = callmethod(*var_ret, "put",
    1, partcv, params);
  gc_frame_end(callframe566);
// compilenode returning call568
// Begin line 175
  setline(175);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe569 = gc_frame_new();
  if (strlit570 == NULL) {
    strlit570 = alloc_String("type");
    gc_root(strlit570);
  }
// compilenode returning strlit570
  gc_frame_newslot(strlit570);
  if (strlit571 == NULL) {
    strlit571 = alloc_String("dialect-method");
    gc_root(strlit571);
  }
// compilenode returning strlit571
  gc_frame_newslot(strlit571);
// compilenode returning *var_ret
  params[0] = strlit570;
  params[1] = strlit571;
  partcv[0] = 2;
  Object call572 = callmethod(*var_ret, "put",
    1, partcv, params);
  gc_frame_end(callframe569);
// compilenode returning call572
// Begin line 177
  setline(177);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 176
  setline(176);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe573 = gc_frame_new();
// compilenode returning *var_JSArray
  partcv[0] = 0;
  Object call574 = callmethod(*var_JSArray, "new",
    1, partcv, params);
  gc_frame_end(callframe573);
// compilenode returning call574
// compilenode returning call574
  *var_parts = call574;
  if (call574 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 177
  setline(177);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe575 = gc_frame_new();
  if (strlit576 == NULL) {
    strlit576 = alloc_String("parts");
    gc_root(strlit576);
  }
// compilenode returning strlit576
  gc_frame_newslot(strlit576);
// compilenode returning *var_parts
  gc_frame_newslot(*var_parts);
// compilenode returning *var_ret
  params[0] = strlit576;
  params[1] = *var_parts;
  partcv[0] = 2;
  Object call577 = callmethod(*var_ret, "put",
    1, partcv, params);
  gc_frame_end(callframe575);
// compilenode returning call577
// Begin line 178
  setline(178);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe578 = gc_frame_new();
  int callframe579 = gc_frame_new();
// compilenode returning *var_n
  partcv[0] = 0;
  Object call580 = callmethod(*var_n, "with",
    1, partcv, params);
  gc_frame_end(callframe579);
// compilenode returning call580
// compilenode returning call580
  gc_frame_newslot(call580);
  Object block581 = alloc_Block(NULL, NULL, "genjson", 178);
  gc_frame_newslot(block581);
  block_savedest(block581);
  Object closure582 = createclosure(3, "_apply");
setclosureframe(closure582, stackframe);
  addtoclosure(closure582, var_JSArray);
  addtoclosure(closure582, var_parts);
  addtoclosure(closure582, selfslot);
  struct UserObject *uo582 = (struct UserObject*)block581;
  uo582->data[0] = (Object)closure582;
  Method *meth_meth_genjson__apply582 = addmethod2pos(block581, "_apply", &meth_genjson__apply582, 0);
int argcv_meth_genjson__apply582[] = {1};
meth_meth_genjson__apply582->type = alloc_MethodType(1, argcv_meth_genjson__apply582);
  meth_meth_genjson__apply582->definitionModule = modulename;
  meth_meth_genjson__apply582->definitionLine = 178;
// compilenode returning block581
  gc_frame_newslot(block581);
  params[0] = call580;
  params[1] = block581;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call599 = callmethodflags(prelude, "for()do", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe578);
// compilenode returning call599
    gc_frame_newslot(call599);
    if555 = call599;
  } else {
// Begin line 229
  setline(229);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 186
  setline(186);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit602 == NULL) {
    strlit602 = alloc_String("self");
    gc_root(strlit602);
  }
// compilenode returning strlit602
  int op_slot_right_601 = gc_frame_newslot(strlit602);
  int callframe604 = gc_frame_new();
  int callframe605 = gc_frame_new();
  int callframe606 = gc_frame_new();
// compilenode returning *var_n
  partcv[0] = 0;
  Object call607 = callmethod(*var_n, "value",
    1, partcv, params);
  gc_frame_end(callframe606);
// compilenode returning call607
// compilenode returning call607
  partcv[0] = 0;
  Object call608 = callmethod(call607, "in",
    1, partcv, params);
  gc_frame_end(callframe605);
// compilenode returning call608
// compilenode returning call608
  partcv[0] = 0;
  Object call609 = callmethod(call608, "value",
    1, partcv, params);
  gc_frame_end(callframe604);
// compilenode returning call609
// compilenode returning call609
  int op_slot_left_601 = gc_frame_newslot(call609);
  params[0] = strlit602;
  partcv[0] = 1;
  Object opresult610 = callmethod(call609, "==", 1, partcv, params);
// compilenode returning opresult610
  Object if600 = done;
  if (istrue(opresult610)) {
// Begin line 208
  setline(208);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 187
  setline(187);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object num613 = alloc_Float64(1);
// compilenode returning num613
  int op_slot_right_612 = gc_frame_newslot(num613);
  int callframe615 = gc_frame_new();
  int callframe616 = gc_frame_new();
// compilenode returning *var_n
  partcv[0] = 0;
  Object call617 = callmethod(*var_n, "with",
    1, partcv, params);
  gc_frame_end(callframe616);
// compilenode returning call617
// compilenode returning call617
  partcv[0] = 0;
  Object call618 = callmethod(call617, "size",
    1, partcv, params);
  gc_frame_end(callframe615);
// compilenode returning call618
// compilenode returning call618
  int op_slot_left_612 = gc_frame_newslot(call618);
  params[0] = num613;
  partcv[0] = 1;
  Object opresult619 = callmethod(call618, ">", 1, partcv, params);
// compilenode returning opresult619
  Object if611 = done;
  if (istrue(opresult619)) {
// Begin line 188
  setline(188);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe620 = gc_frame_new();
  if (strlit621 == NULL) {
    strlit621 = alloc_String("name");
    gc_root(strlit621);
  }
// compilenode returning strlit621
  gc_frame_newslot(strlit621);
  int callframe622 = gc_frame_new();
  int callframe623 = gc_frame_new();
// compilenode returning *var_n
  partcv[0] = 0;
  Object call624 = callmethod(*var_n, "value",
    1, partcv, params);
  gc_frame_end(callframe623);
// compilenode returning call624
// compilenode returning call624
  partcv[0] = 0;
  Object call625 = callmethod(call624, "value",
    1, partcv, params);
  gc_frame_end(callframe622);
// compilenode returning call625
// compilenode returning call625
  gc_frame_newslot(call625);
// compilenode returning *var_ret
  params[0] = strlit621;
  params[1] = call625;
  partcv[0] = 2;
  Object call626 = callmethod(*var_ret, "put",
    1, partcv, params);
  gc_frame_end(callframe620);
// compilenode returning call626
// Begin line 189
  setline(189);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe627 = gc_frame_new();
  if (strlit628 == NULL) {
    strlit628 = alloc_String("type");
    gc_root(strlit628);
  }
// compilenode returning strlit628
  gc_frame_newslot(strlit628);
  if (strlit629 == NULL) {
    strlit629 = alloc_String("dialect-method");
    gc_root(strlit629);
  }
// compilenode returning strlit629
  gc_frame_newslot(strlit629);
// compilenode returning *var_ret
  params[0] = strlit628;
  params[1] = strlit629;
  partcv[0] = 2;
  Object call630 = callmethod(*var_ret, "put",
    1, partcv, params);
  gc_frame_end(callframe627);
// compilenode returning call630
// Begin line 191
  setline(191);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 190
  setline(190);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe631 = gc_frame_new();
// compilenode returning *var_JSArray
  partcv[0] = 0;
  Object call632 = callmethod(*var_JSArray, "new",
    1, partcv, params);
  gc_frame_end(callframe631);
// compilenode returning call632
// compilenode returning call632
  *var_parts = call632;
  if (call632 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 191
  setline(191);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe633 = gc_frame_new();
  if (strlit634 == NULL) {
    strlit634 = alloc_String("parts");
    gc_root(strlit634);
  }
// compilenode returning strlit634
  gc_frame_newslot(strlit634);
// compilenode returning *var_parts
  gc_frame_newslot(*var_parts);
// compilenode returning *var_ret
  params[0] = strlit634;
  params[1] = *var_parts;
  partcv[0] = 2;
  Object call635 = callmethod(*var_ret, "put",
    1, partcv, params);
  gc_frame_end(callframe633);
// compilenode returning call635
// Begin line 192
  setline(192);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe636 = gc_frame_new();
  int callframe637 = gc_frame_new();
// compilenode returning *var_n
  partcv[0] = 0;
  Object call638 = callmethod(*var_n, "with",
    1, partcv, params);
  gc_frame_end(callframe637);
// compilenode returning call638
// compilenode returning call638
  gc_frame_newslot(call638);
  Object block639 = alloc_Block(NULL, NULL, "genjson", 192);
  gc_frame_newslot(block639);
  block_savedest(block639);
  Object closure640 = createclosure(3, "_apply");
setclosureframe(closure640, stackframe);
  addtoclosure(closure640, var_JSArray);
  addtoclosure(closure640, var_parts);
  addtoclosure(closure640, selfslot);
  struct UserObject *uo640 = (struct UserObject*)block639;
  uo640->data[0] = (Object)closure640;
  Method *meth_meth_genjson__apply640 = addmethod2pos(block639, "_apply", &meth_genjson__apply640, 0);
int argcv_meth_genjson__apply640[] = {1};
meth_meth_genjson__apply640->type = alloc_MethodType(1, argcv_meth_genjson__apply640);
  meth_meth_genjson__apply640->definitionModule = modulename;
  meth_meth_genjson__apply640->definitionLine = 192;
// compilenode returning block639
  gc_frame_newslot(block639);
  params[0] = call638;
  params[1] = block639;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call657 = callmethodflags(prelude, "for()do", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe636);
// compilenode returning call657
    gc_frame_newslot(call657);
    if611 = call657;
  } else {
// Begin line 200
  setline(200);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe658 = gc_frame_new();
  if (strlit659 == NULL) {
    strlit659 = alloc_String("type");
    gc_root(strlit659);
  }
// compilenode returning strlit659
  gc_frame_newslot(strlit659);
  if (strlit660 == NULL) {
    strlit660 = alloc_String("selfcall");
    gc_root(strlit660);
  }
// compilenode returning strlit660
  gc_frame_newslot(strlit660);
// compilenode returning *var_ret
  params[0] = strlit659;
  params[1] = strlit660;
  partcv[0] = 2;
  Object call661 = callmethod(*var_ret, "put",
    1, partcv, params);
  gc_frame_end(callframe658);
// compilenode returning call661
// Begin line 201
  setline(201);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe662 = gc_frame_new();
  if (strlit663 == NULL) {
    strlit663 = alloc_String("name");
    gc_root(strlit663);
  }
// compilenode returning strlit663
  gc_frame_newslot(strlit663);
// compilenode returning *var_memName
  gc_frame_newslot(*var_memName);
// compilenode returning *var_ret
  params[0] = strlit663;
  params[1] = *var_memName;
  partcv[0] = 2;
  Object call664 = callmethod(*var_ret, "put",
    1, partcv, params);
  gc_frame_end(callframe662);
// compilenode returning call664
// Begin line 203
  setline(203);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 202
  setline(202);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe665 = gc_frame_new();
// compilenode returning *var_JSArray
  partcv[0] = 0;
  Object call666 = callmethod(*var_JSArray, "new",
    1, partcv, params);
  gc_frame_end(callframe665);
// compilenode returning call666
// compilenode returning call666
  *var_args = call666;
  if (call666 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 203
  setline(203);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe667 = gc_frame_new();
  int callframe668 = gc_frame_new();
  int callframe669 = gc_frame_new();
  Object num670 = alloc_Float64(1);
// compilenode returning num670
  gc_frame_newslot(num670);
  int callframe671 = gc_frame_new();
// compilenode returning *var_n
  partcv[0] = 0;
  Object call672 = callmethod(*var_n, "with",
    1, partcv, params);
  gc_frame_end(callframe671);
// compilenode returning call672
// compilenode returning call672
  params[0] = num670;
  partcv[0] = 1;
  Object call673 = callmethod(call672, "at",
    1, partcv, params);
  gc_frame_end(callframe669);
// compilenode returning call673
  partcv[0] = 0;
  Object call674 = callmethod(call673, "args",
    1, partcv, params);
  gc_frame_end(callframe668);
// compilenode returning call674
// compilenode returning call674
  gc_frame_newslot(call674);
  Object block675 = alloc_Block(NULL, NULL, "genjson", 203);
  gc_frame_newslot(block675);
  block_savedest(block675);
  Object closure676 = createclosure(2, "_apply");
setclosureframe(closure676, stackframe);
  addtoclosure(closure676, var_args);
  addtoclosure(closure676, selfslot);
  struct UserObject *uo676 = (struct UserObject*)block675;
  uo676->data[0] = (Object)closure676;
  Method *meth_meth_genjson__apply676 = addmethod2pos(block675, "_apply", &meth_genjson__apply676, 0);
int argcv_meth_genjson__apply676[] = {1};
meth_meth_genjson__apply676->type = alloc_MethodType(1, argcv_meth_genjson__apply676);
  meth_meth_genjson__apply676->definitionModule = modulename;
  meth_meth_genjson__apply676->definitionLine = 203;
// compilenode returning block675
  gc_frame_newslot(block675);
  params[0] = call674;
  params[1] = block675;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call682 = callmethodflags(prelude, "for()do", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe667);
// compilenode returning call682
// Begin line 206
  setline(206);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe683 = gc_frame_new();
  if (strlit684 == NULL) {
    strlit684 = alloc_String("args");
    gc_root(strlit684);
  }
// compilenode returning strlit684
  gc_frame_newslot(strlit684);
// compilenode returning *var_args
  gc_frame_newslot(*var_args);
// compilenode returning *var_ret
  params[0] = strlit684;
  params[1] = *var_args;
  partcv[0] = 2;
  Object call685 = callmethod(*var_ret, "put",
    1, partcv, params);
  gc_frame_end(callframe683);
// compilenode returning call685
    gc_frame_newslot(call685);
    if611 = call685;
  }
// compilenode returning if611
    gc_frame_newslot(if611);
    if600 = if611;
  } else {
// Begin line 228
  setline(228);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 209
  setline(209);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit688 == NULL) {
    strlit688 = alloc_String("outer");
    gc_root(strlit688);
  }
// compilenode returning strlit688
  int op_slot_right_687 = gc_frame_newslot(strlit688);
  int callframe690 = gc_frame_new();
  int callframe691 = gc_frame_new();
  int callframe692 = gc_frame_new();
// compilenode returning *var_n
  partcv[0] = 0;
  Object call693 = callmethod(*var_n, "value",
    1, partcv, params);
  gc_frame_end(callframe692);
// compilenode returning call693
// compilenode returning call693
  partcv[0] = 0;
  Object call694 = callmethod(call693, "in",
    1, partcv, params);
  gc_frame_end(callframe691);
// compilenode returning call694
// compilenode returning call694
  partcv[0] = 0;
  Object call695 = callmethod(call694, "value",
    1, partcv, params);
  gc_frame_end(callframe690);
// compilenode returning call695
// compilenode returning call695
  int op_slot_left_687 = gc_frame_newslot(call695);
  params[0] = strlit688;
  partcv[0] = 1;
  Object opresult696 = callmethod(call695, "==", 1, partcv, params);
// compilenode returning opresult696
  Object if686 = done;
  if (istrue(opresult696)) {
// Begin line 210
  setline(210);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe697 = gc_frame_new();
  if (strlit698 == NULL) {
    strlit698 = alloc_String("type");
    gc_root(strlit698);
  }
// compilenode returning strlit698
  gc_frame_newslot(strlit698);
  if (strlit699 == NULL) {
    strlit699 = alloc_String("selfcall");
    gc_root(strlit699);
  }
// compilenode returning strlit699
  gc_frame_newslot(strlit699);
// compilenode returning *var_ret
  params[0] = strlit698;
  params[1] = strlit699;
  partcv[0] = 2;
  Object call700 = callmethod(*var_ret, "put",
    1, partcv, params);
  gc_frame_end(callframe697);
// compilenode returning call700
// Begin line 211
  setline(211);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe701 = gc_frame_new();
  if (strlit702 == NULL) {
    strlit702 = alloc_String("name");
    gc_root(strlit702);
  }
// compilenode returning strlit702
  gc_frame_newslot(strlit702);
// compilenode returning *var_memName
  gc_frame_newslot(*var_memName);
// compilenode returning *var_ret
  params[0] = strlit702;
  params[1] = *var_memName;
  partcv[0] = 2;
  Object call703 = callmethod(*var_ret, "put",
    1, partcv, params);
  gc_frame_end(callframe701);
// compilenode returning call703
// Begin line 213
  setline(213);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 212
  setline(212);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe704 = gc_frame_new();
// compilenode returning *var_JSArray
  partcv[0] = 0;
  Object call705 = callmethod(*var_JSArray, "new",
    1, partcv, params);
  gc_frame_end(callframe704);
// compilenode returning call705
// compilenode returning call705
  *var_args = call705;
  if (call705 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 213
  setline(213);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe706 = gc_frame_new();
  int callframe707 = gc_frame_new();
  int callframe708 = gc_frame_new();
  Object num709 = alloc_Float64(1);
// compilenode returning num709
  gc_frame_newslot(num709);
  int callframe710 = gc_frame_new();
// compilenode returning *var_n
  partcv[0] = 0;
  Object call711 = callmethod(*var_n, "with",
    1, partcv, params);
  gc_frame_end(callframe710);
// compilenode returning call711
// compilenode returning call711
  params[0] = num709;
  partcv[0] = 1;
  Object call712 = callmethod(call711, "at",
    1, partcv, params);
  gc_frame_end(callframe708);
// compilenode returning call712
  partcv[0] = 0;
  Object call713 = callmethod(call712, "args",
    1, partcv, params);
  gc_frame_end(callframe707);
// compilenode returning call713
// compilenode returning call713
  gc_frame_newslot(call713);
  Object block714 = alloc_Block(NULL, NULL, "genjson", 213);
  gc_frame_newslot(block714);
  block_savedest(block714);
  Object closure715 = createclosure(2, "_apply");
setclosureframe(closure715, stackframe);
  addtoclosure(closure715, var_args);
  addtoclosure(closure715, selfslot);
  struct UserObject *uo715 = (struct UserObject*)block714;
  uo715->data[0] = (Object)closure715;
  Method *meth_meth_genjson__apply715 = addmethod2pos(block714, "_apply", &meth_genjson__apply715, 0);
int argcv_meth_genjson__apply715[] = {1};
meth_meth_genjson__apply715->type = alloc_MethodType(1, argcv_meth_genjson__apply715);
  meth_meth_genjson__apply715->definitionModule = modulename;
  meth_meth_genjson__apply715->definitionLine = 213;
// compilenode returning block714
  gc_frame_newslot(block714);
  params[0] = call713;
  params[1] = block714;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call721 = callmethodflags(prelude, "for()do", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe706);
// compilenode returning call721
// Begin line 216
  setline(216);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe722 = gc_frame_new();
  if (strlit723 == NULL) {
    strlit723 = alloc_String("args");
    gc_root(strlit723);
  }
// compilenode returning strlit723
  gc_frame_newslot(strlit723);
// compilenode returning *var_args
  gc_frame_newslot(*var_args);
// compilenode returning *var_ret
  params[0] = strlit723;
  params[1] = *var_args;
  partcv[0] = 2;
  Object call724 = callmethod(*var_ret, "put",
    1, partcv, params);
  gc_frame_end(callframe722);
// compilenode returning call724
// Begin line 217
  setline(217);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe725 = gc_frame_new();
  if (strlit726 == NULL) {
    strlit726 = alloc_String("isRequest");
    gc_root(strlit726);
  }
// compilenode returning strlit726
  gc_frame_newslot(strlit726);
  Object bool727 = alloc_Boolean(1);
// compilenode returning bool727
  gc_frame_newslot(bool727);
// compilenode returning *var_ret
  params[0] = strlit726;
  params[1] = bool727;
  partcv[0] = 2;
  Object call728 = callmethod(*var_ret, "put",
    1, partcv, params);
  gc_frame_end(callframe725);
// compilenode returning call728
    gc_frame_newslot(call728);
    if686 = call728;
  } else {
// Begin line 219
  setline(219);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe729 = gc_frame_new();
  if (strlit730 == NULL) {
    strlit730 = alloc_String("type");
    gc_root(strlit730);
  }
// compilenode returning strlit730
  gc_frame_newslot(strlit730);
  if (strlit731 == NULL) {
    strlit731 = alloc_String("request");
    gc_root(strlit731);
  }
// compilenode returning strlit731
  gc_frame_newslot(strlit731);
// compilenode returning *var_ret
  params[0] = strlit730;
  params[1] = strlit731;
  partcv[0] = 2;
  Object call732 = callmethod(*var_ret, "put",
    1, partcv, params);
  gc_frame_end(callframe729);
// compilenode returning call732
// Begin line 220
  setline(220);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe733 = gc_frame_new();
  if (strlit734 == NULL) {
    strlit734 = alloc_String("receiver");
    gc_root(strlit734);
  }
// compilenode returning strlit734
  gc_frame_newslot(strlit734);
  int callframe735 = gc_frame_new();
  int callframe736 = gc_frame_new();
  int callframe737 = gc_frame_new();
// compilenode returning *var_n
  partcv[0] = 0;
  Object call738 = callmethod(*var_n, "value",
    1, partcv, params);
  gc_frame_end(callframe737);
// compilenode returning call738
// compilenode returning call738
  partcv[0] = 0;
  Object call739 = callmethod(call738, "in",
    1, partcv, params);
  gc_frame_end(callframe736);
// compilenode returning call739
// compilenode returning call739
  gc_frame_newslot(call739);
  params[0] = call739;
  partcv[0] = 1;
  Object call740 = callmethodflags(self, "generateNode", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe735);
// compilenode returning call740
  gc_frame_newslot(call740);
// compilenode returning *var_ret
  params[0] = strlit734;
  params[1] = call740;
  partcv[0] = 2;
  Object call741 = callmethod(*var_ret, "put",
    1, partcv, params);
  gc_frame_end(callframe733);
// compilenode returning call741
// Begin line 221
  setline(221);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe742 = gc_frame_new();
  if (strlit743 == NULL) {
    strlit743 = alloc_String("name");
    gc_root(strlit743);
  }
// compilenode returning strlit743
  gc_frame_newslot(strlit743);
// compilenode returning *var_memName
  gc_frame_newslot(*var_memName);
// compilenode returning *var_ret
  params[0] = strlit743;
  params[1] = *var_memName;
  partcv[0] = 2;
  Object call744 = callmethod(*var_ret, "put",
    1, partcv, params);
  gc_frame_end(callframe742);
// compilenode returning call744
// Begin line 223
  setline(223);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 222
  setline(222);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe745 = gc_frame_new();
// compilenode returning *var_JSArray
  partcv[0] = 0;
  Object call746 = callmethod(*var_JSArray, "new",
    1, partcv, params);
  gc_frame_end(callframe745);
// compilenode returning call746
// compilenode returning call746
  *var_args = call746;
  if (call746 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 223
  setline(223);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe747 = gc_frame_new();
  int callframe748 = gc_frame_new();
  int callframe749 = gc_frame_new();
  Object num750 = alloc_Float64(1);
// compilenode returning num750
  gc_frame_newslot(num750);
  int callframe751 = gc_frame_new();
// compilenode returning *var_n
  partcv[0] = 0;
  Object call752 = callmethod(*var_n, "with",
    1, partcv, params);
  gc_frame_end(callframe751);
// compilenode returning call752
// compilenode returning call752
  params[0] = num750;
  partcv[0] = 1;
  Object call753 = callmethod(call752, "at",
    1, partcv, params);
  gc_frame_end(callframe749);
// compilenode returning call753
  partcv[0] = 0;
  Object call754 = callmethod(call753, "args",
    1, partcv, params);
  gc_frame_end(callframe748);
// compilenode returning call754
// compilenode returning call754
  gc_frame_newslot(call754);
  Object block755 = alloc_Block(NULL, NULL, "genjson", 223);
  gc_frame_newslot(block755);
  block_savedest(block755);
  Object closure756 = createclosure(2, "_apply");
setclosureframe(closure756, stackframe);
  addtoclosure(closure756, var_args);
  addtoclosure(closure756, selfslot);
  struct UserObject *uo756 = (struct UserObject*)block755;
  uo756->data[0] = (Object)closure756;
  Method *meth_meth_genjson__apply756 = addmethod2pos(block755, "_apply", &meth_genjson__apply756, 0);
int argcv_meth_genjson__apply756[] = {1};
meth_meth_genjson__apply756->type = alloc_MethodType(1, argcv_meth_genjson__apply756);
  meth_meth_genjson__apply756->definitionModule = modulename;
  meth_meth_genjson__apply756->definitionLine = 223;
// compilenode returning block755
  gc_frame_newslot(block755);
  params[0] = call754;
  params[1] = block755;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call762 = callmethodflags(prelude, "for()do", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe747);
// compilenode returning call762
// Begin line 226
  setline(226);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe763 = gc_frame_new();
  if (strlit764 == NULL) {
    strlit764 = alloc_String("args");
    gc_root(strlit764);
  }
// compilenode returning strlit764
  gc_frame_newslot(strlit764);
// compilenode returning *var_args
  gc_frame_newslot(*var_args);
// compilenode returning *var_ret
  params[0] = strlit764;
  params[1] = *var_args;
  partcv[0] = 2;
  Object call765 = callmethod(*var_ret, "put",
    1, partcv, params);
  gc_frame_end(callframe763);
// compilenode returning call765
    gc_frame_newslot(call765);
    if686 = call765;
  }
// compilenode returning if686
    gc_frame_newslot(if686);
    if600 = if686;
  }
// compilenode returning if600
    gc_frame_newslot(if600);
    if555 = if600;
  }
// compilenode returning if555
    gc_frame_newslot(if555);
    if517 = if555;
  } else {
// Begin line 231
  setline(231);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe766 = gc_frame_new();
  if (strlit767 == NULL) {
    strlit767 = alloc_String("type");
    gc_root(strlit767);
  }
// compilenode returning strlit767
  gc_frame_newslot(strlit767);
  if (strlit768 == NULL) {
    strlit768 = alloc_String("unknown call");
    gc_root(strlit768);
  }
// compilenode returning strlit768
  gc_frame_newslot(strlit768);
// compilenode returning *var_ret
  params[0] = strlit767;
  params[1] = strlit768;
  partcv[0] = 2;
  Object call769 = callmethod(*var_ret, "put",
    1, partcv, params);
  gc_frame_end(callframe766);
// compilenode returning call769
// Begin line 232
  setline(232);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit771 == NULL) {
    strlit771 = alloc_String("");
    gc_root(strlit771);
  }
// compilenode returning strlit771
  int op_slot_right_770 = gc_frame_newslot(strlit771);
  int callframe774 = gc_frame_new();
  Object num775 = alloc_Float64(4);
// compilenode returning num775
  gc_frame_newslot(num775);
// compilenode returning *var_n
  params[0] = num775;
  partcv[0] = 1;
  Object call776 = callmethod(*var_n, "pretty",
    1, partcv, params);
  gc_frame_end(callframe774);
// compilenode returning call776
  int op_slot_right_773 = gc_frame_newslot(call776);
  if (strlit778 == NULL) {
    strlit778 = alloc_String("    ");
    gc_root(strlit778);
  }
// compilenode returning strlit778
  int op_slot_left_773 = gc_frame_newslot(strlit778);
  params[0] = call776;
  partcv[0] = 1;
  Object opresult779 = callmethod(strlit778, "++", 1, partcv, params);
// compilenode returning opresult779
  int op_slot_left_770 = gc_frame_newslot(opresult779);
  params[0] = strlit771;
  partcv[0] = 1;
  Object opresult780 = callmethod(opresult779, "++", 1, partcv, params);
// compilenode returning opresult780
  params[0] = opresult780;
  Object call781 = gracelib_print(NULL, 1,  params);
// compilenode returning call781
    gc_frame_newslot(call781);
    if517 = call781;
  }
// compilenode returning if517
  gc_frame_end(frame);
  return if517;
}
Object meth_genjson__apply785(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[2];
  int partcv[1];
  Object *var_n = getfromclosure(closure, 0);
  Object *var_ret = getfromclosure(closure, 1);
  Object *var_JSArray = getfromclosure(closure, 2);
  Object self = *(getfromclosure(closure, 3));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 246
  setline(246);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 235
  setline(235);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit788 == NULL) {
    strlit788 = alloc_String("outer");
    gc_root(strlit788);
  }
// compilenode returning strlit788
  int op_slot_right_787 = gc_frame_newslot(strlit788);
  int callframe790 = gc_frame_new();
  int callframe791 = gc_frame_new();
// compilenode returning *var_n
  partcv[0] = 0;
  Object call792 = callmethod(*var_n, "in",
    1, partcv, params);
  gc_frame_end(callframe791);
// compilenode returning call792
// compilenode returning call792
  partcv[0] = 0;
  Object call793 = callmethod(call792, "value",
    1, partcv, params);
  gc_frame_end(callframe790);
// compilenode returning call793
// compilenode returning call793
  int op_slot_left_787 = gc_frame_newslot(call793);
  params[0] = strlit788;
  partcv[0] = 1;
  Object opresult794 = callmethod(call793, "==", 1, partcv, params);
// compilenode returning opresult794
  Object if786 = done;
  if (istrue(opresult794)) {
// Begin line 236
  setline(236);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe795 = gc_frame_new();
  if (strlit796 == NULL) {
    strlit796 = alloc_String("type");
    gc_root(strlit796);
  }
// compilenode returning strlit796
  gc_frame_newslot(strlit796);
  if (strlit797 == NULL) {
    strlit797 = alloc_String("selfcall");
    gc_root(strlit797);
  }
// compilenode returning strlit797
  gc_frame_newslot(strlit797);
// compilenode returning *var_ret
  params[0] = strlit796;
  params[1] = strlit797;
  partcv[0] = 2;
  Object call798 = callmethod(*var_ret, "put",
    1, partcv, params);
  gc_frame_end(callframe795);
// compilenode returning call798
// Begin line 237
  setline(237);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe799 = gc_frame_new();
  if (strlit800 == NULL) {
    strlit800 = alloc_String("name");
    gc_root(strlit800);
  }
// compilenode returning strlit800
  gc_frame_newslot(strlit800);
  int callframe801 = gc_frame_new();
// compilenode returning *var_n
  partcv[0] = 0;
  Object call802 = callmethod(*var_n, "value",
    1, partcv, params);
  gc_frame_end(callframe801);
// compilenode returning call802
// compilenode returning call802
  gc_frame_newslot(call802);
// compilenode returning *var_ret
  params[0] = strlit800;
  params[1] = call802;
  partcv[0] = 2;
  Object call803 = callmethod(*var_ret, "put",
    1, partcv, params);
  gc_frame_end(callframe799);
// compilenode returning call803
// Begin line 238
  setline(238);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe804 = gc_frame_new();
  if (strlit805 == NULL) {
    strlit805 = alloc_String("args");
    gc_root(strlit805);
  }
// compilenode returning strlit805
  gc_frame_newslot(strlit805);
  int callframe806 = gc_frame_new();
// compilenode returning *var_JSArray
  partcv[0] = 0;
  Object call807 = callmethod(*var_JSArray, "new",
    1, partcv, params);
  gc_frame_end(callframe806);
// compilenode returning call807
// compilenode returning call807
  gc_frame_newslot(call807);
// compilenode returning *var_ret
  params[0] = strlit805;
  params[1] = call807;
  partcv[0] = 2;
  Object call808 = callmethod(*var_ret, "put",
    1, partcv, params);
  gc_frame_end(callframe804);
// compilenode returning call808
// Begin line 239
  setline(239);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe809 = gc_frame_new();
  if (strlit810 == NULL) {
    strlit810 = alloc_String("isRequest");
    gc_root(strlit810);
  }
// compilenode returning strlit810
  gc_frame_newslot(strlit810);
  Object bool811 = alloc_Boolean(1);
// compilenode returning bool811
  gc_frame_newslot(bool811);
// compilenode returning *var_ret
  params[0] = strlit810;
  params[1] = bool811;
  partcv[0] = 2;
  Object call812 = callmethod(*var_ret, "put",
    1, partcv, params);
  gc_frame_end(callframe809);
// compilenode returning call812
    gc_frame_newslot(call812);
    if786 = call812;
  } else {
// Begin line 241
  setline(241);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe813 = gc_frame_new();
  if (strlit814 == NULL) {
    strlit814 = alloc_String("type");
    gc_root(strlit814);
  }
// compilenode returning strlit814
  gc_frame_newslot(strlit814);
  if (strlit815 == NULL) {
    strlit815 = alloc_String("request");
    gc_root(strlit815);
  }
// compilenode returning strlit815
  gc_frame_newslot(strlit815);
// compilenode returning *var_ret
  params[0] = strlit814;
  params[1] = strlit815;
  partcv[0] = 2;
  Object call816 = callmethod(*var_ret, "put",
    1, partcv, params);
  gc_frame_end(callframe813);
// compilenode returning call816
// Begin line 242
  setline(242);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe817 = gc_frame_new();
  if (strlit818 == NULL) {
    strlit818 = alloc_String("receiver");
    gc_root(strlit818);
  }
// compilenode returning strlit818
  gc_frame_newslot(strlit818);
  int callframe819 = gc_frame_new();
  int callframe820 = gc_frame_new();
// compilenode returning *var_n
  partcv[0] = 0;
  Object call821 = callmethod(*var_n, "in",
    1, partcv, params);
  gc_frame_end(callframe820);
// compilenode returning call821
// compilenode returning call821
  gc_frame_newslot(call821);
  params[0] = call821;
  partcv[0] = 1;
  Object call822 = callmethodflags(self, "generateNode", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe819);
// compilenode returning call822
  gc_frame_newslot(call822);
// compilenode returning *var_ret
  params[0] = strlit818;
  params[1] = call822;
  partcv[0] = 2;
  Object call823 = callmethod(*var_ret, "put",
    1, partcv, params);
  gc_frame_end(callframe817);
// compilenode returning call823
// Begin line 243
  setline(243);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe824 = gc_frame_new();
  if (strlit825 == NULL) {
    strlit825 = alloc_String("name");
    gc_root(strlit825);
  }
// compilenode returning strlit825
  gc_frame_newslot(strlit825);
  int callframe826 = gc_frame_new();
// compilenode returning *var_n
  partcv[0] = 0;
  Object call827 = callmethod(*var_n, "value",
    1, partcv, params);
  gc_frame_end(callframe826);
// compilenode returning call827
// compilenode returning call827
  gc_frame_newslot(call827);
// compilenode returning *var_ret
  params[0] = strlit825;
  params[1] = call827;
  partcv[0] = 2;
  Object call828 = callmethod(*var_ret, "put",
    1, partcv, params);
  gc_frame_end(callframe824);
// compilenode returning call828
// Begin line 244
  setline(244);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe829 = gc_frame_new();
  if (strlit830 == NULL) {
    strlit830 = alloc_String("args");
    gc_root(strlit830);
  }
// compilenode returning strlit830
  gc_frame_newslot(strlit830);
  int callframe831 = gc_frame_new();
// compilenode returning *var_JSArray
  partcv[0] = 0;
  Object call832 = callmethod(*var_JSArray, "new",
    1, partcv, params);
  gc_frame_end(callframe831);
// compilenode returning call832
// compilenode returning call832
  gc_frame_newslot(call832);
// compilenode returning *var_ret
  params[0] = strlit830;
  params[1] = call832;
  partcv[0] = 2;
  Object call833 = callmethod(*var_ret, "put",
    1, partcv, params);
  gc_frame_end(callframe829);
// compilenode returning call833
    gc_frame_newslot(call833);
    if786 = call833;
  }
// compilenode returning if786
  gc_frame_end(frame);
  return if786;
}
Object meth_genjson__apply851(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method");
  Object params[1];
  int partcv[1];
  Object *var_params = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_p = &(stackframe->slots[0]);
  *var_p = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 251
  setline(251);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe852 = gc_frame_new();
  int callframe853 = gc_frame_new();
// compilenode returning *var_p
  partcv[0] = 0;
  Object call854 = callmethod(*var_p, "value",
    1, partcv, params);
  gc_frame_end(callframe853);
// compilenode returning call854
// compilenode returning call854
  gc_frame_newslot(call854);
// compilenode returning *var_params
  params[0] = call854;
  partcv[0] = 1;
  Object call855 = callmethod(*var_params, "push",
    1, partcv, params);
  gc_frame_end(callframe852);
// compilenode returning call855
  gc_frame_end(frame);
  return call855;
}
Object meth_genjson__apply867(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method");
  Object params[1];
  int partcv[1];
  Object *var_body = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_p = &(stackframe->slots[0]);
  *var_p = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 256
  setline(256);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe868 = gc_frame_new();
  int callframe869 = gc_frame_new();
// compilenode returning *var_p
  gc_frame_newslot(*var_p);
  params[0] = *var_p;
  partcv[0] = 1;
  Object call870 = callmethodflags(self, "generateNode", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe869);
// compilenode returning call870
  gc_frame_newslot(call870);
// compilenode returning *var_body
  params[0] = call870;
  partcv[0] = 1;
  Object call871 = callmethod(*var_body, "push",
    1, partcv, params);
  gc_frame_end(callframe868);
// compilenode returning call871
  gc_frame_end(frame);
  return call871;
}
Object meth_genjson__apply837(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(3, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[2];
  int partcv[2];
  Object *var_ret = getfromclosure(closure, 0);
  Object *var_JSArray = getfromclosure(closure, 1);
  Object *var_n = getfromclosure(closure, 2);
  Object self = *(getfromclosure(closure, 3));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_params = &(stackframe->slots[1]);
  setframeelementname(stackframe, 1, "params");
  Object *var_body = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "body");
// Begin line 247
  setline(247);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe838 = gc_frame_new();
  if (strlit839 == NULL) {
    strlit839 = alloc_String("type");
    gc_root(strlit839);
  }
// compilenode returning strlit839
  gc_frame_newslot(strlit839);
  if (strlit840 == NULL) {
    strlit840 = alloc_String("block");
    gc_root(strlit840);
  }
// compilenode returning strlit840
  gc_frame_newslot(strlit840);
// compilenode returning *var_ret
  params[0] = strlit839;
  params[1] = strlit840;
  partcv[0] = 2;
  Object call841 = callmethod(*var_ret, "put",
    1, partcv, params);
  gc_frame_end(callframe838);
// compilenode returning call841
// Begin line 249
  setline(249);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 248
  setline(248);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe842 = gc_frame_new();
// compilenode returning *var_JSArray
  partcv[0] = 0;
  Object call843 = callmethod(*var_JSArray, "new",
    1, partcv, params);
  gc_frame_end(callframe842);
// compilenode returning call843
// compilenode returning call843
  *var_params = call843;
  if (call843 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 249
  setline(249);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe844 = gc_frame_new();
  if (strlit845 == NULL) {
    strlit845 = alloc_String("params");
    gc_root(strlit845);
  }
// compilenode returning strlit845
  gc_frame_newslot(strlit845);
// compilenode returning *var_params
  gc_frame_newslot(*var_params);
// compilenode returning *var_ret
  params[0] = strlit845;
  params[1] = *var_params;
  partcv[0] = 2;
  Object call846 = callmethod(*var_ret, "put",
    1, partcv, params);
  gc_frame_end(callframe844);
// compilenode returning call846
// Begin line 250
  setline(250);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe847 = gc_frame_new();
  int callframe848 = gc_frame_new();
// compilenode returning *var_n
  partcv[0] = 0;
  Object call849 = callmethod(*var_n, "params",
    1, partcv, params);
  gc_frame_end(callframe848);
// compilenode returning call849
// compilenode returning call849
  gc_frame_newslot(call849);
  Object block850 = alloc_Block(NULL, NULL, "genjson", 250);
  gc_frame_newslot(block850);
  block_savedest(block850);
  Object closure851 = createclosure(2, "_apply");
setclosureframe(closure851, stackframe);
  addtoclosure(closure851, var_params);
  addtoclosure(closure851, selfslot);
  struct UserObject *uo851 = (struct UserObject*)block850;
  uo851->data[0] = (Object)closure851;
  Method *meth_meth_genjson__apply851 = addmethod2pos(block850, "_apply", &meth_genjson__apply851, 0);
int argcv_meth_genjson__apply851[] = {1};
meth_meth_genjson__apply851->type = alloc_MethodType(1, argcv_meth_genjson__apply851);
  meth_meth_genjson__apply851->definitionModule = modulename;
  meth_meth_genjson__apply851->definitionLine = 250;
// compilenode returning block850
  gc_frame_newslot(block850);
  params[0] = call849;
  params[1] = block850;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call857 = callmethodflags(prelude, "for()do", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe847);
// compilenode returning call857
// Begin line 254
  setline(254);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 253
  setline(253);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe858 = gc_frame_new();
// compilenode returning *var_JSArray
  partcv[0] = 0;
  Object call859 = callmethod(*var_JSArray, "new",
    1, partcv, params);
  gc_frame_end(callframe858);
// compilenode returning call859
// compilenode returning call859
  *var_body = call859;
  if (call859 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 254
  setline(254);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe860 = gc_frame_new();
  if (strlit861 == NULL) {
    strlit861 = alloc_String("body");
    gc_root(strlit861);
  }
// compilenode returning strlit861
  gc_frame_newslot(strlit861);
// compilenode returning *var_body
  gc_frame_newslot(*var_body);
// compilenode returning *var_ret
  params[0] = strlit861;
  params[1] = *var_body;
  partcv[0] = 2;
  Object call862 = callmethod(*var_ret, "put",
    1, partcv, params);
  gc_frame_end(callframe860);
// compilenode returning call862
// Begin line 255
  setline(255);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe863 = gc_frame_new();
  int callframe864 = gc_frame_new();
// compilenode returning *var_n
  partcv[0] = 0;
  Object call865 = callmethod(*var_n, "body",
    1, partcv, params);
  gc_frame_end(callframe864);
// compilenode returning call865
// compilenode returning call865
  gc_frame_newslot(call865);
  Object block866 = alloc_Block(NULL, NULL, "genjson", 255);
  gc_frame_newslot(block866);
  block_savedest(block866);
  Object closure867 = createclosure(2, "_apply");
setclosureframe(closure867, stackframe);
  addtoclosure(closure867, var_body);
  addtoclosure(closure867, selfslot);
  struct UserObject *uo867 = (struct UserObject*)block866;
  uo867->data[0] = (Object)closure867;
  Method *meth_meth_genjson__apply867 = addmethod2pos(block866, "_apply", &meth_genjson__apply867, 0);
int argcv_meth_genjson__apply867[] = {1};
meth_meth_genjson__apply867->type = alloc_MethodType(1, argcv_meth_genjson__apply867);
  meth_meth_genjson__apply867->definitionModule = modulename;
  meth_meth_genjson__apply867->definitionLine = 255;
// compilenode returning block866
  gc_frame_newslot(block866);
  params[0] = call865;
  params[1] = block866;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call873 = callmethodflags(prelude, "for()do", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe863);
// compilenode returning call873
  gc_frame_end(frame);
  return call873;
}
Object meth_genjson__apply877(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method");
  Object params[2];
  int partcv[1];
  Object *var_ret = getfromclosure(closure, 0);
  Object *var_n = getfromclosure(closure, 1);
  Object self = *(getfromclosure(closure, 2));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var___3 = &(stackframe->slots[0]);
  *var___3 = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 259
  setline(259);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe878 = gc_frame_new();
  if (strlit879 == NULL) {
    strlit879 = alloc_String("type");
    gc_root(strlit879);
  }
// compilenode returning strlit879
  gc_frame_newslot(strlit879);
  if (strlit880 == NULL) {
    strlit880 = alloc_String("UNKNOWN");
    gc_root(strlit880);
  }
// compilenode returning strlit880
  gc_frame_newslot(strlit880);
// compilenode returning *var_ret
  params[0] = strlit879;
  params[1] = strlit880;
  partcv[0] = 2;
  Object call881 = callmethod(*var_ret, "put",
    1, partcv, params);
  gc_frame_end(callframe878);
// compilenode returning call881
// Begin line 260
  setline(260);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe882 = gc_frame_new();
  if (strlit883 == NULL) {
    strlit883 = alloc_String("internalKind");
    gc_root(strlit883);
  }
// compilenode returning strlit883
  gc_frame_newslot(strlit883);
  int callframe884 = gc_frame_new();
// compilenode returning *var_n
  partcv[0] = 0;
  Object call885 = callmethod(*var_n, "kind",
    1, partcv, params);
  gc_frame_end(callframe884);
// compilenode returning call885
// compilenode returning call885
  gc_frame_newslot(call885);
// compilenode returning *var_ret
  params[0] = strlit883;
  params[1] = call885;
  partcv[0] = 2;
  Object call886 = callmethod(*var_ret, "put",
    1, partcv, params);
  gc_frame_end(callframe882);
// compilenode returning call886
  gc_frame_end(frame);
  return call886;
}
Object meth_genjson_generateNode33(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 2, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(3, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "generateNode");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method");
  Object params[16];
  int partcv[1];
  Object *var_JSObj = getfromclosure(closure, 0);
  Object *var_JSArray = getfromclosure(closure, 1);
  Object *var_ast = getfromclosure(closure, 2);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for generateNode (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_n = &(stackframe->slots[0]);
  *var_n = args[curarg];
  curarg++;
if (argcv && argcv[0] > 1)
  gracedie("too many arguments for generateNode");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_ret = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "ret");
// Begin line 59
  setline(59);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 58
  setline(58);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe34 = gc_frame_new();
// compilenode returning *var_JSObj
  partcv[0] = 0;
  Object call35 = callmethod(*var_JSObj, "new",
    1, partcv, params);
  gc_frame_end(callframe34);
// compilenode returning call35
// compilenode returning call35
  *var_ret = call35;
  if (call35 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 258
  setline(258);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 59
  setline(59);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe37 = gc_frame_new();
// compilenode returning *var_n
  partcv[0] = 0;
  Object call38 = callmethod(*var_n, "kind",
    1, partcv, params);
  gc_frame_end(callframe37);
// compilenode returning call38
// compilenode returning call38
  int frame36 = gc_frame_new();
  gc_frame_newslot(call38);
// Begin line 60
  setline(60);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object block39 = alloc_Block(NULL, NULL, "genjson", 60);
  gc_frame_newslot(block39);
  block_savedest(block39);
  Object closure40 = createclosure(3, "_apply");
setclosureframe(closure40, stackframe);
  addtoclosure(closure40, var_ret);
  addtoclosure(closure40, var_n);
  addtoclosure(closure40, selfslot);
  struct UserObject *uo40 = (struct UserObject*)block39;
  uo40->data[0] = (Object)closure40;
  Method *meth_meth_genjson__apply40 = addmethod2pos(block39, "_apply", &meth_genjson__apply40, 0);
int argcv_meth_genjson__apply40[] = {0};
meth_meth_genjson__apply40->type = alloc_MethodType(1, argcv_meth_genjson__apply40);
  meth_meth_genjson__apply40->definitionModule = modulename;
  meth_meth_genjson__apply40->definitionLine = 59;
// Begin line 60
  setline(60);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit60 == NULL) {
    strlit60 = alloc_String("vardec");
    gc_root(strlit60);
  }
// compilenode returning strlit60
((struct UserObject *)block39)->data[1] = strlit60;
// compilenode returning block39
  gc_frame_newslot(block39);
// Begin line 64
  setline(64);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object block61 = alloc_Block(NULL, NULL, "genjson", 64);
  gc_frame_newslot(block61);
  block_savedest(block61);
  Object closure62 = createclosure(3, "_apply");
setclosureframe(closure62, stackframe);
  addtoclosure(closure62, var_ret);
  addtoclosure(closure62, var_n);
  addtoclosure(closure62, selfslot);
  struct UserObject *uo62 = (struct UserObject*)block61;
  uo62->data[0] = (Object)closure62;
  Method *meth_meth_genjson__apply62 = addmethod2pos(block61, "_apply", &meth_genjson__apply62, 0);
int argcv_meth_genjson__apply62[] = {0};
meth_meth_genjson__apply62->type = alloc_MethodType(1, argcv_meth_genjson__apply62);
  meth_meth_genjson__apply62->definitionModule = modulename;
  meth_meth_genjson__apply62->definitionLine = 63;
// Begin line 64
  setline(64);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit82 == NULL) {
    strlit82 = alloc_String("defdec");
    gc_root(strlit82);
  }
// compilenode returning strlit82
((struct UserObject *)block61)->data[1] = strlit82;
// compilenode returning block61
  gc_frame_newslot(block61);
// Begin line 68
  setline(68);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object block83 = alloc_Block(NULL, NULL, "genjson", 68);
  gc_frame_newslot(block83);
  block_savedest(block83);
  Object closure84 = createclosure(3, "_apply");
setclosureframe(closure84, stackframe);
  addtoclosure(closure84, var_ret);
  addtoclosure(closure84, var_n);
  addtoclosure(closure84, selfslot);
  struct UserObject *uo84 = (struct UserObject*)block83;
  uo84->data[0] = (Object)closure84;
  Method *meth_meth_genjson__apply84 = addmethod2pos(block83, "_apply", &meth_genjson__apply84, 0);
int argcv_meth_genjson__apply84[] = {0};
meth_meth_genjson__apply84->type = alloc_MethodType(1, argcv_meth_genjson__apply84);
  meth_meth_genjson__apply84->definitionModule = modulename;
  meth_meth_genjson__apply84->definitionLine = 67;
// Begin line 68
  setline(68);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit95 == NULL) {
    strlit95 = alloc_String("string");
    gc_root(strlit95);
  }
// compilenode returning strlit95
((struct UserObject *)block83)->data[1] = strlit95;
// compilenode returning block83
  gc_frame_newslot(block83);
// Begin line 71
  setline(71);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object block96 = alloc_Block(NULL, NULL, "genjson", 71);
  gc_frame_newslot(block96);
  block_savedest(block96);
  Object closure97 = createclosure(3, "_apply");
setclosureframe(closure97, stackframe);
  addtoclosure(closure97, var_ret);
  addtoclosure(closure97, var_n);
  addtoclosure(closure97, selfslot);
  struct UserObject *uo97 = (struct UserObject*)block96;
  uo97->data[0] = (Object)closure97;
  Method *meth_meth_genjson__apply97 = addmethod2pos(block96, "_apply", &meth_genjson__apply97, 0);
int argcv_meth_genjson__apply97[] = {0};
meth_meth_genjson__apply97->type = alloc_MethodType(1, argcv_meth_genjson__apply97);
  meth_meth_genjson__apply97->definitionModule = modulename;
  meth_meth_genjson__apply97->definitionLine = 70;
// Begin line 71
  setline(71);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit108 == NULL) {
    strlit108 = alloc_String("num");
    gc_root(strlit108);
  }
// compilenode returning strlit108
((struct UserObject *)block96)->data[1] = strlit108;
// compilenode returning block96
  gc_frame_newslot(block96);
// Begin line 74
  setline(74);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object block109 = alloc_Block(NULL, NULL, "genjson", 74);
  gc_frame_newslot(block109);
  block_savedest(block109);
  Object closure110 = createclosure(3, "_apply");
setclosureframe(closure110, stackframe);
  addtoclosure(closure110, var_ret);
  addtoclosure(closure110, var_n);
  addtoclosure(closure110, selfslot);
  struct UserObject *uo110 = (struct UserObject*)block109;
  uo110->data[0] = (Object)closure110;
  Method *meth_meth_genjson__apply110 = addmethod2pos(block109, "_apply", &meth_genjson__apply110, 0);
int argcv_meth_genjson__apply110[] = {0};
meth_meth_genjson__apply110->type = alloc_MethodType(1, argcv_meth_genjson__apply110);
  meth_meth_genjson__apply110->definitionModule = modulename;
  meth_meth_genjson__apply110->definitionLine = 73;
// Begin line 74
  setline(74);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit135 == NULL) {
    strlit135 = alloc_String("op");
    gc_root(strlit135);
  }
// compilenode returning strlit135
((struct UserObject *)block109)->data[1] = strlit135;
// compilenode returning block109
  gc_frame_newslot(block109);
// Begin line 79
  setline(79);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object block136 = alloc_Block(NULL, NULL, "genjson", 79);
  gc_frame_newslot(block136);
  block_savedest(block136);
  Object closure137 = createclosure(5, "_apply");
setclosureframe(closure137, stackframe);
  addtoclosure(closure137, var_n);
  addtoclosure(closure137, var_ret);
  addtoclosure(closure137, var_JSArray);
  addtoclosure(closure137, var_ast);
  addtoclosure(closure137, selfslot);
  struct UserObject *uo137 = (struct UserObject*)block136;
  uo137->data[0] = (Object)closure137;
  Method *meth_meth_genjson__apply137 = addmethod2pos(block136, "_apply", &meth_genjson__apply137, 0);
int argcv_meth_genjson__apply137[] = {0};
meth_meth_genjson__apply137->type = alloc_MethodType(1, argcv_meth_genjson__apply137);
  meth_meth_genjson__apply137->definitionModule = modulename;
  meth_meth_genjson__apply137->definitionLine = 78;
// Begin line 79
  setline(79);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit247 == NULL) {
    strlit247 = alloc_String("bind");
    gc_root(strlit247);
  }
// compilenode returning strlit247
((struct UserObject *)block136)->data[1] = strlit247;
// compilenode returning block136
  gc_frame_newslot(block136);
// Begin line 104
  setline(104);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object block248 = alloc_Block(NULL, NULL, "genjson", 104);
  gc_frame_newslot(block248);
  block_savedest(block248);
  Object closure249 = createclosure(4, "_apply");
setclosureframe(closure249, stackframe);
  addtoclosure(closure249, var_ret);
  addtoclosure(closure249, var_n);
  addtoclosure(closure249, var_JSArray);
  addtoclosure(closure249, selfslot);
  struct UserObject *uo249 = (struct UserObject*)block248;
  uo249->data[0] = (Object)closure249;
  Method *meth_meth_genjson__apply249 = addmethod2pos(block248, "_apply", &meth_genjson__apply249, 0);
int argcv_meth_genjson__apply249[] = {0};
meth_meth_genjson__apply249->type = alloc_MethodType(1, argcv_meth_genjson__apply249);
  meth_meth_genjson__apply249->definitionModule = modulename;
  meth_meth_genjson__apply249->definitionLine = 102;
// Begin line 104
  setline(104);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit299 == NULL) {
    strlit299 = alloc_String("method");
    gc_root(strlit299);
  }
// compilenode returning strlit299
((struct UserObject *)block248)->data[1] = strlit299;
// compilenode returning block248
  gc_frame_newslot(block248);
// Begin line 117
  setline(117);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object block300 = alloc_Block(NULL, NULL, "genjson", 117);
  gc_frame_newslot(block300);
  block_savedest(block300);
  Object closure301 = createclosure(3, "_apply");
setclosureframe(closure301, stackframe);
  addtoclosure(closure301, var_ret);
  addtoclosure(closure301, var_n);
  addtoclosure(closure301, selfslot);
  struct UserObject *uo301 = (struct UserObject*)block300;
  uo301->data[0] = (Object)closure301;
  Method *meth_meth_genjson__apply301 = addmethod2pos(block300, "_apply", &meth_genjson__apply301, 0);
int argcv_meth_genjson__apply301[] = {0};
meth_meth_genjson__apply301->type = alloc_MethodType(1, argcv_meth_genjson__apply301);
  meth_meth_genjson__apply301->definitionModule = modulename;
  meth_meth_genjson__apply301->definitionLine = 113;
// Begin line 117
  setline(117);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit314 == NULL) {
    strlit314 = alloc_String("inherits");
    gc_root(strlit314);
  }
// compilenode returning strlit314
((struct UserObject *)block300)->data[1] = strlit314;
// compilenode returning block300
  gc_frame_newslot(block300);
// Begin line 120
  setline(120);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object block315 = alloc_Block(NULL, NULL, "genjson", 120);
  gc_frame_newslot(block315);
  block_savedest(block315);
  Object closure316 = createclosure(4, "_apply");
setclosureframe(closure316, stackframe);
  addtoclosure(closure316, var_ret);
  addtoclosure(closure316, var_JSArray);
  addtoclosure(closure316, var_n);
  addtoclosure(closure316, selfslot);
  struct UserObject *uo316 = (struct UserObject*)block315;
  uo316->data[0] = (Object)closure316;
  Method *meth_meth_genjson__apply316 = addmethod2pos(block315, "_apply", &meth_genjson__apply316, 0);
int argcv_meth_genjson__apply316[] = {0};
meth_meth_genjson__apply316->type = alloc_MethodType(1, argcv_meth_genjson__apply316);
  meth_meth_genjson__apply316->definitionModule = modulename;
  meth_meth_genjson__apply316->definitionLine = 119;
// Begin line 120
  setline(120);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit338 == NULL) {
    strlit338 = alloc_String("object");
    gc_root(strlit338);
  }
// compilenode returning strlit338
((struct UserObject *)block315)->data[1] = strlit338;
// compilenode returning block315
  gc_frame_newslot(block315);
// Begin line 127
  setline(127);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object block339 = alloc_Block(NULL, NULL, "genjson", 127);
  gc_frame_newslot(block339);
  block_savedest(block339);
  Object closure340 = createclosure(4, "_apply");
setclosureframe(closure340, stackframe);
  addtoclosure(closure340, var_ret);
  addtoclosure(closure340, var_n);
  addtoclosure(closure340, var_JSArray);
  addtoclosure(closure340, selfslot);
  struct UserObject *uo340 = (struct UserObject*)block339;
  uo340->data[0] = (Object)closure340;
  Method *meth_meth_genjson__apply340 = addmethod2pos(block339, "_apply", &meth_genjson__apply340, 0);
int argcv_meth_genjson__apply340[] = {0};
meth_meth_genjson__apply340->type = alloc_MethodType(1, argcv_meth_genjson__apply340);
  meth_meth_genjson__apply340->definitionModule = modulename;
  meth_meth_genjson__apply340->definitionLine = 123;
// Begin line 127
  setline(127);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit397 == NULL) {
    strlit397 = alloc_String("class");
    gc_root(strlit397);
  }
// compilenode returning strlit397
((struct UserObject *)block339)->data[1] = strlit397;
// compilenode returning block339
  gc_frame_newslot(block339);
// Begin line 141
  setline(141);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object block398 = alloc_Block(NULL, NULL, "genjson", 141);
  gc_frame_newslot(block398);
  block_savedest(block398);
  Object closure399 = createclosure(3, "_apply");
setclosureframe(closure399, stackframe);
  addtoclosure(closure399, var_n);
  addtoclosure(closure399, var_ast);
  addtoclosure(closure399, selfslot);
  struct UserObject *uo399 = (struct UserObject*)block398;
  uo399->data[0] = (Object)closure399;
  Method *meth_meth_genjson__apply399 = addmethod2pos(block398, "_apply", &meth_genjson__apply399, 0);
int argcv_meth_genjson__apply399[] = {0};
meth_meth_genjson__apply399->type = alloc_MethodType(1, argcv_meth_genjson__apply399);
  meth_meth_genjson__apply399->definitionModule = modulename;
  meth_meth_genjson__apply399->definitionLine = 137;
// Begin line 141
  setline(141);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit501 == NULL) {
    strlit501 = alloc_String("if");
    gc_root(strlit501);
  }
// compilenode returning strlit501
((struct UserObject *)block398)->data[1] = strlit501;
// compilenode returning block398
  gc_frame_newslot(block398);
// Begin line 163
  setline(163);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object block502 = alloc_Block(NULL, NULL, "genjson", 163);
  gc_frame_newslot(block502);
  block_savedest(block502);
  Object closure503 = createclosure(3, "_apply");
setclosureframe(closure503, stackframe);
  addtoclosure(closure503, var_ret);
  addtoclosure(closure503, var_n);
  addtoclosure(closure503, selfslot);
  struct UserObject *uo503 = (struct UserObject*)block502;
  uo503->data[0] = (Object)closure503;
  Method *meth_meth_genjson__apply503 = addmethod2pos(block502, "_apply", &meth_genjson__apply503, 0);
int argcv_meth_genjson__apply503[] = {0};
meth_meth_genjson__apply503->type = alloc_MethodType(1, argcv_meth_genjson__apply503);
  meth_meth_genjson__apply503->definitionModule = modulename;
  meth_meth_genjson__apply503->definitionLine = 154;
// Begin line 163
  setline(163);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit514 == NULL) {
    strlit514 = alloc_String("identifier");
    gc_root(strlit514);
  }
// compilenode returning strlit514
((struct UserObject *)block502)->data[1] = strlit514;
// compilenode returning block502
  gc_frame_newslot(block502);
// Begin line 166
  setline(166);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object block515 = alloc_Block(NULL, NULL, "genjson", 166);
  gc_frame_newslot(block515);
  block_savedest(block515);
  Object closure516 = createclosure(4, "_apply");
setclosureframe(closure516, stackframe);
  addtoclosure(closure516, var_n);
  addtoclosure(closure516, var_ret);
  addtoclosure(closure516, var_JSArray);
  addtoclosure(closure516, selfslot);
  struct UserObject *uo516 = (struct UserObject*)block515;
  uo516->data[0] = (Object)closure516;
  Method *meth_meth_genjson__apply516 = addmethod2pos(block515, "_apply", &meth_genjson__apply516, 0);
int argcv_meth_genjson__apply516[] = {0};
meth_meth_genjson__apply516->type = alloc_MethodType(1, argcv_meth_genjson__apply516);
  meth_meth_genjson__apply516->definitionModule = modulename;
  meth_meth_genjson__apply516->definitionLine = 165;
// Begin line 166
  setline(166);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit783 == NULL) {
    strlit783 = alloc_String("call");
    gc_root(strlit783);
  }
// compilenode returning strlit783
((struct UserObject *)block515)->data[1] = strlit783;
// compilenode returning block515
  gc_frame_newslot(block515);
// Begin line 234
  setline(234);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object block784 = alloc_Block(NULL, NULL, "genjson", 234);
  gc_frame_newslot(block784);
  block_savedest(block784);
  Object closure785 = createclosure(4, "_apply");
setclosureframe(closure785, stackframe);
  addtoclosure(closure785, var_n);
  addtoclosure(closure785, var_ret);
  addtoclosure(closure785, var_JSArray);
  addtoclosure(closure785, selfslot);
  struct UserObject *uo785 = (struct UserObject*)block784;
  uo785->data[0] = (Object)closure785;
  Method *meth_meth_genjson__apply785 = addmethod2pos(block784, "_apply", &meth_genjson__apply785, 0);
int argcv_meth_genjson__apply785[] = {0};
meth_meth_genjson__apply785->type = alloc_MethodType(1, argcv_meth_genjson__apply785);
  meth_meth_genjson__apply785->definitionModule = modulename;
  meth_meth_genjson__apply785->definitionLine = 223;
// Begin line 234
  setline(234);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit835 == NULL) {
    strlit835 = alloc_String("member");
    gc_root(strlit835);
  }
// compilenode returning strlit835
((struct UserObject *)block784)->data[1] = strlit835;
// compilenode returning block784
  gc_frame_newslot(block784);
// Begin line 246
  setline(246);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object block836 = alloc_Block(NULL, NULL, "genjson", 246);
  gc_frame_newslot(block836);
  block_savedest(block836);
  Object closure837 = createclosure(4, "_apply");
setclosureframe(closure837, stackframe);
  addtoclosure(closure837, var_ret);
  addtoclosure(closure837, var_JSArray);
  addtoclosure(closure837, var_n);
  addtoclosure(closure837, selfslot);
  struct UserObject *uo837 = (struct UserObject*)block836;
  uo837->data[0] = (Object)closure837;
  Method *meth_meth_genjson__apply837 = addmethod2pos(block836, "_apply", &meth_genjson__apply837, 0);
int argcv_meth_genjson__apply837[] = {0};
meth_meth_genjson__apply837->type = alloc_MethodType(1, argcv_meth_genjson__apply837);
  meth_meth_genjson__apply837->definitionModule = modulename;
  meth_meth_genjson__apply837->definitionLine = 244;
// Begin line 246
  setline(246);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit875 == NULL) {
    strlit875 = alloc_String("block");
    gc_root(strlit875);
  }
// compilenode returning strlit875
((struct UserObject *)block836)->data[1] = strlit875;
// compilenode returning block836
  gc_frame_newslot(block836);
// Begin line 258
  setline(258);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object block876 = alloc_Block(NULL, NULL, "genjson", 258);
  gc_frame_newslot(block876);
  block_savedest(block876);
  Object closure877 = createclosure(3, "_apply");
setclosureframe(closure877, stackframe);
  addtoclosure(closure877, var_ret);
  addtoclosure(closure877, var_n);
  addtoclosure(closure877, selfslot);
  struct UserObject *uo877 = (struct UserObject*)block876;
  uo877->data[0] = (Object)closure877;
  Method *meth_meth_genjson__apply877 = addmethod2pos(block876, "_apply", &meth_genjson__apply877, 0);
int argcv_meth_genjson__apply877[] = {1};
meth_meth_genjson__apply877->type = alloc_MethodType(1, argcv_meth_genjson__apply877);
  meth_meth_genjson__apply877->definitionModule = modulename;
  meth_meth_genjson__apply877->definitionLine = 255;
// compilenode returning block876
  gc_frame_newslot(block876);
  params[0] = block39;
  params[1] = block61;
  params[2] = block83;
  params[3] = block96;
  params[4] = block109;
  params[5] = block136;
  params[6] = block248;
  params[7] = block300;
  params[8] = block315;
  params[9] = block339;
  params[10] = block398;
  params[11] = block502;
  params[12] = block515;
  params[13] = block784;
  params[14] = block836;
  params[15] = block876;
  Object matchres36 = matchCase(call38, params, 16,NULL);
  gc_frame_end(frame36);
// compilenode returning matchres36
// Begin line 263
  setline(263);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 262
  setline(262);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_ret
  return *var_ret;
// compilenode returning undefined
  gc_frame_end(frame);
  return undefined;
}
Object meth_genjson_saveToken888(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 3, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "saveToken");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method");
  Object params[1];
  int partcv[1];
  Object *var_lastToken = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for saveToken (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_token = &(stackframe->slots[0]);
  *var_token = args[curarg];
  curarg++;
if (argcv && argcv[0] > 1)
  gracedie("too many arguments for saveToken");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 268
  setline(268);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 267
  setline(267);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_token
  *var_lastToken = *var_token;
  if (*var_token == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
  gc_frame_end(frame);
  return done;
}
Object meth_genjson__apply925(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method");
  Object params[1];
  int partcv[1];
  Object *var_accum = getfromclosure(closure, 0);
  Object *var_leftAccum = getfromclosure(closure, 1);
  Object *var_chunkLocations = getfromclosure(closure, 2);
  Object self = *(getfromclosure(closure, 3));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_c = &(stackframe->slots[0]);
  *var_c = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 293
  setline(293);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 279
  setline(279);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit928 == NULL) {
    strlit928 = alloc_String(" ");
    gc_root(strlit928);
  }
// compilenode returning strlit928
  int op_slot_right_927 = gc_frame_newslot(strlit928);
// compilenode returning *var_c
  int op_slot_left_927 = gc_frame_newslot(*var_c);
  params[0] = strlit928;
  partcv[0] = 1;
  Object opresult930 = callmethod(*var_c, "==", 1, partcv, params);
// compilenode returning opresult930
  Object if926 = done;
  if (istrue(opresult930)) {
// Begin line 280
  setline(280);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe931 = gc_frame_new();
  Object inheritingObject932 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj932 = alloc_userobj2(2,4, objclass932);
  gc_frame_newslot(obj932);
// OBJECT OUTER DEC outer
  adddatum2(obj932, self, 0);
  addmethodreal(obj932,"outer", &reader_genjson_outer_933);
  Object oldself932 = self;
  struct StackFrameObject *oldstackframe932 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe932);
  gc_frame_newslot((Object)stackframe);
  self = obj932;
  Object *oldselfslot932 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter932 = (*(struct UserObject *)self).data[0], lowerouter932 = thisouter932;
  if (inheritingObject932) {
    struct UserObject *inho932 = (struct UserObject *)inheritingObject932;
    while (inho932->super != GraceDefaultObject) inho932 = (struct UserObject *)inho932->super;
    inho932->super = obj932;
    self = inheritingObject932;
    *selfslot = self;
    lowerouter932 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter932;
  }
if (objclass932 == NULL) {
  Method *reader934 = addmethodrealflags(obj932, "top",&reader_genjson_top_934, MFLAG_DEF);
  reader934->definitionModule = modulename;
  reader934->definitionLine = 282;
}
adddatum2(obj932, alloc_Undefined(), 1);
if (objclass932 == NULL) {
  Method *reader935 = addmethodrealflags(obj932, "left",&reader_genjson_left_935, MFLAG_DEF);
  reader935->definitionModule = modulename;
  reader935->definitionLine = 283;
}
adddatum2(obj932, alloc_Undefined(), 2);
  sourceObject = obj932;
// Begin line 281
  setline(281);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_accum
  adddatum2(obj932, *var_accum, 1);
  sourceObject = obj932;
// Begin line 282
  setline(282);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_leftAccum
  adddatum2(obj932, *var_leftAccum, 2);
objclass932 = obj932->class;
  objclass932->definitionModule = modulename;
  objclass932->definitionLine = 280;
  (*(struct UserObject *)self).data[0] = lowerouter932;
  self = oldself932;
  selfslot = oldselfslot932;
  stackframe = oldstackframe932;
// compilenode returning obj932
  gc_frame_newslot(obj932);
// Begin line 280
  setline(280);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_chunkLocations
  params[0] = obj932;
  partcv[0] = 1;
  Object call936 = callmethod(*var_chunkLocations, "push",
    1, partcv, params);
  gc_frame_end(callframe931);
// compilenode returning call936
// Begin line 285
  setline(285);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 284
  setline(284);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit937 == NULL) {
    strlit937 = alloc_String("");
    gc_root(strlit937);
  }
// compilenode returning strlit937
  *var_accum = strlit937;
  if (strlit937 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
    gc_frame_newslot(done);
    if926 = done;
  } else {
// Begin line 292
  setline(292);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 286
  setline(286);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit941 == NULL) {
    strlit941 = alloc_String(",");
    gc_root(strlit941);
  }
// compilenode returning strlit941
  int op_slot_right_940 = gc_frame_newslot(strlit941);
// compilenode returning *var_c
  int op_slot_left_940 = gc_frame_newslot(*var_c);
  params[0] = strlit941;
  partcv[0] = 1;
  Object opresult943 = callmethod(*var_c, "==", 1, partcv, params);
// compilenode returning opresult943
  Object if939 = done;
  if (istrue(opresult943)) {
// Begin line 288
  setline(288);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 287
  setline(287);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_accum
  *var_leftAccum = *var_accum;
  if (*var_accum == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 289
  setline(289);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 288
  setline(288);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit945 == NULL) {
    strlit945 = alloc_String("");
    gc_root(strlit945);
  }
// compilenode returning strlit945
  *var_accum = strlit945;
  if (strlit945 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
    gc_frame_newslot(done);
    if939 = done;
  } else {
// Begin line 291
  setline(291);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 290
  setline(290);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_c
  int op_slot_right_947 = gc_frame_newslot(*var_c);
// compilenode returning *var_accum
  int op_slot_left_947 = gc_frame_newslot(*var_accum);
  params[0] = *var_c;
  partcv[0] = 1;
  Object opresult949 = callmethod(*var_accum, "++", 1, partcv, params);
// compilenode returning opresult949
  *var_accum = opresult949;
  if (opresult949 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
    gc_frame_newslot(done);
    if939 = done;
  }
// compilenode returning if939
    gc_frame_newslot(if939);
    if926 = if939;
  }
// compilenode returning if926
  gc_frame_end(frame);
  return if926;
}
Object meth_genjson__apply1013(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method");
  Object params[2];
  int partcv[1];
  Object *var_overall = getfromclosure(closure, 0);
  Object *var_chunkIndex = getfromclosure(closure, 1);
  Object *var_chunkLocations = getfromclosure(closure, 2);
  Object *var_JSObj = getfromclosure(closure, 3);
  Object *var_chunk = getfromclosure(closure, 4);
  Object *var_arr = getfromclosure(closure, 5);
  Object *var_JSArray = getfromclosure(closure, 6);
  Object *var_body = getfromclosure(closure, 7);
  Object self = *(getfromclosure(closure, 8));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_v = &(stackframe->slots[0]);
  *var_v = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 341
  setline(341);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 319
  setline(319);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit1016 == NULL) {
    strlit1016 = alloc_String("dialect");
    gc_root(strlit1016);
  }
// compilenode returning strlit1016
  int op_slot_right_1015 = gc_frame_newslot(strlit1016);
  int callframe1018 = gc_frame_new();
// compilenode returning *var_v
  partcv[0] = 0;
  Object call1019 = callmethod(*var_v, "kind",
    1, partcv, params);
  gc_frame_end(callframe1018);
// compilenode returning call1019
// compilenode returning call1019
  int op_slot_left_1015 = gc_frame_newslot(call1019);
  params[0] = strlit1016;
  partcv[0] = 1;
  Object opresult1020 = callmethod(call1019, "==", 1, partcv, params);
// compilenode returning opresult1020
  Object if1014 = done;
  if (istrue(opresult1020)) {
// Begin line 320
  setline(320);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1021 = gc_frame_new();
  if (strlit1022 == NULL) {
    strlit1022 = alloc_String("dialect");
    gc_root(strlit1022);
  }
// compilenode returning strlit1022
  gc_frame_newslot(strlit1022);
  int callframe1023 = gc_frame_new();
// compilenode returning *var_v
  partcv[0] = 0;
  Object call1024 = callmethod(*var_v, "value",
    1, partcv, params);
  gc_frame_end(callframe1023);
// compilenode returning call1024
// compilenode returning call1024
  gc_frame_newslot(call1024);
// compilenode returning *var_overall
  params[0] = strlit1022;
  params[1] = call1024;
  partcv[0] = 2;
  Object call1025 = callmethod(*var_overall, "put",
    1, partcv, params);
  gc_frame_end(callframe1021);
// compilenode returning call1025
    gc_frame_newslot(call1025);
    if1014 = call1025;
  } else {
// Begin line 340
  setline(340);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 322
  setline(322);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit1028 == NULL) {
    strlit1028 = alloc_String("blank");
    gc_root(strlit1028);
  }
// compilenode returning strlit1028
  int op_slot_right_1027 = gc_frame_newslot(strlit1028);
  int callframe1030 = gc_frame_new();
// compilenode returning *var_v
  partcv[0] = 0;
  Object call1031 = callmethod(*var_v, "kind",
    1, partcv, params);
  gc_frame_end(callframe1030);
// compilenode returning call1031
// compilenode returning call1031
  int op_slot_left_1027 = gc_frame_newslot(call1031);
  params[0] = strlit1028;
  partcv[0] = 1;
  Object opresult1032 = callmethod(call1031, "==", 1, partcv, params);
// compilenode returning opresult1032
  Object if1026 = done;
  if (istrue(opresult1032)) {
// Begin line 324
  setline(324);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 323
  setline(323);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object num1034 = alloc_Float64(1);
// compilenode returning num1034
  int op_slot_right_1033 = gc_frame_newslot(num1034);
// compilenode returning *var_chunkIndex
  int op_slot_left_1033 = gc_frame_newslot(*var_chunkIndex);
  params[0] = num1034;
  partcv[0] = 1;
  Object sum1036 = callmethod(*var_chunkIndex, "+", 1, partcv, params);
// compilenode returning sum1036
  *var_chunkIndex = sum1036;
  if (sum1036 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 330
  setline(330);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 324
  setline(324);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_chunkIndex
  int op_slot_right_1039 = gc_frame_newslot(*var_chunkIndex);
  int callframe1041 = gc_frame_new();
// compilenode returning *var_chunkLocations
  partcv[0] = 0;
  Object call1042 = callmethod(*var_chunkLocations, "size",
    1, partcv, params);
  gc_frame_end(callframe1041);
// compilenode returning call1042
// compilenode returning call1042
  int op_slot_left_1039 = gc_frame_newslot(call1042);
  params[0] = *var_chunkIndex;
  partcv[0] = 1;
  Object opresult1043 = callmethod(call1042, "<", 1, partcv, params);
// compilenode returning opresult1043
  Object if1038 = done;
  if (istrue(opresult1043)) {
// Begin line 325
  setline(325);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1044 = gc_frame_new();
  Object inheritingObject1045 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj1045 = alloc_userobj2(2,4, objclass1045);
  gc_frame_newslot(obj1045);
// OBJECT OUTER DEC outer
  adddatum2(obj1045, self, 0);
  addmethodreal(obj1045,"outer", &reader_genjson_outer_1046);
  Object oldself1045 = self;
  struct StackFrameObject *oldstackframe1045 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe1045);
  gc_frame_newslot((Object)stackframe);
  self = obj1045;
  Object *oldselfslot1045 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter1045 = (*(struct UserObject *)self).data[0], lowerouter1045 = thisouter1045;
  if (inheritingObject1045) {
    struct UserObject *inho1045 = (struct UserObject *)inheritingObject1045;
    while (inho1045->super != GraceDefaultObject) inho1045 = (struct UserObject *)inho1045->super;
    inho1045->super = obj1045;
    self = inheritingObject1045;
    *selfslot = self;
    lowerouter1045 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter1045;
  }
if (objclass1045 == NULL) {
  Method *reader1047 = addmethodrealflags(obj1045, "top",&reader_genjson_top_1047, MFLAG_DEF);
  reader1047->definitionModule = modulename;
  reader1047->definitionLine = 327;
}
adddatum2(obj1045, alloc_Undefined(), 1);
if (objclass1045 == NULL) {
  Method *reader1048 = addmethodrealflags(obj1045, "left",&reader_genjson_left_1048, MFLAG_DEF);
  reader1048->definitionModule = modulename;
  reader1048->definitionLine = 328;
}
adddatum2(obj1045, alloc_Undefined(), 2);
  sourceObject = obj1045;
// Begin line 326
  setline(326);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit1050 == NULL) {
    strlit1050 = alloc_String("px");
    gc_root(strlit1050);
  }
// compilenode returning strlit1050
  int op_slot_right_1049 = gc_frame_newslot(strlit1050);
  Object num1054 = alloc_Float64(10);
// compilenode returning num1054
  int op_slot_right_1053 = gc_frame_newslot(num1054);
// compilenode returning *var_chunkIndex
  int op_slot_left_1053 = gc_frame_newslot(*var_chunkIndex);
  params[0] = num1054;
  partcv[0] = 1;
  Object prod1056 = callmethod(*var_chunkIndex, "*", 1, partcv, params);
// compilenode returning prod1056
  int op_slot_right_1052 = gc_frame_newslot(prod1056);
  if (strlit1058 == NULL) {
    strlit1058 = alloc_String("");
    gc_root(strlit1058);
  }
// compilenode returning strlit1058
  int op_slot_left_1052 = gc_frame_newslot(strlit1058);
  params[0] = prod1056;
  partcv[0] = 1;
  Object opresult1059 = callmethod(strlit1058, "++", 1, partcv, params);
// compilenode returning opresult1059
  int op_slot_left_1049 = gc_frame_newslot(opresult1059);
  params[0] = strlit1050;
  partcv[0] = 1;
  Object opresult1060 = callmethod(opresult1059, "++", 1, partcv, params);
// compilenode returning opresult1060
  adddatum2(obj1045, opresult1060, 1);
  sourceObject = obj1045;
// Begin line 327
  setline(327);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit1062 == NULL) {
    strlit1062 = alloc_String("px");
    gc_root(strlit1062);
  }
// compilenode returning strlit1062
  int op_slot_right_1061 = gc_frame_newslot(strlit1062);
  Object num1066 = alloc_Float64(10);
// compilenode returning num1066
  int op_slot_right_1065 = gc_frame_newslot(num1066);
// compilenode returning *var_chunkIndex
  int op_slot_left_1065 = gc_frame_newslot(*var_chunkIndex);
  params[0] = num1066;
  partcv[0] = 1;
  Object prod1068 = callmethod(*var_chunkIndex, "*", 1, partcv, params);
// compilenode returning prod1068
  int op_slot_right_1064 = gc_frame_newslot(prod1068);
  if (strlit1070 == NULL) {
    strlit1070 = alloc_String("");
    gc_root(strlit1070);
  }
// compilenode returning strlit1070
  int op_slot_left_1064 = gc_frame_newslot(strlit1070);
  params[0] = prod1068;
  partcv[0] = 1;
  Object opresult1071 = callmethod(strlit1070, "++", 1, partcv, params);
// compilenode returning opresult1071
  int op_slot_left_1061 = gc_frame_newslot(opresult1071);
  params[0] = strlit1062;
  partcv[0] = 1;
  Object opresult1072 = callmethod(opresult1071, "++", 1, partcv, params);
// compilenode returning opresult1072
  adddatum2(obj1045, opresult1072, 2);
objclass1045 = obj1045->class;
  objclass1045->definitionModule = modulename;
  objclass1045->definitionLine = 325;
  (*(struct UserObject *)self).data[0] = lowerouter1045;
  self = oldself1045;
  selfslot = oldselfslot1045;
  stackframe = oldstackframe1045;
// compilenode returning obj1045
  gc_frame_newslot(obj1045);
// Begin line 325
  setline(325);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_chunkLocations
  params[0] = obj1045;
  partcv[0] = 1;
  Object call1073 = callmethod(*var_chunkLocations, "push",
    1, partcv, params);
  gc_frame_end(callframe1044);
// compilenode returning call1073
    gc_frame_newslot(call1073);
    if1038 = call1073;
  } else {
  }
// compilenode returning if1038
// Begin line 331
  setline(331);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 330
  setline(330);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1074 = gc_frame_new();
// compilenode returning *var_JSObj
  partcv[0] = 0;
  Object call1075 = callmethod(*var_JSObj, "new",
    1, partcv, params);
  gc_frame_end(callframe1074);
// compilenode returning call1075
// compilenode returning call1075
  *var_chunk = call1075;
  if (call1075 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 331
  setline(331);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1077 = gc_frame_new();
// compilenode returning *var_chunk
  gc_frame_newslot(*var_chunk);
// compilenode returning *var_arr
  params[0] = *var_chunk;
  partcv[0] = 1;
  Object call1078 = callmethod(*var_arr, "push",
    1, partcv, params);
  gc_frame_end(callframe1077);
// compilenode returning call1078
// Begin line 332
  setline(332);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1079 = gc_frame_new();
  if (strlit1080 == NULL) {
    strlit1080 = alloc_String("type");
    gc_root(strlit1080);
  }
// compilenode returning strlit1080
  gc_frame_newslot(strlit1080);
  if (strlit1081 == NULL) {
    strlit1081 = alloc_String("chunk");
    gc_root(strlit1081);
  }
// compilenode returning strlit1081
  gc_frame_newslot(strlit1081);
// compilenode returning *var_chunk
  params[0] = strlit1080;
  params[1] = strlit1081;
  partcv[0] = 2;
  Object call1082 = callmethod(*var_chunk, "put",
    1, partcv, params);
  gc_frame_end(callframe1079);
// compilenode returning call1082
// Begin line 333
  setline(333);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1083 = gc_frame_new();
  if (strlit1084 == NULL) {
    strlit1084 = alloc_String("x");
    gc_root(strlit1084);
  }
// compilenode returning strlit1084
  gc_frame_newslot(strlit1084);
  int callframe1085 = gc_frame_new();
  int callframe1086 = gc_frame_new();
// compilenode returning *var_chunkIndex
  gc_frame_newslot(*var_chunkIndex);
// compilenode returning *var_chunkLocations
  params[0] = *var_chunkIndex;
  partcv[0] = 1;
  Object call1087 = callmethod(*var_chunkLocations, "at",
    1, partcv, params);
  gc_frame_end(callframe1086);
// compilenode returning call1087
  partcv[0] = 0;
  Object call1088 = callmethod(call1087, "left",
    1, partcv, params);
  gc_frame_end(callframe1085);
// compilenode returning call1088
// compilenode returning call1088
  gc_frame_newslot(call1088);
// compilenode returning *var_chunk
  params[0] = strlit1084;
  params[1] = call1088;
  partcv[0] = 2;
  Object call1089 = callmethod(*var_chunk, "put",
    1, partcv, params);
  gc_frame_end(callframe1083);
// compilenode returning call1089
// Begin line 334
  setline(334);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1090 = gc_frame_new();
  if (strlit1091 == NULL) {
    strlit1091 = alloc_String("y");
    gc_root(strlit1091);
  }
// compilenode returning strlit1091
  gc_frame_newslot(strlit1091);
  int callframe1092 = gc_frame_new();
  int callframe1093 = gc_frame_new();
// compilenode returning *var_chunkIndex
  gc_frame_newslot(*var_chunkIndex);
// compilenode returning *var_chunkLocations
  params[0] = *var_chunkIndex;
  partcv[0] = 1;
  Object call1094 = callmethod(*var_chunkLocations, "at",
    1, partcv, params);
  gc_frame_end(callframe1093);
// compilenode returning call1094
  partcv[0] = 0;
  Object call1095 = callmethod(call1094, "top",
    1, partcv, params);
  gc_frame_end(callframe1092);
// compilenode returning call1095
// compilenode returning call1095
  gc_frame_newslot(call1095);
// compilenode returning *var_chunk
  params[0] = strlit1091;
  params[1] = call1095;
  partcv[0] = 2;
  Object call1096 = callmethod(*var_chunk, "put",
    1, partcv, params);
  gc_frame_end(callframe1090);
// compilenode returning call1096
// Begin line 336
  setline(336);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 335
  setline(335);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1097 = gc_frame_new();
// compilenode returning *var_JSArray
  partcv[0] = 0;
  Object call1098 = callmethod(*var_JSArray, "new",
    1, partcv, params);
  gc_frame_end(callframe1097);
// compilenode returning call1098
// compilenode returning call1098
  *var_body = call1098;
  if (call1098 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 336
  setline(336);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1100 = gc_frame_new();
  if (strlit1101 == NULL) {
    strlit1101 = alloc_String("body");
    gc_root(strlit1101);
  }
// compilenode returning strlit1101
  gc_frame_newslot(strlit1101);
// compilenode returning *var_body
  gc_frame_newslot(*var_body);
// compilenode returning *var_chunk
  params[0] = strlit1101;
  params[1] = *var_body;
  partcv[0] = 2;
  Object call1102 = callmethod(*var_chunk, "put",
    1, partcv, params);
  gc_frame_end(callframe1100);
// compilenode returning call1102
    gc_frame_newslot(call1102);
    if1026 = call1102;
  } else {
// Begin line 338
  setline(338);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1103 = gc_frame_new();
  int callframe1104 = gc_frame_new();
// compilenode returning *var_v
  gc_frame_newslot(*var_v);
  params[0] = *var_v;
  partcv[0] = 1;
  Object call1105 = callmethodflags(self, "generateNode", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1104);
// compilenode returning call1105
  gc_frame_newslot(call1105);
// compilenode returning *var_body
  params[0] = call1105;
  partcv[0] = 1;
  Object call1106 = callmethod(*var_body, "push",
    1, partcv, params);
  gc_frame_end(callframe1103);
// compilenode returning call1106
    gc_frame_newslot(call1106);
    if1026 = call1106;
  }
// compilenode returning if1026
    gc_frame_newslot(if1026);
    if1014 = if1026;
  }
// compilenode returning if1014
  gc_frame_end(frame);
  return if1014;
}
Object meth_genjson_generate890(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 4, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(12, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "generate");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 2)
    gracedie("insufficient arguments to method");
  Object params[2];
  int partcv[2];
  Object *var_util = getfromclosure(closure, 0);
  Object *var_collections = getfromclosure(closure, 1);
  Object *var_lastToken = getfromclosure(closure, 2);
  Object *var_JSObj = getfromclosure(closure, 3);
  Object *var_JSArray = getfromclosure(closure, 4);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for generate (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_values = &(stackframe->slots[0]);
  *var_values = args[curarg];
  curarg++;
  Object *var_outfile = &(stackframe->slots[1]);
  *var_outfile = args[curarg];
  curarg++;
if (argcv && argcv[0] > 2)
  gracedie("too many arguments for generate");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_chunkLocations = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "chunkLocations");
  Object *var_cmt = &(stackframe->slots[4]);
  setframeelementname(stackframe, 4, "cmt");
  Object *var_accum = &(stackframe->slots[5]);
  setframeelementname(stackframe, 5, "accum");
  Object *var_leftAccum = &(stackframe->slots[6]);
  setframeelementname(stackframe, 6, "leftAccum");
  Object *var_overall = &(stackframe->slots[7]);
  setframeelementname(stackframe, 7, "overall");
  Object *var_arr = &(stackframe->slots[8]);
  setframeelementname(stackframe, 8, "arr");
  Object *var_chunkIndex = &(stackframe->slots[9]);
  setframeelementname(stackframe, 9, "chunkIndex");
  Object *var_chunk = &(stackframe->slots[10]);
  setframeelementname(stackframe, 10, "chunk");
  Object *var_body = &(stackframe->slots[11]);
  setframeelementname(stackframe, 11, "body");
// Begin line 271
  setline(271);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe891 = gc_frame_new();
  if (strlit892 == NULL) {
    strlit892 = alloc_String("generating JSON.");
    gc_root(strlit892);
  }
// compilenode returning strlit892
  gc_frame_newslot(strlit892);
// compilenode returning *var_util
  params[0] = strlit892;
  partcv[0] = 1;
  Object call893 = callmethod(*var_util, "log_verbose",
    1, partcv, params);
  gc_frame_end(callframe891);
// compilenode returning call893
// Begin line 273
  setline(273);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 272
  setline(272);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe894 = gc_frame_new();
  int callframe895 = gc_frame_new();
// compilenode returning *var_collections
  partcv[0] = 0;
  Object call896 = callmethod(*var_collections, "list",
    1, partcv, params);
  gc_frame_end(callframe895);
// compilenode returning call896
// compilenode returning call896
  partcv[0] = 0;
  Object call897 = callmethod(call896, "new",
    1, partcv, params);
  gc_frame_end(callframe894);
// compilenode returning call897
// compilenode returning call897
  *var_chunkLocations = call897;
  if (call897 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 301
  setline(301);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 273
  setline(273);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit900 == NULL) {
    strlit900 = alloc_String("comment");
    gc_root(strlit900);
  }
// compilenode returning strlit900
  int op_slot_right_899 = gc_frame_newslot(strlit900);
  int callframe902 = gc_frame_new();
// compilenode returning *var_lastToken
  partcv[0] = 0;
  Object call903 = callmethod(*var_lastToken, "kind",
    1, partcv, params);
  gc_frame_end(callframe902);
// compilenode returning call903
// compilenode returning call903
  int op_slot_left_899 = gc_frame_newslot(call903);
  params[0] = strlit900;
  partcv[0] = 1;
  Object opresult904 = callmethod(call903, "==", 1, partcv, params);
// compilenode returning opresult904
  Object if898 = done;
  if (istrue(opresult904)) {
// Begin line 275
  setline(275);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 274
  setline(274);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe905 = gc_frame_new();
// compilenode returning *var_lastToken
  partcv[0] = 0;
  Object call906 = callmethod(*var_lastToken, "value",
    1, partcv, params);
  gc_frame_end(callframe905);
// compilenode returning call906
// compilenode returning call906
  *var_cmt = call906;
  if (call906 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 300
  setline(300);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 275
  setline(275);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit909 == NULL) {
    strlit909 = alloc_String(" chunks: ");
    gc_root(strlit909);
  }
// compilenode returning strlit909
  int op_slot_right_908 = gc_frame_newslot(strlit909);
  int callframe911 = gc_frame_new();
  Object num912 = alloc_Float64(1);
// compilenode returning num912
  gc_frame_newslot(num912);
  Object num913 = alloc_Float64(9);
// compilenode returning num913
  gc_frame_newslot(num913);
// compilenode returning *var_cmt
  params[0] = num912;
  params[1] = num913;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call914 = callmethod(*var_cmt, "substringFrom()to",
    2, partcv, params);
  gc_frame_end(callframe911);
// compilenode returning call914
  int op_slot_left_908 = gc_frame_newslot(call914);
  params[0] = strlit909;
  partcv[0] = 1;
  Object opresult915 = callmethod(call914, "==", 1, partcv, params);
// compilenode returning opresult915
  Object if907 = done;
  if (istrue(opresult915)) {
// Begin line 276
  setline(276);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit916 == NULL) {
    strlit916 = alloc_String("");
    gc_root(strlit916);
  }
// compilenode returning strlit916
  *var_accum = strlit916;
  if (strlit916 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 278
  setline(278);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 277
  setline(277);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit917 == NULL) {
    strlit917 = alloc_String("");
    gc_root(strlit917);
  }
// compilenode returning strlit917
  *var_leftAccum = strlit917;
  if (strlit917 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 278
  setline(278);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe918 = gc_frame_new();
  int callframe919 = gc_frame_new();
  Object num920 = alloc_Float64(10);
// compilenode returning num920
  gc_frame_newslot(num920);
  int callframe921 = gc_frame_new();
// compilenode returning *var_cmt
  partcv[0] = 0;
  Object call922 = callmethod(*var_cmt, "size",
    1, partcv, params);
  gc_frame_end(callframe921);
// compilenode returning call922
// compilenode returning call922
  gc_frame_newslot(call922);
// compilenode returning *var_cmt
  params[0] = num920;
  params[1] = call922;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call923 = callmethod(*var_cmt, "substringFrom()to",
    2, partcv, params);
  gc_frame_end(callframe919);
// compilenode returning call923
  gc_frame_newslot(call923);
  Object block924 = alloc_Block(NULL, NULL, "genjson", 278);
  gc_frame_newslot(block924);
  block_savedest(block924);
  Object closure925 = createclosure(4, "_apply");
setclosureframe(closure925, stackframe);
  addtoclosure(closure925, var_accum);
  addtoclosure(closure925, var_leftAccum);
  addtoclosure(closure925, var_chunkLocations);
  addtoclosure(closure925, selfslot);
  struct UserObject *uo925 = (struct UserObject*)block924;
  uo925->data[0] = (Object)closure925;
  Method *meth_meth_genjson__apply925 = addmethod2pos(block924, "_apply", &meth_genjson__apply925, 0);
int argcv_meth_genjson__apply925[] = {1};
meth_meth_genjson__apply925->type = alloc_MethodType(1, argcv_meth_genjson__apply925);
  meth_meth_genjson__apply925->definitionModule = modulename;
  meth_meth_genjson__apply925->definitionLine = 278;
// compilenode returning block924
  gc_frame_newslot(block924);
  params[0] = call923;
  params[1] = block924;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call952 = callmethodflags(prelude, "for()do", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe918);
// compilenode returning call952
// Begin line 294
  setline(294);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe953 = gc_frame_new();
  Object inheritingObject954 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj954 = alloc_userobj2(2,4, objclass954);
  gc_frame_newslot(obj954);
// OBJECT OUTER DEC outer
  adddatum2(obj954, self, 0);
  addmethodreal(obj954,"outer", &reader_genjson_outer_955);
  Object oldself954 = self;
  struct StackFrameObject *oldstackframe954 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe954);
  gc_frame_newslot((Object)stackframe);
  self = obj954;
  Object *oldselfslot954 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter954 = (*(struct UserObject *)self).data[0], lowerouter954 = thisouter954;
  if (inheritingObject954) {
    struct UserObject *inho954 = (struct UserObject *)inheritingObject954;
    while (inho954->super != GraceDefaultObject) inho954 = (struct UserObject *)inho954->super;
    inho954->super = obj954;
    self = inheritingObject954;
    *selfslot = self;
    lowerouter954 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter954;
  }
if (objclass954 == NULL) {
  Method *reader956 = addmethodrealflags(obj954, "top",&reader_genjson_top_956, MFLAG_DEF);
  reader956->definitionModule = modulename;
  reader956->definitionLine = 296;
}
adddatum2(obj954, alloc_Undefined(), 1);
if (objclass954 == NULL) {
  Method *reader957 = addmethodrealflags(obj954, "left",&reader_genjson_left_957, MFLAG_DEF);
  reader957->definitionModule = modulename;
  reader957->definitionLine = 297;
}
adddatum2(obj954, alloc_Undefined(), 2);
  sourceObject = obj954;
// Begin line 295
  setline(295);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_accum
  adddatum2(obj954, *var_accum, 1);
  sourceObject = obj954;
// Begin line 296
  setline(296);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_leftAccum
  adddatum2(obj954, *var_leftAccum, 2);
objclass954 = obj954->class;
  objclass954->definitionModule = modulename;
  objclass954->definitionLine = 294;
  (*(struct UserObject *)self).data[0] = lowerouter954;
  self = oldself954;
  selfslot = oldselfslot954;
  stackframe = oldstackframe954;
// compilenode returning obj954
  gc_frame_newslot(obj954);
// Begin line 294
  setline(294);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_chunkLocations
  params[0] = obj954;
  partcv[0] = 1;
  Object call958 = callmethod(*var_chunkLocations, "push",
    1, partcv, params);
  gc_frame_end(callframe953);
// compilenode returning call958
// Begin line 299
  setline(299);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 298
  setline(298);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit959 == NULL) {
    strlit959 = alloc_String("");
    gc_root(strlit959);
  }
// compilenode returning strlit959
  *var_accum = strlit959;
  if (strlit959 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
    gc_frame_newslot(done);
    if907 = done;
  } else {
  }
// compilenode returning if907
    gc_frame_newslot(if907);
    if898 = if907;
  } else {
  }
// compilenode returning if898
// Begin line 307
  setline(307);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 301
  setline(301);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object num963 = alloc_Float64(0);
// compilenode returning num963
  int op_slot_right_962 = gc_frame_newslot(num963);
  int callframe965 = gc_frame_new();
// compilenode returning *var_chunkLocations
  partcv[0] = 0;
  Object call966 = callmethod(*var_chunkLocations, "size",
    1, partcv, params);
  gc_frame_end(callframe965);
// compilenode returning call966
// compilenode returning call966
  int op_slot_left_962 = gc_frame_newslot(call966);
  params[0] = num963;
  partcv[0] = 1;
  Object opresult967 = callmethod(call966, "==", 1, partcv, params);
// compilenode returning opresult967
  Object if961 = done;
  if (istrue(opresult967)) {
// Begin line 302
  setline(302);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe968 = gc_frame_new();
  Object inheritingObject969 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj969 = alloc_userobj2(2,4, objclass969);
  gc_frame_newslot(obj969);
// OBJECT OUTER DEC outer
  adddatum2(obj969, self, 0);
  addmethodreal(obj969,"outer", &reader_genjson_outer_970);
  Object oldself969 = self;
  struct StackFrameObject *oldstackframe969 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe969);
  gc_frame_newslot((Object)stackframe);
  self = obj969;
  Object *oldselfslot969 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter969 = (*(struct UserObject *)self).data[0], lowerouter969 = thisouter969;
  if (inheritingObject969) {
    struct UserObject *inho969 = (struct UserObject *)inheritingObject969;
    while (inho969->super != GraceDefaultObject) inho969 = (struct UserObject *)inho969->super;
    inho969->super = obj969;
    self = inheritingObject969;
    *selfslot = self;
    lowerouter969 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter969;
  }
if (objclass969 == NULL) {
  Method *reader971 = addmethodrealflags(obj969, "top",&reader_genjson_top_971, MFLAG_DEF);
  reader971->definitionModule = modulename;
  reader971->definitionLine = 304;
}
adddatum2(obj969, alloc_Undefined(), 1);
if (objclass969 == NULL) {
  Method *reader972 = addmethodrealflags(obj969, "left",&reader_genjson_left_972, MFLAG_DEF);
  reader972->definitionModule = modulename;
  reader972->definitionLine = 305;
}
adddatum2(obj969, alloc_Undefined(), 2);
  sourceObject = obj969;
// Begin line 303
  setline(303);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit973 == NULL) {
    strlit973 = alloc_String("10px");
    gc_root(strlit973);
  }
// compilenode returning strlit973
  adddatum2(obj969, strlit973, 1);
  sourceObject = obj969;
// Begin line 304
  setline(304);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit974 == NULL) {
    strlit974 = alloc_String("10px");
    gc_root(strlit974);
  }
// compilenode returning strlit974
  adddatum2(obj969, strlit974, 2);
objclass969 = obj969->class;
  objclass969->definitionModule = modulename;
  objclass969->definitionLine = 302;
  (*(struct UserObject *)self).data[0] = lowerouter969;
  self = oldself969;
  selfslot = oldselfslot969;
  stackframe = oldstackframe969;
// compilenode returning obj969
  gc_frame_newslot(obj969);
// Begin line 302
  setline(302);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_chunkLocations
  params[0] = obj969;
  partcv[0] = 1;
  Object call975 = callmethod(*var_chunkLocations, "push",
    1, partcv, params);
  gc_frame_end(callframe968);
// compilenode returning call975
    gc_frame_newslot(call975);
    if961 = call975;
  } else {
  }
// compilenode returning if961
// Begin line 308
  setline(308);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 307
  setline(307);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe976 = gc_frame_new();
// compilenode returning *var_JSObj
  partcv[0] = 0;
  Object call977 = callmethod(*var_JSObj, "new",
    1, partcv, params);
  gc_frame_end(callframe976);
// compilenode returning call977
// compilenode returning call977
  *var_overall = call977;
  if (call977 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 309
  setline(309);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 308
  setline(308);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe978 = gc_frame_new();
// compilenode returning *var_JSArray
  partcv[0] = 0;
  Object call979 = callmethod(*var_JSArray, "new",
    1, partcv, params);
  gc_frame_end(callframe978);
// compilenode returning call979
// compilenode returning call979
  *var_arr = call979;
  if (call979 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 309
  setline(309);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe980 = gc_frame_new();
  if (strlit981 == NULL) {
    strlit981 = alloc_String("chunks");
    gc_root(strlit981);
  }
// compilenode returning strlit981
  gc_frame_newslot(strlit981);
// compilenode returning *var_arr
  gc_frame_newslot(*var_arr);
// compilenode returning *var_overall
  params[0] = strlit981;
  params[1] = *var_arr;
  partcv[0] = 2;
  Object call982 = callmethod(*var_overall, "put",
    1, partcv, params);
  gc_frame_end(callframe980);
// compilenode returning call982
// Begin line 311
  setline(311);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 310
  setline(310);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object num983 = alloc_Float64(1);
// compilenode returning num983
  *var_chunkIndex = num983;
  if (num983 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 312
  setline(312);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 311
  setline(311);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe984 = gc_frame_new();
// compilenode returning *var_JSObj
  partcv[0] = 0;
  Object call985 = callmethod(*var_JSObj, "new",
    1, partcv, params);
  gc_frame_end(callframe984);
// compilenode returning call985
// compilenode returning call985
  *var_chunk = call985;
  if (call985 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 312
  setline(312);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe986 = gc_frame_new();
// compilenode returning *var_chunk
  gc_frame_newslot(*var_chunk);
// compilenode returning *var_arr
  params[0] = *var_chunk;
  partcv[0] = 1;
  Object call987 = callmethod(*var_arr, "push",
    1, partcv, params);
  gc_frame_end(callframe986);
// compilenode returning call987
// Begin line 313
  setline(313);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe988 = gc_frame_new();
  if (strlit989 == NULL) {
    strlit989 = alloc_String("type");
    gc_root(strlit989);
  }
// compilenode returning strlit989
  gc_frame_newslot(strlit989);
  if (strlit990 == NULL) {
    strlit990 = alloc_String("chunk");
    gc_root(strlit990);
  }
// compilenode returning strlit990
  gc_frame_newslot(strlit990);
// compilenode returning *var_chunk
  params[0] = strlit989;
  params[1] = strlit990;
  partcv[0] = 2;
  Object call991 = callmethod(*var_chunk, "put",
    1, partcv, params);
  gc_frame_end(callframe988);
// compilenode returning call991
// Begin line 314
  setline(314);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe992 = gc_frame_new();
  if (strlit993 == NULL) {
    strlit993 = alloc_String("x");
    gc_root(strlit993);
  }
// compilenode returning strlit993
  gc_frame_newslot(strlit993);
  int callframe994 = gc_frame_new();
  int callframe995 = gc_frame_new();
// compilenode returning *var_chunkIndex
  gc_frame_newslot(*var_chunkIndex);
// compilenode returning *var_chunkLocations
  params[0] = *var_chunkIndex;
  partcv[0] = 1;
  Object call996 = callmethod(*var_chunkLocations, "at",
    1, partcv, params);
  gc_frame_end(callframe995);
// compilenode returning call996
  partcv[0] = 0;
  Object call997 = callmethod(call996, "left",
    1, partcv, params);
  gc_frame_end(callframe994);
// compilenode returning call997
// compilenode returning call997
  gc_frame_newslot(call997);
// compilenode returning *var_chunk
  params[0] = strlit993;
  params[1] = call997;
  partcv[0] = 2;
  Object call998 = callmethod(*var_chunk, "put",
    1, partcv, params);
  gc_frame_end(callframe992);
// compilenode returning call998
// Begin line 315
  setline(315);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe999 = gc_frame_new();
  if (strlit1000 == NULL) {
    strlit1000 = alloc_String("y");
    gc_root(strlit1000);
  }
// compilenode returning strlit1000
  gc_frame_newslot(strlit1000);
  int callframe1001 = gc_frame_new();
  int callframe1002 = gc_frame_new();
// compilenode returning *var_chunkIndex
  gc_frame_newslot(*var_chunkIndex);
// compilenode returning *var_chunkLocations
  params[0] = *var_chunkIndex;
  partcv[0] = 1;
  Object call1003 = callmethod(*var_chunkLocations, "at",
    1, partcv, params);
  gc_frame_end(callframe1002);
// compilenode returning call1003
  partcv[0] = 0;
  Object call1004 = callmethod(call1003, "top",
    1, partcv, params);
  gc_frame_end(callframe1001);
// compilenode returning call1004
// compilenode returning call1004
  gc_frame_newslot(call1004);
// compilenode returning *var_chunk
  params[0] = strlit1000;
  params[1] = call1004;
  partcv[0] = 2;
  Object call1005 = callmethod(*var_chunk, "put",
    1, partcv, params);
  gc_frame_end(callframe999);
// compilenode returning call1005
// Begin line 317
  setline(317);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 316
  setline(316);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1006 = gc_frame_new();
// compilenode returning *var_JSArray
  partcv[0] = 0;
  Object call1007 = callmethod(*var_JSArray, "new",
    1, partcv, params);
  gc_frame_end(callframe1006);
// compilenode returning call1007
// compilenode returning call1007
  *var_body = call1007;
  if (call1007 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 317
  setline(317);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1008 = gc_frame_new();
  if (strlit1009 == NULL) {
    strlit1009 = alloc_String("body");
    gc_root(strlit1009);
  }
// compilenode returning strlit1009
  gc_frame_newslot(strlit1009);
// compilenode returning *var_body
  gc_frame_newslot(*var_body);
// compilenode returning *var_chunk
  params[0] = strlit1009;
  params[1] = *var_body;
  partcv[0] = 2;
  Object call1010 = callmethod(*var_chunk, "put",
    1, partcv, params);
  gc_frame_end(callframe1008);
// compilenode returning call1010
// Begin line 318
  setline(318);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1011 = gc_frame_new();
// compilenode returning *var_values
  gc_frame_newslot(*var_values);
  Object block1012 = alloc_Block(NULL, NULL, "genjson", 318);
  gc_frame_newslot(block1012);
  block_savedest(block1012);
  Object closure1013 = createclosure(9, "_apply");
setclosureframe(closure1013, stackframe);
  addtoclosure(closure1013, var_overall);
  addtoclosure(closure1013, var_chunkIndex);
  addtoclosure(closure1013, var_chunkLocations);
  addtoclosure(closure1013, var_JSObj);
  addtoclosure(closure1013, var_chunk);
  addtoclosure(closure1013, var_arr);
  addtoclosure(closure1013, var_JSArray);
  addtoclosure(closure1013, var_body);
  addtoclosure(closure1013, selfslot);
  struct UserObject *uo1013 = (struct UserObject*)block1012;
  uo1013->data[0] = (Object)closure1013;
  Method *meth_meth_genjson__apply1013 = addmethod2pos(block1012, "_apply", &meth_genjson__apply1013, 0);
int argcv_meth_genjson__apply1013[] = {1};
meth_meth_genjson__apply1013->type = alloc_MethodType(1, argcv_meth_genjson__apply1013);
  meth_meth_genjson__apply1013->definitionModule = modulename;
  meth_meth_genjson__apply1013->definitionLine = 316;
// compilenode returning block1012
  gc_frame_newslot(block1012);
  params[0] = *var_values;
  params[1] = block1012;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call1108 = callmethodflags(prelude, "for()do", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1011);
// compilenode returning call1108
// Begin line 342
  setline(342);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1109 = gc_frame_new();
  if (strlit1111 == NULL) {
    strlit1111 = alloc_String("""\x0a""");
    gc_root(strlit1111);
  }
// compilenode returning strlit1111
  int op_slot_right_1110 = gc_frame_newslot(strlit1111);
  int callframe1113 = gc_frame_new();
// compilenode returning *var_overall
  partcv[0] = 0;
  Object call1114 = callmethod(*var_overall, "asJSON",
    1, partcv, params);
  gc_frame_end(callframe1113);
// compilenode returning call1114
// compilenode returning call1114
  int op_slot_left_1110 = gc_frame_newslot(call1114);
  params[0] = strlit1111;
  partcv[0] = 1;
  Object opresult1115 = callmethod(call1114, "++", 1, partcv, params);
// compilenode returning opresult1115
  gc_frame_newslot(opresult1115);
// compilenode returning *var_outfile
  params[0] = opresult1115;
  partcv[0] = 1;
  Object call1116 = callmethod(*var_outfile, "write",
    1, partcv, params);
  gc_frame_end(callframe1109);
// compilenode returning call1116
  gc_frame_end(frame);
  return call1116;
}
Object meth_genjson_JSObj1117(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 5, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "JSObj");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_JSObj = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for JSObj (probably reflection error): got %i lists, expected 1.", nparts);
if (argcv && argcv[0] > 0)
  gracedie("too many arguments for JSObj");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 12
  setline(12);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_JSObj
  gc_frame_end(frame);
  return *var_JSObj;
}
Object meth_genjson_put1124(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(3, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "put");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 2)
    gracedie("insufficient arguments to method");
  Object params[2];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for put (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_key = &(stackframe->slots[0]);
  *var_key = args[curarg];
  curarg++;
  Object *var_val = &(stackframe->slots[1]);
  *var_val = args[curarg];
  curarg++;
if (argcv && argcv[0] > 2)
  gracedie("too many arguments for put");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 15
  setline(15);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1125 = gc_frame_new();
// compilenode returning *var_key
  gc_frame_newslot(*var_key);
  int callframe1126 = gc_frame_new();
// compilenode returning *var_val
  gc_frame_newslot(*var_val);
  int callframe1127 = gc_frame_new();
  int callframe1128 = gc_frame_new();
  Object call1129 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe1128);
// compilenode returning call1129
// compilenode returning call1129
  partcv[0] = 0;
  Object call1130 = callmethodflags(call1129, "outer", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1127);
// compilenode returning call1130
// compilenode returning call1130
  params[0] = *var_val;
  partcv[0] = 1;
  Object call1131 = callmethodflags(call1130, "wrap", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1126);
// compilenode returning call1131
  gc_frame_newslot(call1131);
  int callframe1132 = gc_frame_new();
  partcv[0] = 0;
  Object call1133 = callmethodflags(self, "data", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1132);
// compilenode returning call1133
  params[0] = *var_key;
  params[1] = call1131;
  partcv[0] = 2;
  Object call1134 = callmethod(call1133, "put",
    1, partcv, params);
  gc_frame_end(callframe1125);
// compilenode returning call1134
  gc_frame_end(frame);
  return call1134;
}
Object meth_genjson__apply1142(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method");
  Object params[1];
  int partcv[1];
  Object *var_comma = getfromclosure(closure, 0);
  Object *var_ret = getfromclosure(closure, 1);
  Object self = *(getfromclosure(closure, 2));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_k = &(stackframe->slots[0]);
  *var_k = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 22
  setline(22);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 21
  setline(21);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1144 = gc_frame_new();
  int callframe1145 = gc_frame_new();
// compilenode returning *var_k
  gc_frame_newslot(*var_k);
  int callframe1146 = gc_frame_new();
  partcv[0] = 0;
  Object call1147 = callmethodflags(self, "data", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1146);
// compilenode returning call1147
  params[0] = *var_k;
  partcv[0] = 1;
  Object call1148 = callmethod(call1147, "get",
    1, partcv, params);
  gc_frame_end(callframe1145);
// compilenode returning call1148
  partcv[0] = 0;
  Object call1149 = callmethod(call1148, "asJSON",
    1, partcv, params);
  gc_frame_end(callframe1144);
// compilenode returning call1149
// compilenode returning call1149
  int op_slot_right_1143 = gc_frame_newslot(call1149);
  if (strlit1153 == NULL) {
    strlit1153 = alloc_String("""\x22"": ");
    gc_root(strlit1153);
  }
// compilenode returning strlit1153
  int op_slot_right_1152 = gc_frame_newslot(strlit1153);
// compilenode returning *var_k
  int op_slot_right_1155 = gc_frame_newslot(*var_k);
  if (strlit1157 == NULL) {
    strlit1157 = alloc_String("""\x22""");
    gc_root(strlit1157);
  }
// compilenode returning strlit1157
  int op_slot_left_1155 = gc_frame_newslot(strlit1157);
  params[0] = *var_k;
  partcv[0] = 1;
  Object opresult1158 = callmethod(strlit1157, "++", 1, partcv, params);
// compilenode returning opresult1158
  int op_slot_left_1152 = gc_frame_newslot(opresult1158);
  params[0] = strlit1153;
  partcv[0] = 1;
  Object opresult1159 = callmethod(opresult1158, "++", 1, partcv, params);
// compilenode returning opresult1159
  int op_slot_right_1151 = gc_frame_newslot(opresult1159);
// compilenode returning *var_comma
  int op_slot_right_1161 = gc_frame_newslot(*var_comma);
// compilenode returning *var_ret
  int op_slot_left_1161 = gc_frame_newslot(*var_ret);
  params[0] = *var_comma;
  partcv[0] = 1;
  Object opresult1163 = callmethod(*var_ret, "++", 1, partcv, params);
// compilenode returning opresult1163
  int op_slot_left_1151 = gc_frame_newslot(opresult1163);
  params[0] = opresult1159;
  partcv[0] = 1;
  Object opresult1164 = callmethod(opresult1163, "++", 1, partcv, params);
// compilenode returning opresult1164
  int op_slot_left_1143 = gc_frame_newslot(opresult1164);
  params[0] = call1149;
  partcv[0] = 1;
  Object opresult1165 = callmethod(opresult1164, "++", 1, partcv, params);
// compilenode returning opresult1165
  *var_ret = opresult1165;
  if (opresult1165 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 23
  setline(23);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 22
  setline(22);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit1167 == NULL) {
    strlit1167 = alloc_String(",");
    gc_root(strlit1167);
  }
// compilenode returning strlit1167
  *var_comma = strlit1167;
  if (strlit1167 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
  gc_frame_end(frame);
  return done;
}
Object meth_genjson_asJSON1135(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(3, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "asJSON");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[2];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for asJSON (probably reflection error): got %i lists, expected 1.", nparts);
if (argcv && argcv[0] > 0)
  gracedie("too many arguments for asJSON");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_ret = &(stackframe->slots[1]);
  setframeelementname(stackframe, 1, "ret");
  Object *var_comma = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "comma");
// Begin line 19
  setline(19);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 18
  setline(18);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit1136 == NULL) {
    strlit1136 = alloc_String("{");
    gc_root(strlit1136);
  }
// compilenode returning strlit1136
  *var_ret = strlit1136;
  if (strlit1136 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 20
  setline(20);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 19
  setline(19);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit1137 == NULL) {
    strlit1137 = alloc_String("");
    gc_root(strlit1137);
  }
// compilenode returning strlit1137
  *var_comma = strlit1137;
  if (strlit1137 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 20
  setline(20);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1138 = gc_frame_new();
  int callframe1139 = gc_frame_new();
  partcv[0] = 0;
  Object call1140 = callmethodflags(self, "data", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1139);
// compilenode returning call1140
  gc_frame_newslot(call1140);
  Object block1141 = alloc_Block(NULL, NULL, "genjson", 20);
  gc_frame_newslot(block1141);
  block_savedest(block1141);
  Object closure1142 = createclosure(3, "_apply");
setclosureframe(closure1142, stackframe);
  addtoclosure(closure1142, var_comma);
  addtoclosure(closure1142, var_ret);
  addtoclosure(closure1142, selfslot);
  struct UserObject *uo1142 = (struct UserObject*)block1141;
  uo1142->data[0] = (Object)closure1142;
  Method *meth_meth_genjson__apply1142 = addmethod2pos(block1141, "_apply", &meth_genjson__apply1142, 0);
int argcv_meth_genjson__apply1142[] = {1};
meth_meth_genjson__apply1142->type = alloc_MethodType(1, argcv_meth_genjson__apply1142);
  meth_meth_genjson__apply1142->definitionModule = modulename;
  meth_meth_genjson__apply1142->definitionLine = 15;
// compilenode returning block1141
  gc_frame_newslot(block1141);
  params[0] = call1140;
  params[1] = block1141;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call1170 = callmethodflags(prelude, "for()do", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1138);
// compilenode returning call1170
// Begin line 25
  setline(25);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 24
  setline(24);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit1172 == NULL) {
    strlit1172 = alloc_String("}");
    gc_root(strlit1172);
  }
// compilenode returning strlit1172
  int op_slot_right_1171 = gc_frame_newslot(strlit1172);
// compilenode returning *var_ret
  int op_slot_left_1171 = gc_frame_newslot(*var_ret);
  params[0] = strlit1172;
  partcv[0] = 1;
  Object opresult1174 = callmethod(*var_ret, "++", 1, partcv, params);
// compilenode returning opresult1174
  return opresult1174;
// compilenode returning undefined
  gc_frame_end(frame);
  return undefined;
}
Object meth_genjson_new1120(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 1, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "new");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_collections = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for new (probably reflection error): got %i lists, expected 1.", nparts);
if (argcv && argcv[0] > 0)
  gracedie("too many arguments for new");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject1121 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj1121 = alloc_userobj2(3,4, objclass1121);
  gc_frame_newslot(obj1121);
if (objclass1121 == NULL) {
  glfree(obj1121->class->name);
  obj1121->class->name = "JSObj";
}
// OBJECT OUTER DEC outer
  adddatum2(obj1121, self, 0);
  addmethodreal(obj1121,"outer", &reader_genjson_outer_1122);
  Object oldself1121 = self;
  struct StackFrameObject *oldstackframe1121 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe1121);
  gc_frame_newslot((Object)stackframe);
  self = obj1121;
  Object *oldselfslot1121 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter1121 = (*(struct UserObject *)self).data[0], lowerouter1121 = thisouter1121;
  if (inheritingObject1121) {
    struct UserObject *inho1121 = (struct UserObject *)inheritingObject1121;
    while (inho1121->super != GraceDefaultObject) inho1121 = (struct UserObject *)inho1121->super;
    inho1121->super = obj1121;
    self = inheritingObject1121;
    *selfslot = self;
    lowerouter1121 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter1121;
  }
if (objclass1121 == NULL) {
  Method *reader1123 = addmethodrealflags(obj1121, "data",&reader_genjson_data_1123, MFLAG_DEF | MFLAG_CONFIDENTIAL);
  reader1123->definitionModule = modulename;
  reader1123->definitionLine = 14;
}
adddatum2(obj1121, alloc_Undefined(), 1);
  struct UserObject *uo1124 = (struct UserObject*)obj1121;
  uo1124->data[2] = emptyclosure;
  Method *meth_meth_genjson_put1124 = addmethod2pos(obj1121, "put", &meth_genjson_put1124, 2);
int argcv_meth_genjson_put1124[] = {2};
meth_meth_genjson_put1124->type = alloc_MethodType(1, argcv_meth_genjson_put1124);
  meth_meth_genjson_put1124->definitionModule = modulename;
  meth_meth_genjson_put1124->definitionLine = 14;
  struct UserObject *uo1135 = (struct UserObject*)obj1121;
  uo1135->data[3] = emptyclosure;
  Method *meth_meth_genjson_asJSON1135 = addmethod2pos(obj1121, "asJSON", &meth_genjson_asJSON1135, 3);
int argcv_meth_genjson_asJSON1135[] = {0};
meth_meth_genjson_asJSON1135->type = alloc_MethodType(1, argcv_meth_genjson_asJSON1135);
  meth_meth_genjson_asJSON1135->definitionModule = modulename;
  meth_meth_genjson_asJSON1135->definitionLine = 17;
  sourceObject = obj1121;
// Begin line 13
  setline(13);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1175 = gc_frame_new();
  int callframe1176 = gc_frame_new();
// compilenode returning *var_collections
  partcv[0] = 0;
  Object call1177 = callmethod(*var_collections, "map",
    1, partcv, params);
  gc_frame_end(callframe1176);
// compilenode returning call1177
// compilenode returning call1177
  partcv[0] = 0;
  Object call1178 = callmethod(call1177, "new",
    1, partcv, params);
  gc_frame_end(callframe1175);
// compilenode returning call1178
// compilenode returning call1178
  adddatum2(obj1121, call1178, 1);
  sourceObject = obj1121;
  sourceObject = obj1121;
objclass1121 = obj1121->class;
  objclass1121->definitionModule = modulename;
  objclass1121->definitionLine = 342;
  (*(struct UserObject *)self).data[0] = lowerouter1121;
  self = oldself1121;
  selfslot = oldselfslot1121;
  stackframe = oldstackframe1121;
  gc_frame_end(frame);
  return obj1121;
}
Object meth_genjson_new1120_object(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 1, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "new()object");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = args[0 + argcv[0]];
  Object params[1];
  int partcv[1];
  Object *var_collections = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for new (probably reflection error): got %i lists, expected 1.", nparts);
if (argcv && argcv[0] > 0)
  gracedie("too many arguments for new");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject1121 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj1121 = alloc_userobj2(3,4, objclass1121);
  gc_frame_newslot(obj1121);
if (objclass1121 == NULL) {
  glfree(obj1121->class->name);
  obj1121->class->name = "JSObj";
}
// OBJECT OUTER DEC outer
  adddatum2(obj1121, self, 0);
  addmethodreal(obj1121,"outer", &reader_genjson_outer_1122);
  Object oldself1121 = self;
  struct StackFrameObject *oldstackframe1121 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe1121);
  gc_frame_newslot((Object)stackframe);
  self = obj1121;
  Object *oldselfslot1121 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter1121 = (*(struct UserObject *)self).data[0], lowerouter1121 = thisouter1121;
  if (inheritingObject1121) {
    struct UserObject *inho1121 = (struct UserObject *)inheritingObject1121;
    while (inho1121->super != GraceDefaultObject) inho1121 = (struct UserObject *)inho1121->super;
    inho1121->super = obj1121;
    self = inheritingObject1121;
    *selfslot = self;
    lowerouter1121 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter1121;
  }
if (objclass1121 == NULL) {
  Method *reader1123 = addmethodrealflags(obj1121, "data",&reader_genjson_data_1123, MFLAG_DEF | MFLAG_CONFIDENTIAL);
  reader1123->definitionModule = modulename;
  reader1123->definitionLine = 14;
}
adddatum2(obj1121, alloc_Undefined(), 1);
  struct UserObject *uo1124 = (struct UserObject*)obj1121;
  uo1124->data[2] = emptyclosure;
  Method *meth_meth_genjson_put1124 = addmethod2pos(obj1121, "put", &meth_genjson_put1124, 2);
int argcv_meth_genjson_put1124[] = {2};
meth_meth_genjson_put1124->type = alloc_MethodType(1, argcv_meth_genjson_put1124);
  meth_meth_genjson_put1124->definitionModule = modulename;
  meth_meth_genjson_put1124->definitionLine = 14;
  struct UserObject *uo1135 = (struct UserObject*)obj1121;
  uo1135->data[3] = emptyclosure;
  Method *meth_meth_genjson_asJSON1135 = addmethod2pos(obj1121, "asJSON", &meth_genjson_asJSON1135, 3);
int argcv_meth_genjson_asJSON1135[] = {0};
meth_meth_genjson_asJSON1135->type = alloc_MethodType(1, argcv_meth_genjson_asJSON1135);
  meth_meth_genjson_asJSON1135->definitionModule = modulename;
  meth_meth_genjson_asJSON1135->definitionLine = 17;
  sourceObject = obj1121;
// Begin line 13
  setline(13);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1175 = gc_frame_new();
  int callframe1176 = gc_frame_new();
// compilenode returning *var_collections
  partcv[0] = 0;
  Object call1177 = callmethod(*var_collections, "map",
    1, partcv, params);
  gc_frame_end(callframe1176);
// compilenode returning call1177
// compilenode returning call1177
  partcv[0] = 0;
  Object call1178 = callmethod(call1177, "new",
    1, partcv, params);
  gc_frame_end(callframe1175);
// compilenode returning call1178
// compilenode returning call1178
  adddatum2(obj1121, call1178, 1);
  sourceObject = obj1121;
  sourceObject = obj1121;
objclass1121 = obj1121->class;
  objclass1121->definitionModule = modulename;
  objclass1121->definitionLine = 342;
  (*(struct UserObject *)self).data[0] = lowerouter1121;
  self = oldself1121;
  selfslot = oldselfslot1121;
  stackframe = oldstackframe1121;
  gc_frame_end(frame);
  return obj1121;
}
Object meth_genjson_JSArray1180(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 6, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "JSArray");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_JSArray = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for JSArray (probably reflection error): got %i lists, expected 1.", nparts);
if (argcv && argcv[0] > 0)
  gracedie("too many arguments for JSArray");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 28
  setline(28);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_JSArray
  gc_frame_end(frame);
  return *var_JSArray;
}
Object meth_genjson_push1187(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "push");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for push (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_val = &(stackframe->slots[0]);
  *var_val = args[curarg];
  curarg++;
if (argcv && argcv[0] > 1)
  gracedie("too many arguments for push");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 31
  setline(31);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1188 = gc_frame_new();
  int callframe1189 = gc_frame_new();
// compilenode returning *var_val
  gc_frame_newslot(*var_val);
  int callframe1190 = gc_frame_new();
  int callframe1191 = gc_frame_new();
  Object call1192 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe1191);
// compilenode returning call1192
// compilenode returning call1192
  partcv[0] = 0;
  Object call1193 = callmethodflags(call1192, "outer", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1190);
// compilenode returning call1193
// compilenode returning call1193
  params[0] = *var_val;
  partcv[0] = 1;
  Object call1194 = callmethodflags(call1193, "wrap", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1189);
// compilenode returning call1194
  gc_frame_newslot(call1194);
  int callframe1195 = gc_frame_new();
  partcv[0] = 0;
  Object call1196 = callmethodflags(self, "data", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1195);
// compilenode returning call1196
  params[0] = call1194;
  partcv[0] = 1;
  Object call1197 = callmethod(call1196, "push",
    1, partcv, params);
  gc_frame_end(callframe1188);
// compilenode returning call1197
  gc_frame_end(frame);
  return call1197;
}
Object meth_genjson__apply1205(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method");
  Object params[1];
  int partcv[1];
  Object *var_comma = getfromclosure(closure, 0);
  Object *var_ret = getfromclosure(closure, 1);
  Object self = *(getfromclosure(closure, 2));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_v = &(stackframe->slots[0]);
  *var_v = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 38
  setline(38);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 37
  setline(37);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1207 = gc_frame_new();
// compilenode returning *var_v
  partcv[0] = 0;
  Object call1208 = callmethod(*var_v, "asJSON",
    1, partcv, params);
  gc_frame_end(callframe1207);
// compilenode returning call1208
// compilenode returning call1208
  int op_slot_right_1206 = gc_frame_newslot(call1208);
// compilenode returning *var_comma
  int op_slot_right_1210 = gc_frame_newslot(*var_comma);
// compilenode returning *var_ret
  int op_slot_left_1210 = gc_frame_newslot(*var_ret);
  params[0] = *var_comma;
  partcv[0] = 1;
  Object opresult1212 = callmethod(*var_ret, "++", 1, partcv, params);
// compilenode returning opresult1212
  int op_slot_left_1206 = gc_frame_newslot(opresult1212);
  params[0] = call1208;
  partcv[0] = 1;
  Object opresult1213 = callmethod(opresult1212, "++", 1, partcv, params);
// compilenode returning opresult1213
  *var_ret = opresult1213;
  if (opresult1213 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 39
  setline(39);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 38
  setline(38);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit1215 == NULL) {
    strlit1215 = alloc_String(",");
    gc_root(strlit1215);
  }
// compilenode returning strlit1215
  *var_comma = strlit1215;
  if (strlit1215 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
  gc_frame_end(frame);
  return done;
}
Object meth_genjson_asJSON1198(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(3, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "asJSON");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[2];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for asJSON (probably reflection error): got %i lists, expected 1.", nparts);
if (argcv && argcv[0] > 0)
  gracedie("too many arguments for asJSON");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_ret = &(stackframe->slots[1]);
  setframeelementname(stackframe, 1, "ret");
  Object *var_comma = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "comma");
// Begin line 35
  setline(35);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 34
  setline(34);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit1199 == NULL) {
    strlit1199 = alloc_String("[");
    gc_root(strlit1199);
  }
// compilenode returning strlit1199
  *var_ret = strlit1199;
  if (strlit1199 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 36
  setline(36);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 35
  setline(35);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit1200 == NULL) {
    strlit1200 = alloc_String("");
    gc_root(strlit1200);
  }
// compilenode returning strlit1200
  *var_comma = strlit1200;
  if (strlit1200 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 36
  setline(36);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1201 = gc_frame_new();
  int callframe1202 = gc_frame_new();
  partcv[0] = 0;
  Object call1203 = callmethodflags(self, "data", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1202);
// compilenode returning call1203
  gc_frame_newslot(call1203);
  Object block1204 = alloc_Block(NULL, NULL, "genjson", 36);
  gc_frame_newslot(block1204);
  block_savedest(block1204);
  Object closure1205 = createclosure(3, "_apply");
setclosureframe(closure1205, stackframe);
  addtoclosure(closure1205, var_comma);
  addtoclosure(closure1205, var_ret);
  addtoclosure(closure1205, selfslot);
  struct UserObject *uo1205 = (struct UserObject*)block1204;
  uo1205->data[0] = (Object)closure1205;
  Method *meth_meth_genjson__apply1205 = addmethod2pos(block1204, "_apply", &meth_genjson__apply1205, 0);
int argcv_meth_genjson__apply1205[] = {1};
meth_meth_genjson__apply1205->type = alloc_MethodType(1, argcv_meth_genjson__apply1205);
  meth_meth_genjson__apply1205->definitionModule = modulename;
  meth_meth_genjson__apply1205->definitionLine = 31;
// compilenode returning block1204
  gc_frame_newslot(block1204);
  params[0] = call1203;
  params[1] = block1204;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call1218 = callmethodflags(prelude, "for()do", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1201);
// compilenode returning call1218
// Begin line 41
  setline(41);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 40
  setline(40);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit1220 == NULL) {
    strlit1220 = alloc_String("]");
    gc_root(strlit1220);
  }
// compilenode returning strlit1220
  int op_slot_right_1219 = gc_frame_newslot(strlit1220);
// compilenode returning *var_ret
  int op_slot_left_1219 = gc_frame_newslot(*var_ret);
  params[0] = strlit1220;
  partcv[0] = 1;
  Object opresult1222 = callmethod(*var_ret, "++", 1, partcv, params);
// compilenode returning opresult1222
  return opresult1222;
// compilenode returning undefined
  gc_frame_end(frame);
  return undefined;
}
Object meth_genjson_new1183(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 1, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "new");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_collections = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for new (probably reflection error): got %i lists, expected 1.", nparts);
if (argcv && argcv[0] > 0)
  gracedie("too many arguments for new");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject1184 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj1184 = alloc_userobj2(3,4, objclass1184);
  gc_frame_newslot(obj1184);
if (objclass1184 == NULL) {
  glfree(obj1184->class->name);
  obj1184->class->name = "JSArray";
}
// OBJECT OUTER DEC outer
  adddatum2(obj1184, self, 0);
  addmethodreal(obj1184,"outer", &reader_genjson_outer_1185);
  Object oldself1184 = self;
  struct StackFrameObject *oldstackframe1184 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe1184);
  gc_frame_newslot((Object)stackframe);
  self = obj1184;
  Object *oldselfslot1184 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter1184 = (*(struct UserObject *)self).data[0], lowerouter1184 = thisouter1184;
  if (inheritingObject1184) {
    struct UserObject *inho1184 = (struct UserObject *)inheritingObject1184;
    while (inho1184->super != GraceDefaultObject) inho1184 = (struct UserObject *)inho1184->super;
    inho1184->super = obj1184;
    self = inheritingObject1184;
    *selfslot = self;
    lowerouter1184 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter1184;
  }
if (objclass1184 == NULL) {
  Method *reader1186 = addmethodrealflags(obj1184, "data",&reader_genjson_data_1186, MFLAG_DEF | MFLAG_CONFIDENTIAL);
  reader1186->definitionModule = modulename;
  reader1186->definitionLine = 30;
}
adddatum2(obj1184, alloc_Undefined(), 1);
  struct UserObject *uo1187 = (struct UserObject*)obj1184;
  uo1187->data[2] = emptyclosure;
  Method *meth_meth_genjson_push1187 = addmethod2pos(obj1184, "push", &meth_genjson_push1187, 2);
int argcv_meth_genjson_push1187[] = {1};
meth_meth_genjson_push1187->type = alloc_MethodType(1, argcv_meth_genjson_push1187);
  meth_meth_genjson_push1187->definitionModule = modulename;
  meth_meth_genjson_push1187->definitionLine = 30;
  struct UserObject *uo1198 = (struct UserObject*)obj1184;
  uo1198->data[3] = emptyclosure;
  Method *meth_meth_genjson_asJSON1198 = addmethod2pos(obj1184, "asJSON", &meth_genjson_asJSON1198, 3);
int argcv_meth_genjson_asJSON1198[] = {0};
meth_meth_genjson_asJSON1198->type = alloc_MethodType(1, argcv_meth_genjson_asJSON1198);
  meth_meth_genjson_asJSON1198->definitionModule = modulename;
  meth_meth_genjson_asJSON1198->definitionLine = 33;
  sourceObject = obj1184;
// Begin line 29
  setline(29);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1223 = gc_frame_new();
  int callframe1224 = gc_frame_new();
// compilenode returning *var_collections
  partcv[0] = 0;
  Object call1225 = callmethod(*var_collections, "list",
    1, partcv, params);
  gc_frame_end(callframe1224);
// compilenode returning call1225
// compilenode returning call1225
  partcv[0] = 0;
  Object call1226 = callmethod(call1225, "new",
    1, partcv, params);
  gc_frame_end(callframe1223);
// compilenode returning call1226
// compilenode returning call1226
  adddatum2(obj1184, call1226, 1);
  sourceObject = obj1184;
  sourceObject = obj1184;
objclass1184 = obj1184->class;
  objclass1184->definitionModule = modulename;
  objclass1184->definitionLine = 13;
  (*(struct UserObject *)self).data[0] = lowerouter1184;
  self = oldself1184;
  selfslot = oldselfslot1184;
  stackframe = oldstackframe1184;
  gc_frame_end(frame);
  return obj1184;
}
Object meth_genjson_new1183_object(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 1, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "new()object");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = args[0 + argcv[0]];
  Object params[1];
  int partcv[1];
  Object *var_collections = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for new (probably reflection error): got %i lists, expected 1.", nparts);
if (argcv && argcv[0] > 0)
  gracedie("too many arguments for new");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject1184 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj1184 = alloc_userobj2(3,4, objclass1184);
  gc_frame_newslot(obj1184);
if (objclass1184 == NULL) {
  glfree(obj1184->class->name);
  obj1184->class->name = "JSArray";
}
// OBJECT OUTER DEC outer
  adddatum2(obj1184, self, 0);
  addmethodreal(obj1184,"outer", &reader_genjson_outer_1185);
  Object oldself1184 = self;
  struct StackFrameObject *oldstackframe1184 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe1184);
  gc_frame_newslot((Object)stackframe);
  self = obj1184;
  Object *oldselfslot1184 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter1184 = (*(struct UserObject *)self).data[0], lowerouter1184 = thisouter1184;
  if (inheritingObject1184) {
    struct UserObject *inho1184 = (struct UserObject *)inheritingObject1184;
    while (inho1184->super != GraceDefaultObject) inho1184 = (struct UserObject *)inho1184->super;
    inho1184->super = obj1184;
    self = inheritingObject1184;
    *selfslot = self;
    lowerouter1184 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter1184;
  }
if (objclass1184 == NULL) {
  Method *reader1186 = addmethodrealflags(obj1184, "data",&reader_genjson_data_1186, MFLAG_DEF | MFLAG_CONFIDENTIAL);
  reader1186->definitionModule = modulename;
  reader1186->definitionLine = 30;
}
adddatum2(obj1184, alloc_Undefined(), 1);
  struct UserObject *uo1187 = (struct UserObject*)obj1184;
  uo1187->data[2] = emptyclosure;
  Method *meth_meth_genjson_push1187 = addmethod2pos(obj1184, "push", &meth_genjson_push1187, 2);
int argcv_meth_genjson_push1187[] = {1};
meth_meth_genjson_push1187->type = alloc_MethodType(1, argcv_meth_genjson_push1187);
  meth_meth_genjson_push1187->definitionModule = modulename;
  meth_meth_genjson_push1187->definitionLine = 30;
  struct UserObject *uo1198 = (struct UserObject*)obj1184;
  uo1198->data[3] = emptyclosure;
  Method *meth_meth_genjson_asJSON1198 = addmethod2pos(obj1184, "asJSON", &meth_genjson_asJSON1198, 3);
int argcv_meth_genjson_asJSON1198[] = {0};
meth_meth_genjson_asJSON1198->type = alloc_MethodType(1, argcv_meth_genjson_asJSON1198);
  meth_meth_genjson_asJSON1198->definitionModule = modulename;
  meth_meth_genjson_asJSON1198->definitionLine = 33;
  sourceObject = obj1184;
// Begin line 29
  setline(29);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1223 = gc_frame_new();
  int callframe1224 = gc_frame_new();
// compilenode returning *var_collections
  partcv[0] = 0;
  Object call1225 = callmethod(*var_collections, "list",
    1, partcv, params);
  gc_frame_end(callframe1224);
// compilenode returning call1225
// compilenode returning call1225
  partcv[0] = 0;
  Object call1226 = callmethod(call1225, "new",
    1, partcv, params);
  gc_frame_end(callframe1223);
// compilenode returning call1226
// compilenode returning call1226
  adddatum2(obj1184, call1226, 1);
  sourceObject = obj1184;
  sourceObject = obj1184;
objclass1184 = obj1184->class;
  objclass1184->definitionModule = modulename;
  objclass1184->definitionLine = 13;
  (*(struct UserObject *)self).data[0] = lowerouter1184;
  self = oldself1184;
  selfslot = oldselfslot1184;
  stackframe = oldstackframe1184;
  gc_frame_end(frame);
  return obj1184;
}
Object meth_genjson_JSString1228(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 7, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "JSString");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_JSString = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for JSString (probably reflection error): got %i lists, expected 1.", nparts);
if (argcv && argcv[0] > 0)
  gracedie("too many arguments for JSString");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 44
  setline(44);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_JSString
  gc_frame_end(frame);
  return *var_JSString;
}
Object meth_genjson_asJSON1235(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "asJSON");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for asJSON (probably reflection error): got %i lists, expected 1.", nparts);
if (argcv && argcv[0] > 0)
  gracedie("too many arguments for asJSON");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 48
  setline(48);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 47
  setline(47);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit1237 == NULL) {
    strlit1237 = alloc_String("""\x22""");
    gc_root(strlit1237);
  }
// compilenode returning strlit1237
  int op_slot_right_1236 = gc_frame_newslot(strlit1237);
  int callframe1240 = gc_frame_new();
  partcv[0] = 0;
  Object call1241 = callmethodflags(self, "data", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1240);
// compilenode returning call1241
  int op_slot_right_1239 = gc_frame_newslot(call1241);
  if (strlit1243 == NULL) {
    strlit1243 = alloc_String("""\x22""");
    gc_root(strlit1243);
  }
// compilenode returning strlit1243
  int op_slot_left_1239 = gc_frame_newslot(strlit1243);
  params[0] = call1241;
  partcv[0] = 1;
  Object opresult1244 = callmethod(strlit1243, "++", 1, partcv, params);
// compilenode returning opresult1244
  int op_slot_left_1236 = gc_frame_newslot(opresult1244);
  params[0] = strlit1237;
  partcv[0] = 1;
  Object opresult1245 = callmethod(opresult1244, "++", 1, partcv, params);
// compilenode returning opresult1245
  return opresult1245;
// compilenode returning undefined
  gc_frame_end(frame);
  return undefined;
}
Object meth_genjson_new1231(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "new");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for new (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_s = &(stackframe->slots[0]);
  *var_s = args[curarg];
  curarg++;
if (argcv && argcv[0] > 1)
  gracedie("too many arguments for new");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject1232 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj1232 = alloc_userobj2(2,4, objclass1232);
  gc_frame_newslot(obj1232);
if (objclass1232 == NULL) {
  glfree(obj1232->class->name);
  obj1232->class->name = "JSString";
}
// OBJECT OUTER DEC outer
  adddatum2(obj1232, self, 0);
  addmethodreal(obj1232,"outer", &reader_genjson_outer_1233);
  Object oldself1232 = self;
  struct StackFrameObject *oldstackframe1232 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe1232);
  gc_frame_newslot((Object)stackframe);
  self = obj1232;
  Object *oldselfslot1232 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter1232 = (*(struct UserObject *)self).data[0], lowerouter1232 = thisouter1232;
  if (inheritingObject1232) {
    struct UserObject *inho1232 = (struct UserObject *)inheritingObject1232;
    while (inho1232->super != GraceDefaultObject) inho1232 = (struct UserObject *)inho1232->super;
    inho1232->super = obj1232;
    self = inheritingObject1232;
    *selfslot = self;
    lowerouter1232 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter1232;
  }
if (objclass1232 == NULL) {
  Method *reader1234 = addmethodrealflags(obj1232, "data",&reader_genjson_data_1234, MFLAG_DEF | MFLAG_CONFIDENTIAL);
  reader1234->definitionModule = modulename;
  reader1234->definitionLine = 46;
}
adddatum2(obj1232, alloc_Undefined(), 1);
  struct UserObject *uo1235 = (struct UserObject*)obj1232;
  uo1235->data[2] = emptyclosure;
  Method *meth_meth_genjson_asJSON1235 = addmethod2pos(obj1232, "asJSON", &meth_genjson_asJSON1235, 2);
int argcv_meth_genjson_asJSON1235[] = {0};
meth_meth_genjson_asJSON1235->type = alloc_MethodType(1, argcv_meth_genjson_asJSON1235);
  meth_meth_genjson_asJSON1235->definitionModule = modulename;
  meth_meth_genjson_asJSON1235->definitionLine = 46;
  sourceObject = obj1232;
// Begin line 45
  setline(45);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_s
  adddatum2(obj1232, *var_s, 1);
  sourceObject = obj1232;
objclass1232 = obj1232->class;
  objclass1232->definitionModule = modulename;
  objclass1232->definitionLine = 29;
  (*(struct UserObject *)self).data[0] = lowerouter1232;
  self = oldself1232;
  selfslot = oldselfslot1232;
  stackframe = oldstackframe1232;
  gc_frame_end(frame);
  return obj1232;
}
Object meth_genjson_new1231_object(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "new()object");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = args[0 + argcv[0]];
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for new (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_s = &(stackframe->slots[0]);
  *var_s = args[curarg];
  curarg++;
if (argcv && argcv[0] > 1)
  gracedie("too many arguments for new");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject1232 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj1232 = alloc_userobj2(2,4, objclass1232);
  gc_frame_newslot(obj1232);
if (objclass1232 == NULL) {
  glfree(obj1232->class->name);
  obj1232->class->name = "JSString";
}
// OBJECT OUTER DEC outer
  adddatum2(obj1232, self, 0);
  addmethodreal(obj1232,"outer", &reader_genjson_outer_1233);
  Object oldself1232 = self;
  struct StackFrameObject *oldstackframe1232 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe1232);
  gc_frame_newslot((Object)stackframe);
  self = obj1232;
  Object *oldselfslot1232 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter1232 = (*(struct UserObject *)self).data[0], lowerouter1232 = thisouter1232;
  if (inheritingObject1232) {
    struct UserObject *inho1232 = (struct UserObject *)inheritingObject1232;
    while (inho1232->super != GraceDefaultObject) inho1232 = (struct UserObject *)inho1232->super;
    inho1232->super = obj1232;
    self = inheritingObject1232;
    *selfslot = self;
    lowerouter1232 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter1232;
  }
if (objclass1232 == NULL) {
  Method *reader1234 = addmethodrealflags(obj1232, "data",&reader_genjson_data_1234, MFLAG_DEF | MFLAG_CONFIDENTIAL);
  reader1234->definitionModule = modulename;
  reader1234->definitionLine = 46;
}
adddatum2(obj1232, alloc_Undefined(), 1);
  struct UserObject *uo1235 = (struct UserObject*)obj1232;
  uo1235->data[2] = emptyclosure;
  Method *meth_meth_genjson_asJSON1235 = addmethod2pos(obj1232, "asJSON", &meth_genjson_asJSON1235, 2);
int argcv_meth_genjson_asJSON1235[] = {0};
meth_meth_genjson_asJSON1235->type = alloc_MethodType(1, argcv_meth_genjson_asJSON1235);
  meth_meth_genjson_asJSON1235->definitionModule = modulename;
  meth_meth_genjson_asJSON1235->definitionLine = 46;
  sourceObject = obj1232;
// Begin line 45
  setline(45);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_s
  adddatum2(obj1232, *var_s, 1);
  sourceObject = obj1232;
objclass1232 = obj1232->class;
  objclass1232->definitionModule = modulename;
  objclass1232->definitionLine = 29;
  (*(struct UserObject *)self).data[0] = lowerouter1232;
  self = oldself1232;
  selfslot = oldselfslot1232;
  stackframe = oldstackframe1232;
  gc_frame_end(frame);
  return obj1232;
}
Object meth_genjson_JSBoolean1247(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 8, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "JSBoolean");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_JSBoolean = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for JSBoolean (probably reflection error): got %i lists, expected 1.", nparts);
if (argcv && argcv[0] > 0)
  gracedie("too many arguments for JSBoolean");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 50
  setline(50);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_JSBoolean
  gc_frame_end(frame);
  return *var_JSBoolean;
}
Object meth_genjson_asJSON1254(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "asJSON");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for asJSON (probably reflection error): got %i lists, expected 1.", nparts);
if (argcv && argcv[0] > 0)
  gracedie("too many arguments for asJSON");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 54
  setline(54);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 53
  setline(53);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit1256 == NULL) {
    strlit1256 = alloc_String("");
    gc_root(strlit1256);
  }
// compilenode returning strlit1256
  int op_slot_right_1255 = gc_frame_newslot(strlit1256);
  int callframe1259 = gc_frame_new();
  partcv[0] = 0;
  Object call1260 = callmethodflags(self, "data", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1259);
// compilenode returning call1260
  int op_slot_right_1258 = gc_frame_newslot(call1260);
  if (strlit1262 == NULL) {
    strlit1262 = alloc_String("");
    gc_root(strlit1262);
  }
// compilenode returning strlit1262
  int op_slot_left_1258 = gc_frame_newslot(strlit1262);
  params[0] = call1260;
  partcv[0] = 1;
  Object opresult1263 = callmethod(strlit1262, "++", 1, partcv, params);
// compilenode returning opresult1263
  int op_slot_left_1255 = gc_frame_newslot(opresult1263);
  params[0] = strlit1256;
  partcv[0] = 1;
  Object opresult1264 = callmethod(opresult1263, "++", 1, partcv, params);
// compilenode returning opresult1264
  return opresult1264;
// compilenode returning undefined
  gc_frame_end(frame);
  return undefined;
}
Object meth_genjson_new1250(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "new");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for new (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_b = &(stackframe->slots[0]);
  *var_b = args[curarg];
  curarg++;
if (argcv && argcv[0] > 1)
  gracedie("too many arguments for new");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject1251 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj1251 = alloc_userobj2(2,4, objclass1251);
  gc_frame_newslot(obj1251);
if (objclass1251 == NULL) {
  glfree(obj1251->class->name);
  obj1251->class->name = "JSBoolean";
}
// OBJECT OUTER DEC outer
  adddatum2(obj1251, self, 0);
  addmethodreal(obj1251,"outer", &reader_genjson_outer_1252);
  Object oldself1251 = self;
  struct StackFrameObject *oldstackframe1251 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe1251);
  gc_frame_newslot((Object)stackframe);
  self = obj1251;
  Object *oldselfslot1251 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter1251 = (*(struct UserObject *)self).data[0], lowerouter1251 = thisouter1251;
  if (inheritingObject1251) {
    struct UserObject *inho1251 = (struct UserObject *)inheritingObject1251;
    while (inho1251->super != GraceDefaultObject) inho1251 = (struct UserObject *)inho1251->super;
    inho1251->super = obj1251;
    self = inheritingObject1251;
    *selfslot = self;
    lowerouter1251 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter1251;
  }
if (objclass1251 == NULL) {
  Method *reader1253 = addmethodrealflags(obj1251, "data",&reader_genjson_data_1253, MFLAG_DEF | MFLAG_CONFIDENTIAL);
  reader1253->definitionModule = modulename;
  reader1253->definitionLine = 52;
}
adddatum2(obj1251, alloc_Undefined(), 1);
  struct UserObject *uo1254 = (struct UserObject*)obj1251;
  uo1254->data[2] = emptyclosure;
  Method *meth_meth_genjson_asJSON1254 = addmethod2pos(obj1251, "asJSON", &meth_genjson_asJSON1254, 2);
int argcv_meth_genjson_asJSON1254[] = {0};
meth_meth_genjson_asJSON1254->type = alloc_MethodType(1, argcv_meth_genjson_asJSON1254);
  meth_meth_genjson_asJSON1254->definitionModule = modulename;
  meth_meth_genjson_asJSON1254->definitionLine = 52;
  sourceObject = obj1251;
// Begin line 51
  setline(51);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_b
  adddatum2(obj1251, *var_b, 1);
  sourceObject = obj1251;
objclass1251 = obj1251->class;
  objclass1251->definitionModule = modulename;
  objclass1251->definitionLine = 29;
  (*(struct UserObject *)self).data[0] = lowerouter1251;
  self = oldself1251;
  selfslot = oldselfslot1251;
  stackframe = oldstackframe1251;
  gc_frame_end(frame);
  return obj1251;
}
Object meth_genjson_new1250_object(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "new()object");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = args[0 + argcv[0]];
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for new (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_b = &(stackframe->slots[0]);
  *var_b = args[curarg];
  curarg++;
if (argcv && argcv[0] > 1)
  gracedie("too many arguments for new");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject1251 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj1251 = alloc_userobj2(2,4, objclass1251);
  gc_frame_newslot(obj1251);
if (objclass1251 == NULL) {
  glfree(obj1251->class->name);
  obj1251->class->name = "JSBoolean";
}
// OBJECT OUTER DEC outer
  adddatum2(obj1251, self, 0);
  addmethodreal(obj1251,"outer", &reader_genjson_outer_1252);
  Object oldself1251 = self;
  struct StackFrameObject *oldstackframe1251 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe1251);
  gc_frame_newslot((Object)stackframe);
  self = obj1251;
  Object *oldselfslot1251 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter1251 = (*(struct UserObject *)self).data[0], lowerouter1251 = thisouter1251;
  if (inheritingObject1251) {
    struct UserObject *inho1251 = (struct UserObject *)inheritingObject1251;
    while (inho1251->super != GraceDefaultObject) inho1251 = (struct UserObject *)inho1251->super;
    inho1251->super = obj1251;
    self = inheritingObject1251;
    *selfslot = self;
    lowerouter1251 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter1251;
  }
if (objclass1251 == NULL) {
  Method *reader1253 = addmethodrealflags(obj1251, "data",&reader_genjson_data_1253, MFLAG_DEF | MFLAG_CONFIDENTIAL);
  reader1253->definitionModule = modulename;
  reader1253->definitionLine = 52;
}
adddatum2(obj1251, alloc_Undefined(), 1);
  struct UserObject *uo1254 = (struct UserObject*)obj1251;
  uo1254->data[2] = emptyclosure;
  Method *meth_meth_genjson_asJSON1254 = addmethod2pos(obj1251, "asJSON", &meth_genjson_asJSON1254, 2);
int argcv_meth_genjson_asJSON1254[] = {0};
meth_meth_genjson_asJSON1254->type = alloc_MethodType(1, argcv_meth_genjson_asJSON1254);
  meth_meth_genjson_asJSON1254->definitionModule = modulename;
  meth_meth_genjson_asJSON1254->definitionLine = 52;
  sourceObject = obj1251;
// Begin line 51
  setline(51);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_b
  adddatum2(obj1251, *var_b, 1);
  sourceObject = obj1251;
objclass1251 = obj1251->class;
  objclass1251->definitionModule = modulename;
  objclass1251->definitionLine = 29;
  (*(struct UserObject *)self).data[0] = lowerouter1251;
  self = oldself1251;
  selfslot = oldselfslot1251;
  stackframe = oldstackframe1251;
  gc_frame_end(frame);
  return obj1251;
}
Object meth_genjson_lastToken1270(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 9, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "lastToken");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_lastToken = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for lastToken (probably reflection error): got %i lists, expected 1.", nparts);
if (argcv && argcv[0] > 0)
  gracedie("too many arguments for <Identifier[lastToken]>");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 265
  setline(265);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_lastToken
  gc_frame_end(frame);
  return *var_lastToken;
}
Object meth_genjson_lastToken_58__61_1271(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 10, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "lastToken:=");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method");
  Object params[1];
  int partcv[1];
  Object *var_lastToken = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for lastToken:= (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var__var_assign_tmp = &(stackframe->slots[0]);
  *var__var_assign_tmp = args[curarg];
  curarg++;
if (argcv && argcv[0] > 1)
  gracedie("too many arguments for <Identifier[lastToken:=]>");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// compilenode returning *var__var_assign_tmp
  *var_lastToken = *var__var_assign_tmp;
  if (*var__var_assign_tmp == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
  gc_frame_end(frame);
  return done;
}
Object module_genjson_init() {
  int flags = 0;
  int frame = gc_frame_new();
  Object self = alloc_obj2(12, 12);
  self->class->definitionModule = modulename;
  gc_root(self);
  prelude = module_StandardPrelude_init();
  adddatum2(self, prelude, 0);
  addmethod2(self, "outer", &grace_userobj_outer);
  setline(1);
  setmodule(modulename);
  setsource(originalSourceLines);
  setclassname(self, "Module<genjson>");
  Object *var_MatchFailed = alloc_var();
  *var_MatchFailed = alloc_MatchFailed();
  Object *var_noSuchValue = alloc_var();
  *var_noSuchValue = done;
  Object *var_done = alloc_var();
  *var_done = done;
  Object *var_String = alloc_var();
  *var_String = String;
  type_String = String;
  Object *var_Block = alloc_var();
  *var_Block = Block;
  type_Block = Block;
  Object *var_Done = alloc_var();
  *var_Done = Done;
  type_Done = Done;
  Object *var_Number = alloc_var();
  *var_Number = Number;
  type_Number = Number;
  Object *var_Boolean = alloc_var();
  *var_Boolean = Boolean;
  type_Boolean = Boolean;
  Object *var_Dynamic = alloc_var();
  *var_Dynamic = Dynamic;
  Object *var_Unknown = alloc_var();
  *var_Unknown= Unknown;
  Object *var_Type = alloc_var();
  *var_Type = Type;
  Object *var__prelude = alloc_var();
  *var__prelude = grace_prelude();
  gc_root(*var_MatchFailed);
  emptyclosure = createclosure(0, "empty");
  gc_root(emptyclosure);
  struct StackFrameObject *stackframe = alloc_StackFrame(12, NULL);
  gc_root((Object)stackframe);
  pushstackframe(stackframe, "module scope");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object params[1];
  int partcv[1];
Object *var_collections = alloc_var();
Object *var_util = alloc_var();
Object *var_io = alloc_var();
Object *var_ast = alloc_var();
  Object *var_JSObj = &(stackframe->slots[1]);
  setframeelementname(stackframe, 1, "JSObj");
  Object *var_JSArray = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "JSArray");
  Object *var_JSString = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "JSString");
  Object *var_JSBoolean = &(stackframe->slots[4]);
  setframeelementname(stackframe, 4, "JSBoolean");
  Object *var_lastToken = &(stackframe->slots[5]);
  setframeelementname(stackframe, 5, "lastToken");
// Begin line 6
  setline(6);
  setmodule(modulename);
  setsource(originalSourceLines);
  block_savedest(self);
  Object closure0 = createclosure(4, "wrap");
setclosureframe(closure0, stackframe);
  addtoclosure(closure0, var_JSString);
  addtoclosure(closure0, var_String);
  addtoclosure(closure0, var_JSBoolean);
  addtoclosure(closure0, var_Boolean);
  struct UserObject *uo0 = (struct UserObject*)self;
  uo0->data[1] = (Object)closure0;
  Method *meth_meth_genjson_wrap0 = addmethod2pos(self, "wrap", &meth_genjson_wrap0, 1);
int argcv_meth_genjson_wrap0[] = {1};
meth_meth_genjson_wrap0->type = alloc_MethodType(1, argcv_meth_genjson_wrap0);
  meth_meth_genjson_wrap0->definitionModule = modulename;
  meth_meth_genjson_wrap0->definitionLine = 6;
// compilenode returning 
// Begin line 57
  setline(57);
  setmodule(modulename);
  setsource(originalSourceLines);
  block_savedest(self);
  Object closure33 = createclosure(3, "generateNode");
setclosureframe(closure33, stackframe);
  addtoclosure(closure33, var_JSObj);
  addtoclosure(closure33, var_JSArray);
  addtoclosure(closure33, var_ast);
  struct UserObject *uo33 = (struct UserObject*)self;
  uo33->data[2] = (Object)closure33;
  Method *meth_meth_genjson_generateNode33 = addmethod2pos(self, "generateNode", &meth_genjson_generateNode33, 2);
int argcv_meth_genjson_generateNode33[] = {1};
meth_meth_genjson_generateNode33->type = alloc_MethodType(1, argcv_meth_genjson_generateNode33);
  meth_meth_genjson_generateNode33->definitionModule = modulename;
  meth_meth_genjson_generateNode33->definitionLine = 57;
// compilenode returning 
// Begin line 266
  setline(266);
  setmodule(modulename);
  setsource(originalSourceLines);
  block_savedest(self);
  Object closure888 = createclosure(1, "saveToken");
setclosureframe(closure888, stackframe);
  addtoclosure(closure888, var_lastToken);
  struct UserObject *uo888 = (struct UserObject*)self;
  uo888->data[3] = (Object)closure888;
  Method *meth_meth_genjson_saveToken888 = addmethod2pos(self, "saveToken", &meth_genjson_saveToken888, 3);
int argcv_meth_genjson_saveToken888[] = {1};
meth_meth_genjson_saveToken888->type = alloc_MethodType(1, argcv_meth_genjson_saveToken888);
  meth_meth_genjson_saveToken888->definitionModule = modulename;
  meth_meth_genjson_saveToken888->definitionLine = 266;
// compilenode returning 
// Begin line 270
  setline(270);
  setmodule(modulename);
  setsource(originalSourceLines);
  block_savedest(self);
  Object closure890 = createclosure(5, "generate");
setclosureframe(closure890, stackframe);
  addtoclosure(closure890, var_util);
  addtoclosure(closure890, var_collections);
  addtoclosure(closure890, var_lastToken);
  addtoclosure(closure890, var_JSObj);
  addtoclosure(closure890, var_JSArray);
  struct UserObject *uo890 = (struct UserObject*)self;
  uo890->data[4] = (Object)closure890;
  Method *meth_meth_genjson_generate890 = addmethod2pos(self, "generate", &meth_genjson_generate890, 4);
int argcv_meth_genjson_generate890[] = {2};
meth_meth_genjson_generate890->type = alloc_MethodType(1, argcv_meth_genjson_generate890);
  meth_meth_genjson_generate890->definitionModule = modulename;
  meth_meth_genjson_generate890->definitionLine = 270;
// compilenode returning 
// Begin line 1
  setline(1);
  setmodule(modulename);
  setsource(originalSourceLines);
// Import of mgcollections as collections
  if (module_mgcollections == NULL)
    module_mgcollections = module_mgcollections_init();
  *var_collections = module_mgcollections;
// compilenode returning done
// Begin line 2
  setline(2);
  setmodule(modulename);
  setsource(originalSourceLines);
// Import of util as util
  if (module_util == NULL)
    module_util = module_util_init();
  *var_util = module_util;
// compilenode returning done
// Begin line 3
  setline(3);
  setmodule(modulename);
  setsource(originalSourceLines);
// Import of io as io
  if (module_io == NULL)
    module_io = module_io_init();
  *var_io = module_io;
// compilenode returning done
// Begin line 4
  setline(4);
  setmodule(modulename);
  setsource(originalSourceLines);
// Import of ast as ast
  if (module_ast == NULL)
    module_ast = module_ast_init();
  *var_ast = module_ast;
// compilenode returning done
// compilenode returning 
// Begin line 12
  setline(12);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 342
  setline(342);
  setmodule(modulename);
  setsource(originalSourceLines);
  block_savedest(self);
  Object closure1117 = createclosure(1, "JSObj");
setclosureframe(closure1117, stackframe);
  addtoclosure(closure1117, var_JSObj);
  struct UserObject *uo1117 = (struct UserObject*)self;
  uo1117->data[5] = (Object)closure1117;
  Method *meth_meth_genjson_JSObj1117 = addmethod2pos(self, "JSObj", &meth_genjson_JSObj1117, 5);
int argcv_meth_genjson_JSObj1117[] = {0};
meth_meth_genjson_JSObj1117->type = alloc_MethodType(1, argcv_meth_genjson_JSObj1117);
  meth_meth_genjson_JSObj1117->definitionModule = modulename;
  meth_meth_genjson_JSObj1117->definitionLine = 342;
// compilenode returning 
// Begin line 342
  setline(342);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object inheritingObject1118 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj1118 = alloc_userobj2(2,4, objclass1118);
  gc_frame_newslot(obj1118);
// OBJECT OUTER DEC outer
  adddatum2(obj1118, self, 0);
  addmethodreal(obj1118,"outer", &reader_genjson_outer_1119);
  Object oldself1118 = self;
  struct StackFrameObject *oldstackframe1118 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe1118);
  gc_frame_newslot((Object)stackframe);
  self = obj1118;
  Object *oldselfslot1118 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter1118 = (*(struct UserObject *)self).data[0], lowerouter1118 = thisouter1118;
  if (inheritingObject1118) {
    struct UserObject *inho1118 = (struct UserObject *)inheritingObject1118;
    while (inho1118->super != GraceDefaultObject) inho1118 = (struct UserObject *)inho1118->super;
    inho1118->super = obj1118;
    self = inheritingObject1118;
    *selfslot = self;
    lowerouter1118 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter1118;
  }
  block_savedest(obj1118);
  Object closure1120 = createclosure(1, "new");
setclosureframe(closure1120, stackframe);
  addtoclosure(closure1120, var_collections);
  struct UserObject *uo1120 = (struct UserObject*)obj1118;
  uo1120->data[1] = (Object)closure1120;
  Method *meth_meth_genjson_new1120 = addmethod2pos(obj1118, "new", &meth_genjson_new1120, 1);
int argcv_meth_genjson_new1120[] = {0};
meth_meth_genjson_new1120->type = alloc_MethodType(1, argcv_meth_genjson_new1120);
  meth_meth_genjson_new1120->definitionModule = modulename;
  meth_meth_genjson_new1120->definitionLine = 342;
  block_savedest(obj1118);
  Object closure1179 = createclosure(1, "new()object");
setclosureframe(closure1179, stackframe);
  addtoclosure(closure1179, var_collections);
  Method *meth_meth_genjson_new1120_object = addmethod2pos(obj1118, "new()object", &meth_genjson_new1120_object, 1);
  meth_meth_genjson_new1120_object->definitionModule = modulename;
  meth_meth_genjson_new1120_object->definitionLine = 342;
  sourceObject = obj1118;
objclass1118 = obj1118->class;
  objclass1118->definitionModule = modulename;
  objclass1118->definitionLine = 342;
  (*(struct UserObject *)self).data[0] = lowerouter1118;
  self = oldself1118;
  selfslot = oldselfslot1118;
  stackframe = oldstackframe1118;
// compilenode returning obj1118
  *var_JSObj = obj1118;
  if (obj1118 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// compilenode returning done
// Begin line 12
  setline(12);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning 
// Begin line 28
  setline(28);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 13
  setline(13);
  setmodule(modulename);
  setsource(originalSourceLines);
  block_savedest(self);
  Object closure1180 = createclosure(1, "JSArray");
setclosureframe(closure1180, stackframe);
  addtoclosure(closure1180, var_JSArray);
  struct UserObject *uo1180 = (struct UserObject*)self;
  uo1180->data[6] = (Object)closure1180;
  Method *meth_meth_genjson_JSArray1180 = addmethod2pos(self, "JSArray", &meth_genjson_JSArray1180, 6);
int argcv_meth_genjson_JSArray1180[] = {0};
meth_meth_genjson_JSArray1180->type = alloc_MethodType(1, argcv_meth_genjson_JSArray1180);
  meth_meth_genjson_JSArray1180->definitionModule = modulename;
  meth_meth_genjson_JSArray1180->definitionLine = 13;
// compilenode returning 
// Begin line 13
  setline(13);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object inheritingObject1181 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj1181 = alloc_userobj2(2,4, objclass1181);
  gc_frame_newslot(obj1181);
// OBJECT OUTER DEC outer
  adddatum2(obj1181, self, 0);
  addmethodreal(obj1181,"outer", &reader_genjson_outer_1182);
  Object oldself1181 = self;
  struct StackFrameObject *oldstackframe1181 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe1181);
  gc_frame_newslot((Object)stackframe);
  self = obj1181;
  Object *oldselfslot1181 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter1181 = (*(struct UserObject *)self).data[0], lowerouter1181 = thisouter1181;
  if (inheritingObject1181) {
    struct UserObject *inho1181 = (struct UserObject *)inheritingObject1181;
    while (inho1181->super != GraceDefaultObject) inho1181 = (struct UserObject *)inho1181->super;
    inho1181->super = obj1181;
    self = inheritingObject1181;
    *selfslot = self;
    lowerouter1181 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter1181;
  }
  block_savedest(obj1181);
  Object closure1183 = createclosure(1, "new");
setclosureframe(closure1183, stackframe);
  addtoclosure(closure1183, var_collections);
  struct UserObject *uo1183 = (struct UserObject*)obj1181;
  uo1183->data[1] = (Object)closure1183;
  Method *meth_meth_genjson_new1183 = addmethod2pos(obj1181, "new", &meth_genjson_new1183, 1);
int argcv_meth_genjson_new1183[] = {0};
meth_meth_genjson_new1183->type = alloc_MethodType(1, argcv_meth_genjson_new1183);
  meth_meth_genjson_new1183->definitionModule = modulename;
  meth_meth_genjson_new1183->definitionLine = 13;
  block_savedest(obj1181);
  Object closure1227 = createclosure(1, "new()object");
setclosureframe(closure1227, stackframe);
  addtoclosure(closure1227, var_collections);
  Method *meth_meth_genjson_new1183_object = addmethod2pos(obj1181, "new()object", &meth_genjson_new1183_object, 1);
  meth_meth_genjson_new1183_object->definitionModule = modulename;
  meth_meth_genjson_new1183_object->definitionLine = 13;
  sourceObject = obj1181;
objclass1181 = obj1181->class;
  objclass1181->definitionModule = modulename;
  objclass1181->definitionLine = 13;
  (*(struct UserObject *)self).data[0] = lowerouter1181;
  self = oldself1181;
  selfslot = oldselfslot1181;
  stackframe = oldstackframe1181;
// compilenode returning obj1181
  *var_JSArray = obj1181;
  if (obj1181 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// compilenode returning done
// Begin line 28
  setline(28);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning 
// Begin line 44
  setline(44);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 29
  setline(29);
  setmodule(modulename);
  setsource(originalSourceLines);
  block_savedest(self);
  Object closure1228 = createclosure(1, "JSString");
setclosureframe(closure1228, stackframe);
  addtoclosure(closure1228, var_JSString);
  struct UserObject *uo1228 = (struct UserObject*)self;
  uo1228->data[7] = (Object)closure1228;
  Method *meth_meth_genjson_JSString1228 = addmethod2pos(self, "JSString", &meth_genjson_JSString1228, 7);
int argcv_meth_genjson_JSString1228[] = {0};
meth_meth_genjson_JSString1228->type = alloc_MethodType(1, argcv_meth_genjson_JSString1228);
  meth_meth_genjson_JSString1228->definitionModule = modulename;
  meth_meth_genjson_JSString1228->definitionLine = 29;
// compilenode returning 
// Begin line 29
  setline(29);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object inheritingObject1229 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj1229 = alloc_userobj2(2,4, objclass1229);
  gc_frame_newslot(obj1229);
// OBJECT OUTER DEC outer
  adddatum2(obj1229, self, 0);
  addmethodreal(obj1229,"outer", &reader_genjson_outer_1230);
  Object oldself1229 = self;
  struct StackFrameObject *oldstackframe1229 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe1229);
  gc_frame_newslot((Object)stackframe);
  self = obj1229;
  Object *oldselfslot1229 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter1229 = (*(struct UserObject *)self).data[0], lowerouter1229 = thisouter1229;
  if (inheritingObject1229) {
    struct UserObject *inho1229 = (struct UserObject *)inheritingObject1229;
    while (inho1229->super != GraceDefaultObject) inho1229 = (struct UserObject *)inho1229->super;
    inho1229->super = obj1229;
    self = inheritingObject1229;
    *selfslot = self;
    lowerouter1229 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter1229;
  }
  struct UserObject *uo1231 = (struct UserObject*)obj1229;
  uo1231->data[1] = emptyclosure;
  Method *meth_meth_genjson_new1231 = addmethod2pos(obj1229, "new", &meth_genjson_new1231, 1);
int argcv_meth_genjson_new1231[] = {1};
meth_meth_genjson_new1231->type = alloc_MethodType(1, argcv_meth_genjson_new1231);
  meth_meth_genjson_new1231->definitionModule = modulename;
  meth_meth_genjson_new1231->definitionLine = 29;
  Method *meth_meth_genjson_new1231_object = addmethod2pos(obj1229, "new()object", &meth_genjson_new1231_object, 1);
int argcv_meth_genjson_new1231_object[] = {1};
meth_meth_genjson_new1231_object->type = alloc_MethodType(1, argcv_meth_genjson_new1231_object);
  meth_meth_genjson_new1231_object->definitionModule = modulename;
  meth_meth_genjson_new1231_object->definitionLine = 29;
  sourceObject = obj1229;
objclass1229 = obj1229->class;
  objclass1229->definitionModule = modulename;
  objclass1229->definitionLine = 29;
  (*(struct UserObject *)self).data[0] = lowerouter1229;
  self = oldself1229;
  selfslot = oldselfslot1229;
  stackframe = oldstackframe1229;
// compilenode returning obj1229
  *var_JSString = obj1229;
  if (obj1229 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// compilenode returning done
// Begin line 50
  setline(50);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 29
  setline(29);
  setmodule(modulename);
  setsource(originalSourceLines);
  block_savedest(self);
  Object closure1247 = createclosure(1, "JSBoolean");
setclosureframe(closure1247, stackframe);
  addtoclosure(closure1247, var_JSBoolean);
  struct UserObject *uo1247 = (struct UserObject*)self;
  uo1247->data[8] = (Object)closure1247;
  Method *meth_meth_genjson_JSBoolean1247 = addmethod2pos(self, "JSBoolean", &meth_genjson_JSBoolean1247, 8);
int argcv_meth_genjson_JSBoolean1247[] = {0};
meth_meth_genjson_JSBoolean1247->type = alloc_MethodType(1, argcv_meth_genjson_JSBoolean1247);
  meth_meth_genjson_JSBoolean1247->definitionModule = modulename;
  meth_meth_genjson_JSBoolean1247->definitionLine = 29;
// compilenode returning 
// Begin line 29
  setline(29);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object inheritingObject1248 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj1248 = alloc_userobj2(2,4, objclass1248);
  gc_frame_newslot(obj1248);
// OBJECT OUTER DEC outer
  adddatum2(obj1248, self, 0);
  addmethodreal(obj1248,"outer", &reader_genjson_outer_1249);
  Object oldself1248 = self;
  struct StackFrameObject *oldstackframe1248 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe1248);
  gc_frame_newslot((Object)stackframe);
  self = obj1248;
  Object *oldselfslot1248 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter1248 = (*(struct UserObject *)self).data[0], lowerouter1248 = thisouter1248;
  if (inheritingObject1248) {
    struct UserObject *inho1248 = (struct UserObject *)inheritingObject1248;
    while (inho1248->super != GraceDefaultObject) inho1248 = (struct UserObject *)inho1248->super;
    inho1248->super = obj1248;
    self = inheritingObject1248;
    *selfslot = self;
    lowerouter1248 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter1248;
  }
  struct UserObject *uo1250 = (struct UserObject*)obj1248;
  uo1250->data[1] = emptyclosure;
  Method *meth_meth_genjson_new1250 = addmethod2pos(obj1248, "new", &meth_genjson_new1250, 1);
int argcv_meth_genjson_new1250[] = {1};
meth_meth_genjson_new1250->type = alloc_MethodType(1, argcv_meth_genjson_new1250);
  meth_meth_genjson_new1250->definitionModule = modulename;
  meth_meth_genjson_new1250->definitionLine = 29;
  Method *meth_meth_genjson_new1250_object = addmethod2pos(obj1248, "new()object", &meth_genjson_new1250_object, 1);
int argcv_meth_genjson_new1250_object[] = {1};
meth_meth_genjson_new1250_object->type = alloc_MethodType(1, argcv_meth_genjson_new1250_object);
  meth_meth_genjson_new1250_object->definitionModule = modulename;
  meth_meth_genjson_new1250_object->definitionLine = 29;
  sourceObject = obj1248;
objclass1248 = obj1248->class;
  objclass1248->definitionModule = modulename;
  objclass1248->definitionLine = 29;
  (*(struct UserObject *)self).data[0] = lowerouter1248;
  self = oldself1248;
  selfslot = oldselfslot1248;
  stackframe = oldstackframe1248;
// compilenode returning obj1248
  *var_JSBoolean = obj1248;
  if (obj1248 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// compilenode returning done
// Begin line 50
  setline(50);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning 
// Begin line 57
  setline(57);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning 
// Begin line 265
  setline(265);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object inheritingObject1266 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj1266 = alloc_userobj2(1,2, objclass1266);
  gc_frame_newslot(obj1266);
// OBJECT OUTER DEC outer
  adddatum2(obj1266, self, 0);
  addmethodreal(obj1266,"outer", &reader_genjson_outer_1267);
  Object oldself1266 = self;
  struct StackFrameObject *oldstackframe1266 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe1266);
  gc_frame_newslot((Object)stackframe);
  self = obj1266;
  Object *oldselfslot1266 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter1266 = (*(struct UserObject *)self).data[0], lowerouter1266 = thisouter1266;
  if (inheritingObject1266) {
    struct UserObject *inho1266 = (struct UserObject *)inheritingObject1266;
    while (inho1266->super != GraceDefaultObject) inho1266 = (struct UserObject *)inho1266->super;
    inho1266->super = obj1266;
    self = inheritingObject1266;
    *selfslot = self;
    lowerouter1266 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter1266;
  }
if (objclass1266 == NULL) {
  Method *reader1268 = addmethodrealflags(obj1266, "kind",&reader_genjson_kind_1268, MFLAG_DEF);
  reader1268->definitionModule = modulename;
  reader1268->definitionLine = 265;
}
adddatum2(obj1266, alloc_Undefined(), 1);
  sourceObject = obj1266;
  if (strlit1269 == NULL) {
    strlit1269 = alloc_String("");
    gc_root(strlit1269);
  }
// compilenode returning strlit1269
  adddatum2(obj1266, strlit1269, 1);
objclass1266 = obj1266->class;
  objclass1266->definitionModule = modulename;
  objclass1266->definitionLine = 265;
  (*(struct UserObject *)self).data[0] = lowerouter1266;
  self = oldself1266;
  selfslot = oldselfslot1266;
  stackframe = oldstackframe1266;
// compilenode returning obj1266
  *var_lastToken = obj1266;
  if (obj1266 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// Begin line 29
  setline(29);
  setmodule(modulename);
  setsource(originalSourceLines);
  block_savedest(self);
  Object closure1270 = createclosure(1, "lastToken");
setclosureframe(closure1270, stackframe);
  addtoclosure(closure1270, var_lastToken);
  struct UserObject *uo1270 = (struct UserObject*)self;
  uo1270->data[9] = (Object)closure1270;
  Method *meth_meth_genjson_lastToken1270 = addmethod2pos(self, "lastToken", &meth_genjson_lastToken1270, 9);
int argcv_meth_genjson_lastToken1270[] = {0};
meth_meth_genjson_lastToken1270->type = alloc_MethodType(1, argcv_meth_genjson_lastToken1270);
  meth_meth_genjson_lastToken1270->definitionModule = modulename;
  meth_meth_genjson_lastToken1270->definitionLine = 29;
// compilenode returning 
// Begin line 29
  setline(29);
  setmodule(modulename);
  setsource(originalSourceLines);
  block_savedest(self);
  Object closure1271 = createclosure(1, "lastToken:=");
setclosureframe(closure1271, stackframe);
  addtoclosure(closure1271, var_lastToken);
  struct UserObject *uo1271 = (struct UserObject*)self;
  uo1271->data[10] = (Object)closure1271;
  Method *meth_meth_genjson_lastToken_58__61_1271 = addmethod2pos(self, "lastToken:=", &meth_genjson_lastToken_58__61_1271, 10);
int argcv_meth_genjson_lastToken_58__61_1271[] = {1};
meth_meth_genjson_lastToken_58__61_1271->type = alloc_MethodType(1, argcv_meth_genjson_lastToken_58__61_1271);
  meth_meth_genjson_lastToken_58__61_1271->definitionModule = modulename;
  meth_meth_genjson_lastToken_58__61_1271->definitionLine = 29;
// compilenode returning 
// compilenode returning done
// Begin line 266
  setline(266);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning 
  gc_frame_end(frame);
  return self;
}
